2020-08-02  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.6.

2020-08-02  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Fixed 'make pristine'.
	* Makefile.am: Fixed 'make distclean' when running with -j.
	* client/ai/genetic.c, client/ai/genetic_core.c,
	client/common/client.c, common/gtk/game-settings.c,
	common/map_query.c, editor/gtk/editor.c: Apply 'make codespell'.
	* client/ai/lobbybot.c, po/*: Apply 'make codespell' for a
	translatable string.
	* client/gtk/trade.c: Fixed translator comment.
	* NEWS, client/ai/lobbybot.c: Prepare for the release of 15.6.
	* docs/README.release: Prepare for the release of 15.6.

2020-07-26  Roland Clobus <rclobus@rclobus.nl>
	* common/game-list.c: Set pointer to NULL after free (SF bug 304).

2020-07-25  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Prevent writing invalid games (SF bug 307).

2020-06-27  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/README.txt: Updated building instructions.
	* MinGW/Makefile.am: Added two more missing icons.

2020-06-24  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/Makefile.am: Use the MKDIR_P and INSTALL_x macros.
	* MinGW/Makefile.am, MinGW/pioneers.nsi.in, configure.ac: Use a
	portable-zip package instead of an installer for MinGW.
	* editor/gtk/editor.c: If the config_dir and the data_dir are
	identical (as on Windows), use another folder name for the custom
	games. Also ensure that the folder exists.

2020-06-21  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c, client/gtk/offline.c, server/gtk/main.c,
	server/meta.c: Fixed hints for translators.
	* client/gtk/gui.c, client/gtk/gui.h, client/gtk/interface.c: Allow
	automatic rolling of the dice. The default still is manual rolling.

2020-06-20  Roland Clobus <rclobus@rclobus.nl>
	* client/common/main.c, client/gtk/offline.c, common/Makefile.am,
	common/gettext.c, common/gettext.h, configure.ac, editor/gtk/editor.c,
	metaserver/main.c, server/gtk/main.c, server/main.c: Moved the
	initialisation for gettext to a single location. This fixes the
	translation for the MinGW port (selectable with the environment
	variable LANG). Note that on Linux you should use LANGUAGE.
	* client/ai/ai.c, client/ai/genetic.c, client/ai/genetic_core.c,
	client/callback.h, client/common/resource.c, client/gtk/connect.c,
	client/gtk/gui.h, client/gtk/identity.c, client/gtk/offline.c,
	client/gtk/player.c, client/gtk/quote-view.h,
	client/gtk/resource-table.h, common/driver.h, common/game.c,
	common/game.h, common/gettext.c, common/gtk/colors.c,
	common/gtk/game-settings.h, common/gtk/guimap.c, common/gtk/guimap.h,
	common/gtk/select-game.h, common/gtk/theme.c, common/log.h,
	common/network.h, common/set.h, editor/gtk/editor.c,
	metaserver/main.c, server/gtk/main.c, server/main.c: Upgraded from
	indent 2.2.11 to 2.2.12.

2020-06-13  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/gold.c: Show the order of the players that select gold.
	* client/gtk/data/develop.svg: Use Times New Roman on Windows.
	* MinGW/Makefile.am: libnotify is optional on Windows.
	* MinGW/Makefile.am: Fix File|Open in the editor (Windows).

2020-06-06  Roland Clobus <rclobus@rclobus.nl>
	* client/common/resource.c: When all resources are selected for a
	trade, use the wording 'any resource'.
	* client/gtk/gui.c, client/gtk/gui.h, client/gtk/quote.c,
	client/gtk/trade.c: Added a new checkbox: 'Enable Charity'. When
	enabled, you can give away resources without getting anything back in
	return.
	* client/gtk/gui.c: The default for charity is off.
	* server/player.c: Fixed assert ses!=NULL in net_write. If the
	disconnected player is marked as disconnect, no further messages need
	to be sent.

2020-06-03  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/trade.c: Fixed logic for enabling Call for Quotes button.

2020-06-01  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/Makefile.am, MinGW/loaders.cache: Runtime version of Pioneers
	works with MinGW64 and Windows 10 (1909).

2020-05-31  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/Makefile.am, client/gtk/client.gresource.xml,
	client/gtk/client.ui, client/gtk/data/Makefile.am,
	client/gtk/frontend.c, client/gtk/frontend.h, client/gtk/gui.c,
	client/gtk/interface.c,	client/gtk/legend.c,
	client/gtk/notification.c, client/gtk/quote.c,
	client/gtk/settingscreen.c, client/gtk/trade.c, po/POTFILES.in:
	Replace GtkUIManager with GtkBuilder. Use an icon theme instead of
	individual images for the toolbar. The notification icons are
	in-memory. Restored the shortcuts in the toolbar.
	* clientk/gtk/data/pioneers-finish.svg: New name of finish.svg, to
	avoid using the image from the default theme.

2020-05-21  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/avahi.c: When connecting with a link local IPv6
	connection over Avahi, use the zone index.

2020-05-13  Roland Clobus <rclobus@rclobus.nl>
	* server/server.c: Fixed a small memory leak.
	* server/main.c: Restored functionality of -k/--empty-timeout. 

2020-05-11  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/data/develop.svg, client/gtk/data/splash.svg: Replace
	Bitstream Charter by Gentium, because pango stopped support for Type 1
	fonts. See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=939748

2020-05-04  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Open the default game when loading the old game
	fails.

2020-04-24  Roland Clobus <rclobus@rclobus.nl>
	* common/game.h: Fixed FTBFS for gcc-10.

2020-04-18  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/histogram.c: Nicer filling for the bars in the dice
	histogram. Fixes showing the hexagons for some themes.

2020-04-15  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/frontend.h, client/gtk/gui.c, client/gtk/histogram.c,
	client/gtk/histogram.h, client/gtk/legend.c,
	client/gtk/settingscreen.c: Avoid the global variable app_window.

2020-04-14  Roland Clobus <rclobus@rclobus.nl>
	* server/gtk/Makefile.am, server/gtk/main.c,
	server/gtk/server.gresource.xml, server/gtk/server.ui, po/POTFILES.in:
	Replace GtkUIManager with GtkBuilder.

2020-04-13  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, editor/gtk/Makefile.am, editor/gtk/editor.c,
	editor/gtk/editor.gresource.xml, editor/gtk/editor.ui,
	po/POTFILES.in: Replace GtkUIManager with GtkBuilder.

2020-04-08  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/map-icons.c: Properly apply the scaling of the theme.
	* editor/gtk/editor.c: Always show the icons in the context menus.
	* editor/gtk/editor.c: Replace deprecated gtk_widget_set_margin_right.
	* client/gtk/gui.c: When changing the theme, the whole map must be
	redrawn.

2020-03-27  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/quote-view.c: Fix for a crash: the client would segfault
	when the theme was changed after a maritime was shown at least once in
	the game.
	* common/network.c: Allow building on Ubuntu 18.04 and Debian 8.

2020-03-26  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Fix for warning in ar.
	* common/deck.c, client/ai/genetic.c: Fix for -Wold-style-definition.
	* editor/gtk/editor.c, editor/gtk/game-buildings.c,
	editor/gtk/game-devcards.c: Fix for -Wsign-conversion.

2020-03-25  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/Makefile.am, client/gtk/audio.c, configure.ac: Use
	libcanberra instead of beep, which allows for sounds when pioneers is
	not started from a console.
	* client/gtk/gui.c: Use 16:9 layout as the default.
	* client/ai/genetic.c, client/ai/genetic_core.c: Fix fall-through
	warnings.

2020-03-23  Roland Clobus <rclobus@rclobus.nl>
	* po/POTFILES.in: client/gtk/audio.c contains a translatable text too.

2020-03-22  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/audio.c: Fixed beeping, effectively reverting 2019-06-30.

2020-01-02  Roland Clobus <rclobus@rclobus.nl>
	* ChangeLog, client/gtk/avahi.c, docs/README.states: Apply
	misspell-fixer.
	* common/state.c: Fix for Coverity CID 241968: out-of-bounds access.

2019-10-10  Roland Clobus <rclobus@rclobus.nl>
	* server/meta.c: The maximum reconnect interval is 24 hours.
	
2019-07-22  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/genetic.c: Fix for Coverity CID 241969: out-of-bounds
	read.
	
2019-06-30  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/audio.c: Beep was not working correctly.

2018-11-22  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/resource-view.gob: Fixed a compiler warning.

2018-07-07  Roland Clobus <rclobus@rclobus.nl>
	* client/common/client.c: Fixed a racing condition where the old map
	was drawn while loading the new map. Found by clang ASAN.
	* client/gtk/connect.c, client/gtk/develop.c, client/gtk/discard.c,
	client/gtk/gold.c, client/gtk/gui.c, client/gtk/legend.c,
	client/gtk/monopoly.c, client/gtk/name.c, client/gtk/player.c,
	client/gtk/quote.c, client/gtk/resource-table.c,
	client/gtk/resource-view.gob, client/gtk/resource.c,
	client/gtk/settingscreen.c, client/gtk/trade.c,
	common/gtk/common_gtk.c, common/gtk/game-rules.c,
	common/gtk/game-settings.c, editor/gtk/editor.c,
	editor/gtk/game-buildings.c, editor/gtk/game-devcards.c,
	editor/gtk/game-resources.c, server/gtk/main.c: Migrate away from
	GtkMisc.

2018-06-19  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/game-rules.c: Fixed a Gdk warning (SF bug 295)

2018-06-16  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/data/themes/Iceland/theme.cfg,
	client/gtk/data/themes/Tiny/theme.cfg,
	client/gtk/data/themes/ccFlickr/theme.cfg, common/gtk/theme.c,
	common/gtk/theme.h, client/gtk/histogram.c, editor/gtk/editor.c: Use
	the SEA_TERRAIN for the colours of the chits in the editor and the
	dice histogram.
	* client/gtk/frontend.h, client/gtk/histogram.c,
	client/gtk/identity.c, client/gtk/name.c, client/gtk/player.c,
	client/gtk/quote-view.c, common/gtk/colors.c, common/gtk/colors.h,
	common/gtk/guimap.c, common/gtk/player-icon.c,
	common/gtk/player-icon.h, common/gtk/polygon.c, common/gtk/polygon.h,
	common/gtk/theme.c, common/gtk/theme.h, editor/gtk/editor.c: Migrate
	from GdkColor to GdkRGBA.

2018-05-30  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/discard.c, client/gtk/gold.c, client/gtk/plenty.c,
	client/gtk/quote.c, client/gtk/resource-table.c,
	client/gtk/resource-table.h: Removed the Gtk+-2 More and Less buttons.
	* client/common/client.c, client/common/client.h,
	client/common/stock.c: Don't count development cards twice on
	reconnect.
	* server/player.c: Fixed an integer underflow when assigning a player
	number.

2018-05-23  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/avahi-browser.c, client/gtk/avahi-browser.h,
	client/gtk/connect.c, client/gtk/gui.c, client/gtk/legend.c,
	client/gtk/resource-table.c, client/gtk/resource-table.h,
	client/gtk/resource.c, client/gtk/settingscreen.c, client/gtk/trade.c,
	common/gtk/game-rules.c, common/gtk/game-rules.h,
	common/gtk/game-settings.c, common/gtk/game-settings.h,
	common/gtk/metaserver.c, common/gtk/metaserver.h,
	common/gtk/select-game.c, common/gtk/select-game.h,
	editor/gtk/editor.c, editor/gtk/game-buildings.c,
	editor/gtk/game-buildings.h, editor/gtk/game-devcards.c,
	editor/gtk/game-devcards.h, editor/gtk/game-resources.c,
	editor/gtk/game-resources.h, server/gtk/main.c: Migrate from gtk_table
	to gtk_grid.
	* editor/gtk/editor.c: The toolbar is now one row high, depending on
	the width. Show the dots for the dice values.

2018-05-16  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/common_gtk.c: Fixed compiler warning from previous
	commit.

2018-04-27  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/gui.c, common/gtk/common_gtk.c, common/gtk/common_gtk.h,
	server/gtk/main.c: Removed the need for a custom style for the close
	button on a notebook tab.
	
2018-04-25  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c, common/gtk/guimap.h, common/gtk/select-game.c:
	(Re-)enable zoom functionality. Simplify code related to zoom.
	
2018-04-20  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Removed GTK warning for context menu.
	* editor/gtk/editor.c: Fix for showing the context menu when the mouse
	was moved during the previous display of a context menu.
	
2018-03-14  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 15.6.

2018-03-14  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.5.

2018-03-14  Roland Clobus <rclobus@rclobus.nl>
	* all: Removed trailing whitespace in comments.
	* client/gtk/interface.c: Allow trade after a road building
	development card (in strict_trade). Fixes SF bug #298
	
2018-03-07  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am, client/Makefile.am, client/gtk/gui.c,
	client/help/Makefile.am, client/help/C/*, omf.make,
	xmldocs.make: Use yelp-tools for the help system.
	* po/POTFILES.in, server/gtk/Makefile.am,
	server/gtk/pioneers-server.desktop.in: Fix missing icon when using
	Alt-Tab in GNOME.

2018-02-27  Roland Clobus <rclobus@rclobus.nl>
	* README.subversion, client/Makefile.am, configure.ac:
	Removed dependency on scrollkeeper (rarian-compat).

2018-02-25  Roland Clobus <rclobus@rclobus.nl>
	* common/map.c: Fixed potential memory leak in error path.
	Found by scan-build-6.0
	
2018-02-23  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am, client/Makefile.am, client/gtk/gui.c,
	client/gtk/offline.c, common/Makefile.am, configure.ac,
	editor/Makefile.am, server/Makefile.am: Removed dependency on
	libgnome for displaying the help.

2018-02-21  Roland Clobus <rclobus@rclobus.nl>
	* client/common/client.c: Removed dead (duplicated) code, fixes a
	compiler warning (-Wimplicit-fallthrough)
	
2018-01-07  Roland CLobus <rclobus@rclobus.nl>
	* server/buildutil.c: Fixed compiler warning about fall through.
	
2018-01-05  Roland Clobus <rclobus@rclobus.nl>
	* common/network.c: Reduced includes, as found by iwyu.
	
2016-09-15  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/Makefile.am: Added README.txt to the tarball.

2016-08-28  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 15.5.

2016-08-28  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.4.

2016-08-28  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, editor/gtk/editor.c, metaserver/main.c,
	server/main.c: Use and obey ENABLE_NLS, for all remaining executables.
	* autogen.sh: Per default, no deprecation checks should be run.
	* NEWS, client/ai/lobbybot.c: Prepare for the release of 15.4.

2016-08-04  Roland Clobus <rclobus@rclobus.nl>
	* macros, configure.ac, Makefile.am, autogen.sh: Replaced embedded
	copy of th gnome-autogen.sh, because 'gnome-common' will be deprecated.

2016-07-28  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Corrected the define for the translation domain.

2016-07-06  Roland Clobus <rclobus@rclobus.nl>
	* common/state.c: Fixed CID55644 by adding fall through clarification
	in switch statement.

2016-07-05  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/player-icon.c, common/gtk/player-icon.h: Fixed CID74385
	by using gdouble instead of gint for cairo_arc.

2016-07-03  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/data/themes/Makefile.am,
	client/gtk/data/themes/Nouvellia: Added new theme by
	Brian Mansberger <brian.mansberger@posteo.de>.
	* MinGW/pioneers.nsi.in: Integrated the Nouvellia theme in the
	Windows installer.
	* docs/README.release: Extended release procedure to include the
	Debian debconf translators.

2016-06-21  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/chat.c: Removed unnecessary NULL check, found by cppcheck.
	* client/ai/greedy.c: Fixed use of uninitialzed variable, found by
	cppcheck.

2016-06-13  Roland Clobus <rclobus@rclobus.nl>
	* common/map.c: Removed double assignment, found by cppcheck.

2016-06-11  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am, MinGW/Makefile.am, MinGW/pioneers.nsi.in, configure.ac:
	Fixed missing icons for the MinGW port. Fixed File|Open crash in the
	editor for the MinGW port.

2016-06-10  Roland Clobus <rclobus@rclobus.nl>
	* server/turn.c: Apply patch #679 which fixes #290: Check for the
	winning condition at the beginning of the turn. This way to win will
	only occur when someone cuts the longest road in your favour.
	* macros/gnome-autogen.sh: MinGW requires automake 1.11.1
	* MinGW/loaders.cache: Regenerated

2016-03-21  Roland Clobus <rclobus@rclobus.nl>
	* Moved compiler warnings -Wcast-qual to --enable-warnings=full, because
	the GTK library issues this warning a lot.

2015-12-09  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Fixed a message shown by scan-build (clang).
	The variable 'last_key' could be NULL.
	* client/gtk/monopoly.c, server/player.c: Fixed a message shown by
	scan-build (clang). The value stored in the variable was never read.

2015-05-31  Roland Clobus <rclobus@rclobus.nl>
	* Doxyfile.in: Fixed typo, as found by codespell.
	* client/gtk/data/themes/ccFlickr/board.png: Fixed rendering issues by
	adding an alpha layer to the image.

2015-05-30  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/Makefile.am, client/ai/genetic.c, client/ai/genetic_core.c,
	client/ai/genetic_core.h: Created a header file for genetic_core.h. The
	core does not depend on functionality from Pioneers any more. Some
	whitespace changes.
	* client/gtk/connect.c: Removed the tooltips on the buttons, they were
	in the wrong order again. (See r1935, 2013-06-06)
	* Makefile.am, client/gtk/connect.c, client/gtk/discard.c,
	client/gtk/gameover.c, client/gtk/gold.c, client/gtk/gui.c,
	client/gtk/histogram.c, client/gtk/legend.c, client/gtk/monopoly.c,
	client/gtk/name.c, client/gtk/plenty.c, client/gtk/quote-view.c,
	client/gtk/quote.c, client/gtk/settingscreen.c, client/gtk/trade.c,
	common/gtk/Makefile.am, common/gtk/common_gtk.c,
	common/gtk/game-rules.c, common/gtk/game-settings.c,
	common/gtk/pioneers-checkmark.svg, common/gtk/pioneers-cross.svg,
	editor/gtk/editor.c, server/gtk/main.c: Replaced all GTK_STOCK_* items.
	This make the code build without compiler warings when the deprecation
	checks are turned off, on Debian 8. Two new icons were added to
	replace GTK_STOCK_APPLY and GTK_STOCK_CANCEL.

2015-04-26  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/select-game.c: Fixed a memory leak.

2015-04-19  Roland Clobus <rclobus@rclobus.nl>
	* ChangeLog, client/ai/genetic.c, client/ai/genetic_core.c,
	debian/changelog, debian/copyright, debian/po/pt.po: Fixed spelling
	mistakes that were found by 'codespell'.

2015-03-27  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/develop.c: Fix for bug #285 part 2, when the selection in
	the combobox changes to another development card type because the
	currently selected development card is not available any more,
	correctly update the 'Play Development Card' button status.

2015-03-11  Roland Clobus <rclobus@rclobus.nl>
	* client/callback.h, client/gtk/gui.c, common/gtk/aboutbox.c,
	common/gtk/aboutbox.h, editor/gtk/editor.c, server/gtk/main.c:
	Use the about dialog from Gtk+3.
	* common/gtk/aboutbox.c: Translation update: use translator-credits
        instead of translator_credits.

2014-10-26  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Fix for Coverity CID 74389: Use the
	right size for the ToolbarButtonData element.
	* client/ai/genetic.c: Fix for Coverity CID 74390: Close the
	chromosome file when an error occurs.
	* client/ai/genetic.c: Fix for Coverity CID 74383: Report the
	warning before returning from the function.

2014-10-26  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 15.4.

2014-10-26  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.3.

2014-10-26  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Fixed a read beyond the array size.
	* NEWS, client/ai/lobbybot.c: Prepare for the release of 15.3.

2014-10-24  Roland Clobus <rclobus@rclobus.nl>
	* docs/Relicense question about icons from the Gorilla theme.eml:
	Email about the relicensing of derived work from the Gorilla theme.
        With many thanks to Jakub Steiner for allowing his work to be
	relicensed.
	* client/gtk/data/style-ai.svg, server/gtk/pioneers-server.svg,
	editor/gtk/pioneers-editor.svg, client/gtk/data/pioneers.svg:
	Relicensed as CC-BY-SA 4.0

2014-07-07  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 15.3.

2014-07-07  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.2.

2014-07-07  Roland Clobus <rclobus@rclobus.nl>
	* NEWS, client/ai/lobbybot.c: Prepare for the release of 15.2.

2014-05-20  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/ai.c: Added translator comment.
	* client/help/C/pioneers.xml, docs/pioneersai.6: Documented the new
	algorithm.
	* macros/gnome-autogen.sh: Synchronised from gnome-common 3.12.0-1.

2014-05-14  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/ai.c, client/ai/ai.h, client/ai/genetic.c,
	client/ai/greedy.c: Moved the duplicated chat code to ai.c.

2014-05-11  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Removed override for scrollkeeper. The successor,
	rarian, behaves correctly. 'automake -Wall' is now empty.
	* configure.ac: Documented all options in the configure script. With
	thanks to the Gentoo porter Julian Ospald <hasufell@gentoo.org> for
	pointing me to the suitable macros.

2014-04-20  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/README.txt: Added instructions for GNU indent.

2014-04-19  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/chat.c, client/gtk/discard.c, client/gtk/frontend.h,
	client/gtk/gold.c, client/gtk/name.c, client/gtk/player.c,
	client/gtk/quote-view.c, client/gtk/quote.c, common/gtk/guimap.c,
	common/gtk/player-icon.c, common/gtk/player-icon.h: Use
	cairo_recording_surface_create instead of
	gdk_window_create_similar_surface to avoid crashes in the client due
	to preparing images for widgets that were not fully shown.
	* server/pregame.c: Fixed a possible DoS route.

2014-04-18  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/genetic.c: Replaced sleep(1) by ai_wait(). This fixes the
	Windows build.

2014-04-12  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/gui.c, client/gtk/legend.c: Fixed the sizing of the legend
	tab page in 4:3 mode, which could hide the tabs.

2014-04-09  Rodrigo Espiga Gómez <rodrigoespiga@hotmail.com>
	* client/ai/ai.h, client/ai/ai.c, client/ai/genetic.c,
	client/ai/genetic_core.c: Accept a chromosome file from the command
	line. Updated the default chromosome.
	
2014-04-06  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/common_gtk.c: Ported the button on the notebook page to
	GTK+3.

2014-03-11  Rodrigo Espiga Gómez <rodrigoespiga@hotmail.com>
	* client/ai/genetic.c: Corrected some bugs that made it, under certain
	circumstances, try to get resources not available in the bank.

2014-03-08  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/resource-view.gob: Replaced deprecated function.
	* common/gtk/guimap.c: Simplified event arguments.
	* client/gtk/gui.c, common/gtk/common_gtk.c, common/gtk/common_gtk.h,
	common/gtk/guimap.c, common/gtk/guimap.h, editor/gtk/editor.c: The
	GuiMap widget maintains the last known mouse pointer position.

2014-03-07  Rodrigo Espiga Gómez <rodrigoespiga@hotmail.com>
	* client/ai/genetic.c, client/ai/genetic_core.c: Genetic Player, now
	it values ports and depreciates strategies that let it ending the turn
	with too many resources.

2014-02-25  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am, client/gtk/chat.c, client/gtk/connect.c,
	client/gtk/develop.c, client/gtk/discard.c, client/gtk/frontend.c,
	client/gtk/gameover.c, client/gtk/gold.c, client/gtk/gui.c,
	client/gtk/histogram.c, client/gtk/identity.c, client/gtk/legend.c,
	client/gtk/monopoly.c, client/gtk/name.c, client/gtk/player.c,
	client/gtk/plenty.c, client/gtk/quote-view.c, client/gtk/quote.c,
	client/gtk/resource-table.c, client/gtk/resource-view.gob,
	client/gtk/resource.c, client/gtk/settingscreen.c, client/gtk/trade.c,
	common/gtk/Makefile.am, common/gtk/colors.c, common/gtk/common_gtk.c,
	common/gtk/common_gtk.h, common/gtk/game-rules.c,
	common/gtk/game-rules.h, common/gtk/game-settings.c,
	common/gtk/guimap.c, common/gtk/map-icons.c, common/gtk/metaserver.c,
	common/gtk/player-icon.c, common/gtk/select-game.c, common/gtk/theme.c,
	common/gtk/theme.h, configure.ac, editor/gtk/editor.c,
	server/gtk/main.c: Only use GTK+3 instead of GTK+2.
	* common/gtk/gtkbugs.c, common/gtk/gtkbugs.h, common/gtk/gtkcompat.h:
	Removed, because they are GTK+2-only.
	* MinGW/Makefile.am, MinGW/README.txt, MinGW/loaders.cache,
	MinGW/pioneers.nsi.in: Updated the MinGW port for GTK+3.
	* server/admin.c, server/server.c, server/server.h, server/turn.c:
	Added game manipulation for the admin interface.

2014-02-21  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/Makefile.am: Treat genetic_core as a 'header'.
	* po/POTFILES.in: Added genetic.c, because it contains texts.

2014-02-17  Rodrigo Espiga Gómez <rodrigoespiga@hotmail.com>
	* client/ai/genetic.c, client/ai/genetic_core.c: Working genetic player
	with testing chromosome.
	
2014-02-09  Roland Clobus <rclobus@rclobus.nl>
	* client/common/main.c: Do not start the main loop when the
	computer player cannot connect to the given port.
	* client/gtk/frontend.h, client/gtk/gui.c, client/gtk/offline.c,
	client/gtk/state.c: Do not quit when the client cannot connect to
	the given port.
	* client/ai/Makefile.am, client/ai/genetic_core.c: Basic integration.

2014-02-08  Roland Clobus <rclobus@rclobus.nl>
	* autogen.sh: Pass along the arguments when the embedded copy of
	gnome-common is used.

2014-01-29  Rodrigo Espiga Gómez <rodrigoespiga@hotmail.com>
	* client/ai/genetic_core.c: Basic functions that will rule how the
	genetic player decides its next action.

2014-01-13  Roland Clobus <rclobus@rclobus.nl>
	* client/callback.h, client/common/player.c, client/gtk/identity.c,
	common/gtk/theme.c, server/admin.c, server/avahi.c, server/player.c,
	server/server.h: Fixed misspellings found by 'make codespell'.
	* Makefile.am: Added new tool, codespell, to fix common misspellings.

2014-01-11  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/chat.c, client/gtk/connect.c, client/gtk/develop.c,
	client/gtk/discard.c, client/gtk/gameover.c, client/gtk/gold.c,
	client/gtk/gui.c, client/gtk/legend.c, client/gtk/monopoly.c,
	client/gtk/name.c, client/gtk/player.c, client/gtk/plenty.c,
	client/gtk/quote.c, client/gtk/resource.c, client/gtk/settingscreen.c,
	client/gtk/trade.c, common/gtk/common_gtk.c, common/gtk/game-rules.c,
	common/gtk/game-settings.c, common/gtk/gtkcompat.h, configure.ac,
	editor/gtk/editor.c, server/gtk/main.c: Fixed GTK3 deprecation warnings
	for [hv]box and similar functions.

2014-01-10  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/config-gnome.c: Recoded to UTF8.

2014-01-03  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/develop.c: Play more than one development card of the same
	type.

2013-12-19  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/histogram.c, client/gtk/identity.c, client/gtk/player.c,
	client/gtk/resource-view.gob, common/gtk/map-icons.c,
	editor/gtk/editor.c: Added support for the Gtk+3 'draw' event.

2013-12-16  Micah Bunting <amnykon@gmail.com>
	* common/deck.c: Maintains deck order by using
	g_ptr_array_remove_index() instead of g_ptr_array_remove_index_fast().

2013-12-08  Micah Bunting <amnykon@gmail.com>
	* common/deck.h, common/deck.c, common/cards.h, common/cards.c,
	common/Makefile.am, server/turn.c, server/pregame.c, server/server.h,
	server/player.c, server/develop.c, client/ai/greedy.c,
	client/common/develop.c, client/callback.h: Changed deck data structure
	to have a faster algorithm, encapsulation, and storage of gpointer.

2013-11-21  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/quote-view.c: Replaced GdkPixmap by cairo_surface_t.
	* client/gtk/settingscreen.c, client/gtk/plenty.c: Replaced GTK_OBJECT
	by G_OBJECT for signal handlers.
	* client/gtk/gui.c: Gtk+3 does not require resize grips.

2013-11-19  Roland Clobus <rclobus@rclobus.nl>
	* common/Makefile.am: Build version.h when needed.
	* client/gtk/connect.c: GtkObject->GtkAdjustment (for Gtk+3).
	* common/gtk/theme.c: Fixed compiler warning (due to Gtk+3 port).

2013-11-17  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Enable (experimental) support for Gtk+3.
	* client/gtk/frontend.c, common/gtk/colors.c, common/gtk/common_gtk.h,
	common/gtk/player-icon.c, common/gtk/theme.c, common/gtk/theme.h:
	Ported colormap to Gtk+3. Fixed a keycode.
	* client/gtk/gui.c, common/gtk/guimap.c, common/gtk/guimap.h,
	common/gtk/select-game.c: Replaced pixmap in guimap.

2013-10-30  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/pioneers.nsi.in: Fixed installing style-ai.svg, see 2013-06-07.

2013-10-26  Roland Clobus <rclobus@rclobus.nl>
	* autogen.sh: Fixed --fhs argument handling.

2013-10-12  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 15.2

2013-10-12  Roland Clobus <rclobus@rclobus.nl>
	* Released 15.1.

2013-10-12  Roland Clobus <rclobus@rclobus.nl>
	* client/help/C/Makefile.am, client/help/C/pioneers.xml: Use xmllint to
	reformat the xml help file.
	* client/help/C/pioneers.xml: Updated the sections about:
	    - Port forwarding
            - The computer player
	    - The server
	* NEWS, client/ai/lobbybot.c, docs/README.release: Prepare for the
	release.

2013-10-03  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/discard.c: Fixed compiler warning.
	* macros/gnome-autogen.sh: Synchronised from gnome-common 3.10.0-1,
	which adds support for automake 1.14.
	* autogen.sh: Added --fhs command line option to set the FHS paths.
	* client/help/C/Makefile.am: Updated the targets to build and clean the
	help files (simplehtml and yelphtml).
	* client/help/C/pioneers.xml: Updated Q&A section. Updated admin
	protocol.

2013-09-24  Micah Bunting <amnykon@gmail.com>
	* client/common/client.c, server/pregame.c: Simplified the "devcard"
	protocol.

2013-09-23  Roland Clobus <rclobus@rclobus.nl>
	* server/turn.c: Fixed 'admin fix-dice' command.
	* server/pregame.c: Fixed protocol incompatibility during reconnect.

2013-09-08  Micah Bunting <amnykon@gmail.com>
	* server/turn.c, server/server.h, server/pregame.c, server/develop.c,
	common/cards.c, common/cards.h, client/common/develop.c,
	client/common/client.c, client/common/client.h: Removed the variable
	played_develop and the corresponding protocol.
	* client/common/develop.c, client/ai/greedy.c, server/pregame.c,
	server/develop.c, common/cards.c, common/cards.h: Removed struct
	DevelCard and replaced with enum DevelType.
	
2013-09-08  Roland Clobus <rclobus@rclobus.nl>
	* server/meta.c, server/player.c, client/common/client.c,
	editor/gtk/editor.c: Added hints for translators.
	* server/gtk/pioneers-server.desktop.in,
	client/gtk/pioneers.desktop.in,
	editor/gtk/pioneers-editor.desktop.in: Removed trademarked word.
	* pioneers.spec.in: Make more similar to Redhat version.
	* editor/gtk/editor.c: Fixed spelling a/an in tooltips.
	* common/network.c: Fixed spelling error.

2013-09-03  Roland Clobus <rclobus@rclobus.nl>
	* docs/pioneers-metaserver.6, metaserver/main.c: Use Ctrl-C instead of
	SIGUSR1 to stop the metaserver.
	* configure.ac: Substitute all variables in pioneers.spec.in. Fixes
	the building of rpm on openSUSE.

2013-09-02  Micah Bunting <amnykon@gmail.com>
        * server/develop.c, server/server.h, server/turn.c, server/pregame.c,
        common/cards.c, common/cards.h, client/common/client.c,
        client/common/client.h, client/common/develop.c: Removes gint
	turn_bought from DevelCard and replaces it with two guint
	num_playable_cards.

2013-08-27  Roland Clobus <rclobus@rclobus.nl>
	* metaserver/main.c, common/network.c: Fixed memory leaks in the
	metaserver.

2013-06-28  Roland Clobus <rclobus@rclobus.nl>
	* server/meta.c: Check whether the metaserver is still alive.
	* server/meta.c, server/server.c, server/server.h: Reconnect to the
	metaserver when the connection is broken.

2013-06-27  Roland Clobus <rclobus@rclobus.nl>
	* autogen.sh, configure.ac: Set required version of autoconf back to
	2.68, to build on Ubuntu Precise again.

2013-06-26  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, Makefile.am, autogen.sh, client/gtk/data/Makefile.am,
	common/Makefile.am: Minimum required version for automake is 1.11,
	fixed warnings for automake 1.13.
	* common/network.h, server/player.c, metaserver/main.c:
	Initialised GError for net_get_peer_name.
	* configure.ac, server/main.c, Makefile.am, metaserver/main.c,
	common/network.c: Switched from POSIX to GIO for the network
	communication, which adds full IPv6 support.
	* docs/pioneers-metaserver.6: The metaserver checks for used ports.
	* autogen.sh, macros/Makefile.am, macros/type_socklen_t.m4:
	TYPE_SOCKLEN_T is no longer required due to GIO.
	* MinGW/pioneers.nsi.in, MinGW/Makefile.am: Activated the server.
	* README.Cygwin: Updated building instructions.
	* server/gtk/pioneers-server.desktop.in, client/gtk/pioneers.desktop.in,
	editor/gtk/pioneers-editor.desktop.in: Added the field Keywords.

2013-06-17  Micah Bunting <amnykon@gmail.com>
        * client/gtk/legend.c, editor/gtk/editor.c, common/gtk/theme.h,
        common/gtk/map-icons.c, common/gtk/Makefile.am, common/gtk/theme.c:
	Moved terrain icon functions to common/gtk/map-icons.c.
        
2013-06-14  Micah Bunting <amnykon@gmail.com>
        * editor/gtk/editor.c: Removed extra if statement in build_terrain_menu.

2013-06-13  Micah Bunting <amnykon@gmail.com>
        * client/common/develop.c client/ai/greedy.c server/pregame.c
        server/develop.c common/cards.c common/cards.h: Hides the DevelDeck
        structure and adds accessor functions.

2013-06-13  Roland Clobus <rclobus@rclobus.nl>
	* server/server.c: Don't log about leaving players twice.
	* Makefile.am: Make clean cleans results of make reindent and doxygen.

2013-06-10  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, common/gtk/player-icon.c: Take ownership of the pointer
	to fix the bug introduced on 2013-06-07.
	* client/gtk/notification.c, client/gtk/notification.h,
	client/gtk/offline.c, client/gtk/interface.c, configure.ac: Show at
	most one message in the notification area. Support for old versions of
	libnotify is no longer required. Fixed memory leak for each
	notification.
	* Doxyfile.in, configure.ac, Makefile.am: Added Doxygen support.
	* common/set.h, common/set.c: Doxygen documentation.
	* client/gtk/player.c: Removed unused array.

2013-06-09  Roland Clobus <rclobus@rclobus.nl>
	* omf.make, macros/gnome-autogen.sh: Synchronised from gnome-common
	3.7.4-1, which adds support for automake 1.13.

2013-06-07  Roland Clobus <rclobus@rclobus.nl>
	* common/map.c, common/map.h, client/ai/greedy.c: Map the resource
	to the terrain and vice versa.
	* common/gtk/common_gtk.c, common/gtk/common_gtk.h: Added code from
	Gtk+3 to make the port from Gtk+2 easier.
	* client/gtk/data/style-ai.png, client/gtk/data/style-ai.svg,
	client/gtk/data/Makefile.am: Replaced the png by a svg (with proper
	credits to Jakub Steiner)
	* common/gtk/player-icon.c, common/gtk/player-icon.h,
	client/gtk/player.c, client/gtk/name.c: Update to the player icon code.
	Set a minimum size on the slider in the 'Change Player Name' dialog.
	Use a larger icon.

2013-06-06  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c: Matched the tooltips to the buttons in the
	'Join a Public Game' dialog.

2013-06-05  Micah Bunting <amnykon@gmail.com>
        * server/player.c, server/robber.c, server/develop.c, server/gold.c,
        server/turn.c, server/server.c, server/server.h, server/discard.c,
        common/map.c, common/map.h, common/random.c, common/random.h,
        common/Makefile.am: Moved random functions to common/random.c and
        common/random.h.

2013-06-05  Roland Clobus <rclobus@rclobus.nl>
	* admin-scripts/meta.sh: Updated to set the PATH variable.

2013-06-04  Roland Clobus <rclobus@rclobus.nl>
	* server/gtk/main.c, server/server.c, Makefile.am, metaserver/main.c,
	client/gtk/connect.c, docs/pioneers-metaserver.6: Use $PATH to locate
	the programs instead of hardcoded paths.

2013-05-31  Roland Clobus <rclobus@rclobus.nl>
	* docs/README.message_flow, common/gtk/select-game.c,
	common/gtk/select-game.h, common/game.c, common/game.h,
	server/gtk/main.c, metaserver/main.c, metaserver/README.protocol,
	client/gtk/offline.c, client/gtk/connect.c: Show game details in the
	client for games from the metaserver. Updated documentation of the
	metaserver protocol.

2013-05-30  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/Makefile.am, server/gtk/Makefile.am, Makefile.am,
	client/gtk/data/Makefile.am: Don't remove the *.ico files in the
	make maintainer-clean target.

2013-05-21  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Use icons of 256x256, to show sharp icons on Alt-Tab.

2013-05-20  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/README.txt: The MinGW build works from a clean svn checkout.
	* client/gtk/data/pioneers.svg, server/gtk/pioneers-server.svg,
	editor/gtk/pioneers-editor.svg: Resized to 48x48, thicker lines,
	refreshed computer icon, added attribution for the selections of the
	Gorilla theme by Jakub Steiner.

2013-05-19  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/quote-view.c, client/gtk/histogram.c, editor/gtk/editor.c,
	common/gtk/theme.h, common/gtk/guimap.c, common/gtk/theme.c: Removed
	the use of GdkPixmap in theme.c (needed for Gtk+3).

2013-05-18  Micah Bunting <amnykon@gmail.com>
	* editor/gtk/editor.c, common/gtk/guimap.c, common/gtk/guimap.h:
	Added a toolbar to the map editor.

2013-05-13  Roland Clobus <rclobus@rclobus.nl>
	* common/network.c: Fixed FTBFS on Windows, introduced on 2013-04-24.

2013-05-10  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/select-game.c: Fixed some memory leaks.
	* client/ai/greedy.c: Fixed some warnings when compiling with clang.

2013-05-08  Micah Bunting <amnykon@gmail.com>
	* docs/README.server_protocol_version: Clarifies and fixes spelling.
	* common/gtk/guimap.c: Adds some doxegen comments to guimap.c.
	
2013-05-07  Roland Clobus <rclobus@rclobus.nl>
	* docs/README.message_flow: Description of the message flow between the
	programs, along with proposals for modification.
	* macros/gnome-autogen.sh: Synchronised from gnome-common 3.4.0.1-1,
	which adds support for automake 1.11.

2013-05-06  Micah Bunting <amnykon@gmail.com>
	* common/gtk/game-rules.c: Right aligns the dice deck spin buttons.

2013-05-02  Micah Bunting <amnykon@gmail.com>
	* common/gtk/guimap.c, common/gtk/guimap.h: Added guimap_find_edge()
	to have access to find_edge() outside of guimap.c.
	
2013-05-02  Roland Clobus <rclobus@rclobus.nl>
	* common/game.c: Don't complain about dice deck related parameters in
	clients before V15.

2013-05-01  Micah Bunting <amnykon@gmail.com>
	* server/admin.c, server/gtk/main.c server/server.c, server/server.h,
	server/turn.c, server/main.c, editor/gtk/editor.c,
	common/gtk/game-rules.c, common/gtk/game-rules.h, common/game.c,
	common/game.h, client/gtk/settingscreen.c, client/common/client.c:
	Added option to use a deck of 36 cards instead of the dice.
	* configure.ac, common/game.c, common/game.h: Incremented protocol
	version to V15.

2013-04-30  Roland Clobus <rclobus@rclobus.nl>
	* docs/README.server_protocol_version: Instructions how the server
	protocol versioning works.
	* common/network.c: net_service_free is allowed to be called with null.

2013-04-28  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Added a correct focus handler, thus removing the
	need for the ugly hack of 2013-04-26, with thanks to Micah Bunting for
	pointing me in the right direction.
	* common/gtk/scrollable-text-view.gob: Reverted the ugly hack for the
	keyboard focus.
	* common/game-list.c, common/game-list.h, common/Makefile.am,
	server/server.c, server/server.h, server/gtk/main.c: Moved code from
	server to game-list.
	* server/gtk/main.c: Connect the log earlier, game-list messages are
	now shown.
	* server/server.h, server/pregame.c, server/player.c, server/server.c,
	common/game.c, common/game.h: Move game_is_unstartable.
	* common/game-list.c, metaserver/main.c: Don't send unstartable games.
	* admin-scripts/locallobby.sh: Delay a bit, to allow the metaserver to
	start.

2013-04-26  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Fixed setting the title of the game. Fixed i18n
	issues: double keyboard shortcut and unmarked translatable text.
	* common/gtk/scrollable-text-view.gob: Turned off TAB. 'Fixed' click on
	the widget to regain focus, by using a ugly hack.

2013-04-25  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/audio.c: The beep works again.

2013-04-24  Roland Clobus <rclobus@rclobus.nl>
	* admin-scripts/meta.sh: Use the correct name of the executable.
	* client/ai/lobbybot.c: Corrected the version number of the release.

2013-04-24  Roland Clobus <rclobus@rclobus.nl>
	* metaserver/main.c, client/gtk/connect.c, common/state.c,
	common/common_glib.c, common/state.h, common/network.c,
	common/common_glib.h, common/driver.c, common/network.h,
	common/driver.h, common/gtk/common_gtk.c, server/server.h,
	server/main.c, server/glib-driver.c, server/glib-driver.h,
	server/meta.c, server/admin.c, server/player.c, server/server.c: Moved
	all network related code to network.[ch]; fixed memory leak in
	net_io_channel_wrapper (formerly called evl_glib_input functions);
	the metaserver uses network.c too; fixed handling of metaserver
	redirects; enabled the ok-button in the client dialogs only when all
	data is available; the metaserver checks the availability of the port
	when starting a new server.

2013-04-21  Roland Clobus <rclobus@rclobus.nl>
	* common/set.c, common/set.h: Added set_size, added documentation.

2013-04-20  Roland Clobus <rclobus@rclobus.nl>
	* common/set.c, common/set.h, common/Makefile.am: Added algorithm Set.

2013-04-15  Micah Bunting <Amnykon@gmail.com>
	* client/gtk/frontend.c, client/gtk/frontend.h, client/gtk/identity.c:
	Resize the height of the identity panel.

2013-04-05  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/Makefile.am, client/ai/ai.c, client/ai/ai.h,
	client/ai/genetic.c: Added stub for a new computer player.

2013-03-19  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, Makefile.am, MinGW/README.txt, MinGW/iconify2.scm,
	client/gtk/data/pioneers.ico, server/gtk/pioneers-server.ico,
	editor/gtk/pioneers-editor.ico: Store hard to regenerate MSWindows
	icons in the repository again. (Icons are now also 256x256)

2013-03-17  Roland Clobus <rclobus@rclobus.nl>
	* server/avahi.c, server/meta.c, common/network.c, common/network.h:
	Replaced copy of code from g_get_host_name by glib function.

2013-03-15  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/colors.c, common/gtk/gtkbugs.c, common/gtk/polygon.c,
	server/avahi.h: Fixed FTBFS on Debian 6 due to missing include of
	config.h. Checked all files to include config.h in the c-file.

2013-03-07  Roland Clobus <rclobus@rclobus.nl>
	* metaserver/main.c: Use the regular log functions.

2013-02-26  Roland Clobus <rclobus@rclobus.nl>
	* server/meta.c, server/admin.c, server/server.h, client/gtk/connect.c,
	common/network.h, common/state.c, common/network.c: Added Session to
	callbacks. Fixed handling of the metaserver protocol.
	* common/gtk/common_gtk.c, common/gtk/common_gtk.h, server/gtk/main.c,
	client/gtk/gui.c: Show the log when something is logged.
	* common/state.c: Fixed the bug introduced on 2013-02-15 which crashed
	the server when a connection was closed.

2013-02-24  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, server/server.c, server/server.h, server/main.c,
	server/admin.c, server/admin.h, server/gtk/main.c, server/meta.c,
	Makefile.am, metaserver/README.protocol, metaserver/meta-report,
	metaserver/main.c, metaserver/Makefile.am, client/gtk/admin-gtk.c,
	client/gtk/frontend.h, client/gtk/offline.c, client/gtk/connect.c,
	client/help/C/pioneers.xml, po/POTFILES.in, ChangeLog,
	docs/pioneers-server-gtk.6, docs/pioneers-meta-server.6,
	docs/pioneers-metaserver.6, docs/pioneers.6, docs/Makefile.am,
	docs/pioneers-server-console.6, common/network.c, common/network.h,
	common/gtk/metaserver.c: Fixed variants of the spelling of 
	meta[- _]server to metaserver.

2013-02-23  Roland Clobus <rclobus@rclobus.nl>
	* server/server.c, server/admin.c, server/admin.h: Used the correct
	port in the admin interface.

2013-02-19  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, server/meta.c, server/avahi.c, server/player.c,
	client/common/client.c, common/game.c, common/game.h: Moved the #define
	of PROTOCOL_VERSION to the enum ClientVersionType for a single location
	to keep the PROTOCOL_VERSION.

2013-02-17  Roland Clobus <rclobus@rclobus.nl>
	* admin-scripts/list.sh: Works for 5/6-player game too.

2013-02-15  Roland Clobus <rclobus@rclobus.nl>
	* server/admin.c, server/admin.h, server/meta.c, client/gtk/connect.c,
	common/state.c, common/network.c, common/network.h: Removed function
	casts for NetNotifyFunc.
	* server/admin.c, common/network.c, common/network.h: Revert of the
	change on 2012-04-03, now the admin interface works again.
	* server/turn.c, server/admin.c, server/admin.h, server/main.c: The
	admin interface uses the current game. Cleanup of private functions.

2013-02-12  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Better logic for the +/- buttons for columns
	when the limit is reached.
	* client/gtk/frontend.h, client/gtk/interface.c,
	client/gtk/callbacks.c: Close the game over dialog when a new game
	starts.

2013-02-10  Roland Clobus <rclobus@rclobus.nl>
	* server/buildutil.c: Fixed warning from --enable-warnings=full.

2013-02-09  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Distribute pioneers.pot in the tarball again.

2013-02-08  Roland Clobus <rclobus@rclobus.nl>
	* server/main.c, server/gtk/main.c, server/server.c: Moved avahi
	related code to central location.
	* server/gtk/main.c: Fixed crash after quit.

2013-01-27  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c, common/cards.c, common/map_query.c,
	common/gtk/player-icon.c, common/gtk/guimap.c, common/gtk/player-icon.h,
	common/gtk/colors.c, common/gtk/theme.c, common/gtk/config-gnome.c,
	common/game.c, common/state.c, common/network.c, common/buildrec.c,
	meta-server/main.c, configure.ac, server/admin.c, server/buildutil.c,
	server/resource.c, server/turn.c, server/player.c, server/develop.c,
	server/server.c, server/discard.c, server/robber.c, server/pregame.c,
	server/main.c, client/gtk/trade.c, client/gtk/settingscreen.c,
	client/gtk/name.c, client/gtk/gui.c, client/gtk/player.c,
	client/gtk/interface.c, client/common/stock.c, client/common/callback.c,
	client/common/player.c, client/ai/ai.c, client/ai/greedy.c,
	client/callback.h: Enable -Wsign-compare, fix all warnings, resulting
	in a working game again (was broken due to signed/unsigned issues).
	* server/server.c: Reverted change on 2012-12-18: #define PRINT_INFO.

2013-01-26  Roland Clobus <rclobus@rclobus.nl>
	* common/map.c: Fix signed/unsigned issue resulting in crash.
	* client/gtk/develop.c, client/gtk/frontend.h: Fixed compiler warning
	introduced 2012-12-18.
	* client/ai/greedy.c: Fixed random chat messages (behaviour matches the
	function name again).

2013-01-19  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c: Clear the list of games and set focus to the
	dialog with the list of games when changing the metaserver.

2013-01-18  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/ai.c, client/ai/greedy.c, common/gtk/theme.h: Cleanup of
	some warnings generated by --enable-warnings=full.

2013-01-17  Roland Clobus <rclobus@rclobus.nl>
	* common/game.h: Fixed building due to missing ssize_t on armel.

2012-12-18  Roland Clobus <rclobus@rclobus.nl>
	* server/main.c, server/avahi.c, server/develop.c, server/meta.c,
	server/turn.c, server/admin.c, server/player.c, server/buildutil.c,
	server/gtk/main.c, server/server.c, server/server.h,
	client/gtk/interface.c, client/gtk/resource-table.c,
	client/gtk/resource-table.h, client/gtk/resource-view.gob,
	client/gtk/frontend.h, client/gtk/avahi.c, client/gtk/audio.h,
	client/gtk/avahi-browser.c, client/gtk/settingscreen.c,
	client/gtk/connect.c, client/common/callback.c, client/common/client.c,
	client/common/develop.c, client/common/client.h, client/common/stock.c,
	client/common/main.c, client/ai/ai.c, client/ai/greedy.c,
	client/callback.h, editor/gtk/editor.c, common/gtk/game-rules.c,
	common/gtk/game-settings.c, common/gtk/guimap.c, common/quoteinfo.c,
	common/game.c, common/map.c, common/game.h, common/state.c,
	common/log.c, common/map.h, common/state.h, common/log.h,
	common/network.c, common/cards.c, common/network.h, common/cards.h,
	common/map_query.c: Cleanup of some warnings generated by
	--enable-warnings=full. No need for time(NULL) initialization of random
	seed anymore as Glib takes care of that now. Moved debug function to
	log.h. Moved private definition of StateMachine to code file. Fixed
	datatype in ai code for better evaluation of opponents hex tiles.

2012-11-01  Roland Clobus <rclobus@rclobus.nl>
	* admin-scripts/list.sh, admin-scripts/kill-game.sh, 
	admin-scripts/locallobby.sh, admin-scripts/remotelobby.sh,
	admin-scripts/meta.sh, admin-scripts/locallobbybot.sh,
	admin-scripts/remotelobbybot.sh: Use #!/bin/sh instead of dash.
	* admin-scripts/list.sh: Better display.
	* docs/README.release: No gaps in time for the version numbers.

2012-08-07  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/config-gnome.c: Use g_open instead of open, to allow users
	with non-ascii username under Windows to save their preferences.

2012-07-06  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/pioneers.nsi.in: Show installation size, updated homepage.

2012-06-03  Roland Clobus <rclobus@rclobus.nl>
	* Taken from the 14.1 branch (for the Windows installer):
	  * MinGW/pioneers.nsi.in: Added missing dll.
	  * configure.ac: LDFLAGS for hardening don't work under Windows.

2012-06-01  Roland Clobus <rclobus@rclobus.nl>
	* commmon/gtk/game-rules.c, po/*: Fixed typo.

2012-05-28  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 14.2.
	* docs/README.release: Updated release script.

2012-05-28  Roland Clobus <rclobus@rclobus.nl>
	* Released 14.1.

2012-05-28  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/theme.c: Removed deprecated warning.
	* common/gtk/config-gnome.c, server/player.c: Suppress warnings for
	the use of write.
	* server/pregame.c, client/common/client.c: Deprecated the
	'player disconnected' message.
	* common/network.c: Fixed memory leak in debug code.
	* docs/README.release: Updated location of ClientVersionType.
	* client/gtk/data/splash.svg: Updated for protocol 14.
	* NEWS: Release notes for 14.1.
	* TODO: Referred to the Feature Request page on SourceForge.
	* client/ai/lobbybot.c: Mentioned 14.1.

2012-05-19  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c, common/gtk/game-rules.c: Translator hints.

2012-05-17  Roland Clobus <rclobus@rclobus.nl>
	* server/Evil_square.game, server/ubuntuland.game, server/default.game,
	server/crane_island.game, server/GuerreDe100ans.game,
	server/Mini_another_swimming_pool_in_the_wall.game, server/canyon.game,
	server/archipel_gold.game, server/iles.game, server/conquest.game,
	server/conquest+ports.game, server/small.game, server/seafarers.game,
	server/north_america.game, server/coeur.game, server/lorindol.game,
	server/seafarers-gold.game, server/5-6-player.game, server/lobby.game,
	server/south_africa.game, server/Another_swimming_pool_in_the_wall.game,
	server/henjes.game, server/Cube.game: Use the new descriptions. All
	games are saved by the editor.

2012-04-27  Roland Clobus <rlobus@rclobus.nl>
	* server/gtk/main.c, client/gtk/offline.c, editor/gtk/editor.c,
	common/gtk/theme.c, common/gtk/theme.h: Cleanup themes for valgrind.
	* common/gtk/guimap.c, common/gtk/theme.c, common/gtk/select-game.c,
	common/gtk/select-game.h: More cleanup for valgrind.
	* common/gtk/theme.c: Removed double rendering.
	* editor/gtk/editor.c: Reenabled the context menu on right-click
	which was disabled on 2011-02-23.

2012-04-06  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Added a file filter.

2012-04-05  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Use default folder in file dialogs.
	* common/map.c: Correctly handle NULL for chits, as introduced on
	2012-03-21.

2012-04-03  Roland Clobus <rclobus@rclobus.nl>
	* common/network.c, common/network.h, server/admin.c: Restrict
	knowledge of the Session struct to network.c

2012-03-28  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/callbacks.c, client/common/client.c: Show and hide nosetup
	nodes for the viewer too.
	* common/game.c: Don't send strings twice in game settings.

2012-03-21  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c, common/gtk/game-rules.c,
	common/gtk/game-rules.h, common/game.c, common/game.h,
	server/gtk/main.c: Added island discovery bonus widget. Cleanup of
	params in the editor (with thanks to Micah Bunting for the initial
	version).

2012-02-24  Roland Clobus <rclobus@rclobus.nl>
	* common/game.c, common/map.c: Moved NULL check to map_free.

2012-02-12  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Added 'pristine' target to remove svn:ignore files.
	* configure.ac: Split AC_CONFIG_FILES. Needed for MinGW builds.
	* client/gtk/resource-view.gob: Fixed layout bug introduced 2011-11-12.

2012-02-10  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, Makefile.am, client/gtk/data/Makefile.am: The script
	rsvg is deprecated. Using rsvg-convert which was called by rsvg.
	* MinGW/Makefile.am: MinGW port requires libssp-0.dll too. Also use
	the install-hook to automagically install the DLLs.

2012-02-09  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Use the same flags as for Debian hardening and also
	use the minimal linking flags.
	* common/game.c, common/game.h, server/server.c: Find duplicate games.

2012-02-02  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Don't include source files in BUILT_SOURCES.
	* common/Makefile.am, common/gtk/Makefile.am, client/gtk/Makefile.am:
	Better marking for gob related files.

2012-01-30  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/Makefile.am, server/gtk/Makefile.am, Makefile.am,
	client/gtk/data/Makefile.am: Created the large icons for the GNOME 3
	desktop.
	* editor/gtk/pioneers-editor.desktop.in,
	server/gtk/pioneers-server.desktop.in,
	client/gtk/pioneers.desktop.in: Removed the obsolete UTF-8 encoding tag
	and removed the filename extension from the Icon tag.

2012-01-17  Roland Clobus <rclobus@rclobus.nl>
	* client/common/client.c: Fixed string building function.
	* server/gtk/main.c: Fixed the bug introduced on 2011-11-06, which
	did not correctly disabled the entries related to 'Register server'.

2012-01-13  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/trade.c: Fixed the bug introduced on 2011-08-18, which
	broke the trade in games without interplayer trade
	(it worked in 0.12.4).
	* client/gtk/gui.c, client/gtk/interface.c: Remove the quote tab when
	leaving a game.
	* client/gtk/trade.c: Invalidate offers that are not interesting
	anymore.
	* server/turn.c, server/player.c, server/server.h, server/pregame.c,
	server/buildutil.c, client/common/client.c: Simpler longest road check.

2012-01-09  Roland Clobus <rclobus@rclobus.nl>
	* docs/pioneers-server-gtk.6, docs/pioneers-meta-server.6,
	docs/pioneersai.6, docs/pioneers.6, docs/pioneers-server-console.6,
	docs/pioneers-editor.6: Updated man pages.

2012-01-06  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/offline.c: Send the new avatar style
	(it worked in 0.12.3).

2012-01-05  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Fixed a crash when a game needs logging.

2011-12-11  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c, server/gtk/main.c, server/server.c: Added
	newline to log messages about errors starting a program.

2011-12-10  Roland Clobus <rclobus@rclobus.nl>
	* meta-server/main.c: Replaced strerror 2x by g_strerror, as found by
	autoscan.

2011-12-07  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c, common/gtk/scrollable-text-view.gob,
	common/gtk/Makefile.am, common/game.c, common/game.h: Store the
	comments in the editor. With many thanks to Micah Bunting
	<amnykon@gmail.com> for the initial versions of this patch.

2011-12-02  Roland Clobus <rclobus@rclobus.nl>
	* pioneers.nsi.in, README.MinGW, MinGW/pioneers.nsi.in,
	MinGW/README.txt, configure.ac: Moved MinGW related stuff to MinGW
	directory. New instructions in the README.txt.
	
2011-12-01  Roland Clobus <rclobus@rclobus.nl>
	* server/lobby.game, server/theme_preview.game: Removed obsolete rule.

2011-11-29  Roland Clobus <rclobus@rclobus.nl>
	* server/pregame.c, server/player.c, server/server.h, common/game.c,
	common/game.h: Allow versioned rules.
	* common/state.c: Easier debugging of the state machine.

2011-11-28  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/ai.c: Removed old debug line.
	* pioneers.nsi.in, MinGW/gdk-pixbuf.loaders, MinGW/Makefile.am,
	MinGW/loaders.cache, README.MinGW: Release of 0.12.5 for Windows. Code
	from the 0.12.5 branch.

2011-11-26  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am: Remove incorrect guard for BUILD_SERVER.

2011-11-21  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/theme.c, common/gtk/theme.h: Speedup of server-gtk by not
	rescaling the theme when it is not necessary.

2011-11-12  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c, common/gtk/gtkcompat.h, common/gtk/theme.c,
	common/gtk/common_gtk.h, common/gtk/guimap.c, common/gtk/player-icon.c,
	common/gtk/select-game.c, common/gtk/common_gtk.c, configure.ac,
	server/gtk/main.c, client/gtk/plenty.c, client/gtk/name.c,
	client/gtk/resource-view.gob, client/gtk/gold.c, client/gtk/player.c,
	client/gtk/legend.c, client/gtk/quote-view.c, client/gtk/gameover.c,
	client/gtk/discard.c, client/gtk/monopoly.c,
	client/gtk/settingscreen.c, client/gtk/gui.c, client/gtk/identity.c,
	client/gtk/connect.c, client/gtk/histogram.c: Enable GSEAL_ENABLE.

2011-11-07  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/game-resources.c, editor/gtk/game-devcards.c,
	editor/gtk/game-buildings.c, editor/gtk/game-settings.c,
	common/gtk/aboutbox.c, server/gtk/main.c: Some preparation for Gtk+3.

2011-11-06  Roland Clobus <rclobus@rclobus.nl>
	* server/gtk/main.c: Removed Gtk-CRITICAL messages by setting the
	togglebutton after the items to be disabled have been created.

2011-10-30  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 14.1

2011-10-30  Roland Clobus <rclobus@rclobus.nl>
	* Released 0.12.5

2011-10-30  Roland Clobus <rclobus@rclobus.nl>
	* server/player.c, server/server.c, server/server.h, server/pregame.c:
	Forget players in the lobby when they disconnect. Don't start the lobby
	game.
	* admin-scripts/meta.sh: Allow more games to be hosted.
	* client/gtk/resource-view.gob: Don't request more space for the
	single resource view.
	* common/gtk/guimap.c, server/gtk/main.c, server/turn.c,
	server/pregame.c, client/gtk/frontend.c, client/gtk/gui.c,
	client/gtk/connect.c, client/common/client.c, client/ai/greedy.c:
	Fixed some shadowed variable names.
	* client/ai/greedy.c: Fixed a datatype when finding the best road.
	* client/gtk/gui.c: Used a simpler routine to build the icons for the
	toolbar.
	* server/develop.c: Added extra check to see if the development card
	that is being played is valid. With thanks to miton
	<mitons@users.sourceforge.net> for reporting this issue.
	* server/develop.c: Fixed a bug that would stop the server on an assert
	when the road building action was used to win the game before the dice
	were rolled.
	* NEWS: Release notes for 0.12.5
	* TODO: Remove one old and one implemented feature.
	* client/ai/lobbybot.c: Mention 0.12.5

2011-10-27  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/frontend.h, client/gtk/notification.c,
	client/gtk/notification.h, client/gtk/quote.c, client/gtk/trade.c,
	client/gtk/interface.c: Use the toolbar icons in the notification
	messages.
	* client/gtk/data/Makefile.am, client/gtk/data/*.svg,
	client/gtk/data/*.png: Replaced PNG bitmaps of the toolbar items by
	SVG vector images.
	* server/theme_preview.game: Included bridges and ship in the preview.
	* client/common/client.c: Removed old stack dump.

2011-10-22  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/game-rules.c, common/gtk/game-rules.h, common/game.c,
	common/game.h, server/gtk/main.c, client/gtk/identify.c: Removed the
	colored dice patch which was written early after the release of 0.12.4
	to have a last release in the 0.12-series.
	* common/gtk/Makefile.am: Added gtkcompat.h for make distcheck.
	* client/gtk/resource-view.gob: Removed compiler warnings.
	* common/gtk/theme.c, client/gtk/name.c: Removed compiler warnings for
	-Wbad-function-cast.

2011-10-21  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/quote.c, client/gtk/trade.c: Fixed comment for translators.
	* client/gtk/connect.c: Fixed a typo.

2011-10-20  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/trade.c: make reindent.
	* meta-server/main.c: Fixed a memory leak.
	* docs/pioneers-meta-server.6, meta-server/main.c: Allow graceful
	shutdown of the metaserver by sending SIGUSR1.
	* editor/gtk/game-resources.c, editor/gtk/editor.c,
	editor/gtk/game-building.c: Fixed a few warnings with
	--enable-warnings=full.

2011-10-18  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/game-rules.c: Turn off pirate when there are no ships.
	* client/gtk/trade.c: Fix compiler warning.
	* configure.ac, client/gtk/notification.c: Backport of libnotify for
	Debian Stable.

2011-10-17  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, client/gtk/interface.c, client/gtk/notification.c,
	client/gtk/notification.h, client/gtk/quote.c, client/gtk/trade.c,
	client/gtk/offline.c, client/gtk/gui.c, client/gtk/Makefile.am: Added
	notifications. Many thanks to Patrick <ppa.work@gmail.com> who wrote
	the basis for the patch.

2011-09-18  Roland Clobus <rclobus@rclobus.nl>
	* server/robber.c: Fix a crash when moving the pirate before a robber
	was visible.

2011-09-10  Roland Clobus <rclobus@rclobus.nl>
	* server/gtk/main.c: Fit the server in 1024x768.

2011-08-18  Micah Bunting <Amnykon@gmail.com>
	* client/gtk/trade.c: Follow GNOME HIG (no frames)
	* editor/gtk/editor.c, common/gtk/common_gtk.c,
	common/gtk/common_gtk.h: Move build_frames to common location.
	* server/gtk/main.c: Follow GNOME HIG (no frames)
	* client/gtk/identity.c: Code simplification.

2011-08-10  Micah Bunting <Amnykon@gmail.com>
	* server/gtk/main.c: Code cleanup.

2011-08-05  Micah Bunting <Amnykon@gmail.com>
	* editor/gtk/editor.c: Follow GNOME HIG (no frames)

2011-08-03  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/greedy.c: Fix compiler warnings about mixed enums.

2011-07-25  Micah Bunting <Amnykon@gmail.com>
	* editor/gtk/editor.c, client/gtk/gui.c: Add fullscreen.

2011-07-25  Roland Clobus <rclobus@rclobus.nl>
	* Makefile.am, client/gtk/frontend.h, client/gtk/resource-view.gob,
	client/gtk/resource.c, client/gtk/legend.c, client/gtk/gui.c,
	client/gtk/Makefile.am, client/gtk/gui.h: Move all display functions of
	resources to resource-view.gob. Also fix the .gob make rules. Also use
	cairo for the display of the resources, which allows for fractional
	coordinates and smooth resizing.

2011-07-20  Roland Clobus <rclobus@rclobus.nl>
	* common/notifying-string.gob: make reindent

2011-07-14  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/theme.c, common/gtk/gtkcompat.h: Restore compatibility
	with Debian Stable.

2011-07-06  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/player-icon.c, common/gtk/polygon.c, common/gtk/polygon.h,
	client/gtk/player.c, client/gtk/quote-view.c: Replace GdkGC.

2011-07-01  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/theme.c: Replace GDK deprecated functions.
	* client/gtk/identity.c: Replace GDK deprecated functions.

2011-06-26  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/Makefile.am, pioneers.nsi.in: Fix the Windows installer.
	(Taken from the 0.12.4 branch)

2011-06-13  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/player-icon.c, common/gtk/player-icon.h,
	common/gtk/common_gtk.c, common/log.c, common/log.h, server/gtk/main.c,
	server/gold.c, server/player.c, server/trade.c, server/server.h,
	server/pregame.c, NEWS, client/callback.h, client/gtk/callbacks.c,
	client/gtk/name.c, client/gtk/frontend.h, client/gtk/player.c,
	client/gtk/quote.c, client/gtk/chat.c, client/gtk/offline.c,
	client/gtk/gui.c, client/gtk/identity.c, client/gtk/connect.c,
	client/common/client.c, client/common/client.h,
	client/common/callback.c, client/common/player.c,
	client/help/C/pioneers.xml, client/ai/ai.c, client/ai/lobbybot.c:
	Change 'viewer' to 'spectator'.
	* meta-server/main.c, server/pregame.c, client/gtk/offline.c,
	client/common/player.c: Remove unused variables. Thanks to gcc-4.6 for
	finding them.

2011-06-05  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac, client/callback.h, client/gtk/callbacks.c,
	client/gtk/name.c, client/gtk/frontend.h, client/gtk/offline.c,
	client/gtk/Makefile.am, client/gtk/connect.c, client/common/client.c,
	client/common/client.h, client/common/callback.c, client/ai/ai.h,
	client/ai/greedy.c, client/ai/Makefile.am, client/ai/ai.c,
	client/ai/lobbybot.c: Use NotifyingString as the only place to store
	the name and style of the player. Fix a race condition in connect.c
	which whould result in a crash when the dialog was shown after a failed
	connection. To be able to use NotifyingString, the initialisation of
	glib is split from the other init functions.
	* editor/gtk/editor.c: Fix compiler warning

2011-06-04  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c, common/gtk/guimap.h, common/map.c, common/map.h:
	Replace detection of the location of the cursor on the map with
	GdkRegion by mathematics.

2011-05-31  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/gtkcompat.h, configure.ac, client/gtk/gui.c,
	client/gtk/connect.c: Restore compatibility with Debian Stable.

2011-05-20  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c: Prefer bridge over settlement.

2011-05-14  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c, common/gtk/guimap.h, common/gtk/polygon.c,
	common/gtk/polygon.h, client/gtk/identity.c: Use cairo in guimap.c

2011-05-04  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/editor.c: Upgrade to GTK 2.24

2011-05-03  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c, common/gtk/guimap.h, client/gtk/histogram.c:
	Migrate histogram.c to cairo.

2011-04-30  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/resource.c, client/gtk/legend.c, client/gtk/gui.c,
	client/gtk/gui.h: Upgrade gui.c to GTK 2.24

2011-04-29  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/guimap.c, client/gtk/resource.c: Replace gdk_draw_drawable.
	* client/gtk/connect.c, configure.ac: Upgrade to GTK 2.24

2011-02-23  Micah Bunting <Amnykon@gmail.com>
	* editor/gtk/editor.c, common/gtk/guimap.c, common/gtk/guimap.h,
	client/gtk/gui.c: Add pan and zoom for the scroll wheel.

2011-02-23  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/theme.c, common/gtk/theme.h, common/gtk/guimap.c,
	common/gtk/guimap.h, client/gtk/legend.c, client/gtk/quote-view.c,
	client/gtk/histogram.c: Move terrain drawing code to theme.

2011-02-21  Micah Bunting <Amnykon@gmail.com> and
        Roland Clobus <rclobus@rclobus.nl>
        * editor/gtk/editor.c, common/map.c, common/map.h: Resize the map with
        insert and remove at both ends.

2011-02-18  Micah Bunting <Amnykon@gmail.com>
	* common/map.c: Use new accessor functions.

2011-02-16  Micah Bunting <Amnykon@gmail.com>
	* common/map.c: Fixed infinite loop for large maps.

2011-02-15  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/gameover.c: Remove second log entry about winning.

2011-02-13  Roland Clobus <rclobus@rclobus.nl>
	* client/common/player.c: Translate the name of the additional points.

2011-02-05  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/identity.c: Use array for dice.

2011-02-05  Matt Zagrabelny <zagrabelny@users.sourceforge.net>
	* common/game.c, common/game.h, common/gtk/game-rules.c,
	common/gtk/game-rules.h: Added checkbox to enable experimental
	Cities and Knights expansion rules.
	* server/gtk/main.c: Store the value of the checkbox.
	* common/gtk/colors.c, common/gtk/colors.h, client/gtk/identity.c:
	Use colored dice for Cities and Knights.

2011-01-26  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Work version is 0.12.5.

2011-01-26  Roland Clobus <rclobus@rclobus.nl>
	* Released 0.12.4.

2011-01-26  Roland Clobus <rclobus@rclobus.nl>
	* MinGW/gdk-pixbuf.loaders, MinGW/Makefile.am, pioneers.nsi.in,
	macros/type_socklen_t.m4, configure.ac, Makefile.am, README.MinGW:
	Fixed the MinGW port.
	* client/ai/lobbybot.c: Mention 0.12.4.
	* docs/README.release: Use the tag for the release build.

2011-01-23  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/data/themes/ccFlickr/Makefile.am: Fix typo in path.

2011-01-15  Roland Clobus <rclobus@rclobus.nl>
	* NEWS: Updated for release of 0.12.4
	* Makefile.am: Remove intltool-*.in, fixes 'make distcheck' on Debian
	stable

2011-01-10  Roland Clobus <rclobus@rclobus.nl>
	* common/Makefile.am: Fix build for Mac OSX (don't use echo -n), with
	thanks to Camillo Lugaresi (camillol@users.sourceforge.net) for
	reporting and testing.

2011-01-08  Roland Clobus <rclobus@rclobus.nl>
	* README.Cygwin: Added information about gob2

2010-12-29  Roland Clobus <rclobus@rclobus.nl>
	* client/common/client.c, client/ai/ai.c: Added a logbot, as suggested
	by Andreas Steinel <lnxbil@users.sourceforge.net>
	* common/gtk/gtkbugs.c: Fixed and explained the guard around Gtk bug
	56070.

2010-12-10  Roland Clobus <rclobus@rclobus.nl>
	* client/common/client.c: Don't process zero num_soldiers on
	reconnect, to avoid setting statistics for viewers.

2010-12-08  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/gtkbugs.c, common/gtk/gtkbugs.h, client/gtk/gold.c,
	client/gtk/player.c, client/gtk/discard.c: Remove code for column
	resizing (was needed only for Gtk+ 2.6)

2010-12-07  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/gtkbugs.c, common/gtk/gtkbugs.h: Remove workaround for
	tooltips, because 2.12 is the minimum required version in configure.ac

2010-11-24  Ron Yorgason <yorgasor@cs.pdx.edu>
	* pioneers.nsi.in, server/Makefile.am, server/north_america.game: After
	nearly six years, this map finally moved from the contrib section on
	the website to the distributed version.

2010-11-10  Matt Perry <mattperry1976@gmail.com>
	* pioneers.nsi.in, server/Makefile.am, server/ubuntuland.game: New
	layout in the shape of the Ubuntu logo.

2010-11-07  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/plenty.c: Show the right amount to select in the year of
	plenty dialog after the dialog was closed.

2010-10-31  Roland Clobus <rclobus@rclobus.nl>
	* server/develop.c, client/ai/greedy.c: Let computer player trade after
	playing a monopoly development card. Play development card when the
	required resource can be got or when it can be obtained by trade.

2010-10-26  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Add -lm when needed (rint, sqrt).
	* editor/gtk/editor.c, common/gtk/game-rules.c,
	common/gtk/common_gtk.c, common/state.c, common/log.c, common/cards.c,
	server/gtk/main.c, server/turn.c, client/gtk/plenty.c,
	client/gtk/resource-table.c, client/gtk/name.c, client/gtk/gold.c,
	client/gtk/resource.c, client/gtk/quote.c, client/gtk/develop.c,
	client/gtk/legend.c, client/gtk/gameover.c, client/gtk/avahi-browser.c,
	client/gtk/discard.c, client/gtk/monopoly.c,
	client/gtk/settingscreen.c, client/gtk/chat.c, client/gtk/gui.c,
	client/gtk/connect.c, client/gtk/histogram.c, client/common/develop.c,
	client/common/player.c,	client/ai/greedy.c, client/ai/ai.c,
	client/ai/lobbybot.c: Update and reenable translator hints.

2010-10-25  Roland Clobus <rclobus@rclobus.nl>
	* admin-scripts: Added various scripts to automate the metaserver.
	* getVersions.sh, kill-game.sh: Moved to admin-scripts.

2010-10-24  Roland Clobus <rclobus@rclobus.nl>
	* common/state.c: Fix bug introduced on 2010-10-20
	* common/state.c: g_return_if_fail was not required.

2010-10-20  Roland Clobus <rclobus@rclobus.nl>
	* common/game.c, common/game.h, common/state.c, common/state.h,
	server/player.c: Renamed sm_vformat to game_vprintf and try_recv to
	game_vscanf, for better generic location.

2010-10-15  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Extra quotes for GOB2 check, needed for Debian Stable.

2010-10-14  Roland Clobus <rclobus@rclobus.nl>
	* server/gold.c: Set gold counter to zero after automatic distribution
	of gold.

2010-10-13  Roland Clobus <rclobus@rclobus.nl>
	* server/player.c, server/server.h, server/main.c: Automatically quit a
	game that is started on the metaserver that has no human player for
	30 minutes.
	* pioneers.nsi.in: Adding en_GB and gl.

2010-10-07  Roland Clobus <rclobus@rclobus.nl>
	* common/notifying-string.gob, common/Makefile.am, configure.ac,
	Makefile.am, client/gtk/name.c, client/gtk/frontend.h,
	client/gtk/offline.c, client/gtk/connect.c: Ensure that the name of the
	player is always up to date in any view.

2010-10-06  Roland Clobus <rclobus@rclobus.nl>
	* configure.ac: Make $(ECHO) work on Cygwin too
	* README.Cygwin: Updated to match Cygwin 1.7
	* configure.ac: Server appears to work in Cygwin

2010-10-05  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/gui.c, server/gtk/main.c, common/gtk/common_gtk.c,
	common/gtk/common_gtk.h: Added a close button on tab pages.
	Based on a patch by Anti Sullin <anti.sullin@gmail.com> and
	layout suggestions from http://www.gtkforums.com/about4027.html

2010-09-22  Roland Clobus <rclobus@rclobus.nl>
	* common/gtk/gtkbugs.c, common/gtk/guimap.c, client/gtk/histogram.c:
	Build with full deprecation checks on Gtk+ 2.20.1

2010-09-21  Roland Clobus <rclobus@rclobus.n>
	* server/theme_preview.game: Game to test the look of a new theme.

2010-09-02  Roland Clobus <rclobus@rclobus.nl>
	* common/network.c: Return CONNECT_FAIL when connection fails.

2010-09-01  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/avahi.c: Stop attempt to register Avahi on error.

2010-06-26  Roland Clobus <rclobus@rclobus.nl>
	* server/main.c, server/admin.c, server/admin.h: Quit when socket is
	not available.
	* server/player.c: Quit when only computer players are present.

2010-06-14  Roland Clobus <rclobus@rclobus.nl>
	* meta-server/main.c: Fixed leak of open sockets when out of games.

2010-06-12  Roland Clobus <rclobus@rclobus.nl>
	* bash_completion: Completion rules for bash.

2010-06-08  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c: Use row variable to add elements to the table.
	* debian/control, debian/changelog, configure.ac, server/gtk/main.c,
	server/gtk/Makefile.am, server/avahi.c, server/avahi.h, server/main.c,
	server/Makefile.am, Makefile.am, po/POTFILES.in, client/gtk/avahi.c,
	client/gtk/avahi.h, client/gtk/avahi-browser.c, 
	client/gtk/avahi-browser.h, client/gtk/Makefile.am,
	client/gtk/connect.c: Added Avahi support. Many thanks to Andreas
	Steinel <lnxbil@users.sourceforge.net> who provided the ground work.
	* client/gtk/avahi.c, client/gtk/avahi-browser.c, 
	client/gtk/avahi-browser.h: Use resolved IP-address for Avahi.

2010-06-06  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/discard.c, client/gtk/gold.c: Replace fixes size buffer,
	use ngettext.

2010-05-25  Roland Clobus <rclobus@rclobus.nl>
	* server/server.c, server/meta.c: Fill Game.hostname at the right place.

2010-05-14  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c: Fix capitalization again.

2010-05-13  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/connect.c: Add ordering to connect dialog.
	* server/pregame.c: Fix compiler warning.
	* common/gtk/player-icon.c, common/game.c, common/game.h,
	server/player.c, server/server.h, client/gtk/name.c,
	client/gtk/offline.c, client/common/player.c: Add function
	determine_player_type and variable default_player_style.
	* client/gtk/offline.c: Show better message when not connected.
	* client/common/client.c: Don't show 'Waiting for your turn' for
	viewers. Added full stop for several instructions.
	* editor/gtk/game-resources.c, editor/gtk/editor.c,
	editor/gtk/game-buildings.c, common/gtk/game-rules.c,
	common/gtk/game-settings.c, common/cards.c, server/gtk/main.c,
	client/gtk/interface.c, client/gtk/name.c, client/gtk/gold.c,
	client/gtk/player.c, client/gtk/quote.c, client/gtk/develop.c,
	client/gtk/legend.c, client/gtk/trade.c, client/gtk/gameover.c,
	client/gtk/discard.c, client/gtk/settingscreen.c, client/gtk/offline.c,
	client/gtk/gui.c, client/gtk/connect.c: Adjust capitalization.
	* common/gtk/common_gtk.c: Add caption to dialog.

2010-04-27  Roland Clobus <rclobus@rclobus.nl>
	* server/player.c: Don't show 'This game starts soon' for the last
	player to enter the game.
	* server/pregame.c: When all players are present, stop the tournament
	timer.
	* server/pregame.c: Reset the statistics for viewers.
	* client/common/player.c: Added a missing full stop.

2010-04-07  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/greedy.c: Play soldier before starting the turn when own
	resource is blocked.

2010-03-27  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/monopoly.c, client/common/player.c: Use en_US spelling

2010-03-11  Roland Clobus <rclobus@rclobus.nl>
	* client/gtk/data/themes/FreeCIV-like/theme.cfg,
	client/gtk/data/themes/Wesnoth-like/theme.cfg: Fix the themes to avoid
	drawing black letters on a black background. (Fixes Ubuntu bug #530988)
	* client/gtk/data/themes/ccFlickr: Added a new theme written by Aaron
	Williamson <aaron@copiesofcopies.org>

2010-03-09  Roland Clobus <rclobus@rclobus.nl>
	* editor/gtk/game-devcards.c, editor/gtk/game-devcards.h,
	common/cards.h, common/cards.c, po/POTFILES.in, client/callback.h,
	client/gtk/develop.c, client/common/develop.c: Add tooltip with
	description of the development cards. (Many thanks to
	aaron@copiesofcopies.org who wrote the basis for the patch
	2008-04-12)

2010-03-02  Roland Clobus <rclobus@rclobus.nl>
	* client/ai/greedy.c: Let the AI select only available resources.
	* configure.ac: Upgrade to GTK+ to 2.12 and glib to 2.16.
	* configure.ac, common/Makefile.am: Fixes the previous patch to
	common/Makefile.am. The newest version of libtool.m4 did not publish
	ECHO.

2010-02-28  Roland Clobus <rclobus@rclobus.nl>
	* meta-server/main.c: Fix some memory leaks.
	* common/Makefile.am: Use variables for sed and echo. (Thanks to Hans
	Fugal who wrote the initial patch)

2010-02-16  Roland Clobus <rclobus@rclobus.nl>
	* kill-game.sh: Added maintenance script for the metaserver.
	* server/player.c: Stop and deregister the tournament timer when the
	time has passed. Cleanup all players that disconnected during the
	registration persiod, to fix the bug that the added computer players
	would leave the game thinking that they are viewers. With the timer
	still running, and even restarting this would cause a fork bomb.

2010-02-10  Roland Clobus <rclobus@rclobus.nl>
	* getVersions.sh: Update for many distributors
	* meta-server/main.c: Fix a resource leak which would cause the meta-
	server to stop sending the names of the games eventually.

2010-01-10  Roland Clobus <rclobus@bigfoot.com>
	* pioneers.nsi.in: Update the Windows installer to include all DLLs.
	* Makefile.am: Invoke indent twice to fix unstable reindents.

2009-12-31  Roland Clobus <rclobus@bigfoot.com>
	* common/network.c: Fix FTBFS for Windows.

2009-11-29  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c: Use the correct size for the icons in the
	context menu.
	* editor/gtk/editor.c, common/gtk/guimap.c, common/gtk/guimap.h:
	The editor can set/unset nosetup nodes.

2009-11-04  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.12.4

2009-11-04  Roland Clobus <rclobus@bigfoot.com>
	* Released 0.12.3

2009-11-04  Roland Clobus <rclobus@bigfoot.com>
	* docs/README.release: Mention the .in files
	* client/ai/lobbybot.c: Mention 0.12.3
	* NEWS: Release notes for 0.12.3

2009-10-25  Roland Clobus <rclobus@bigfoot.com>
	* xmldocs.make, omf.make: Synchronized with gnome-common, to remove
	warnings.
	* pioneers.nsi.in: Theme pixmaps have moved.

2009-10-15  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/interface.c: No beep after the robber has moved.
	* client/gtk/gui.c: Fix double keyboard shortcut in Game menu.
	* common/gtk/theme.c, client/gtk/data/themes/Iceland/theme.cfg,
	client/gtk/data/themes/FreeCIV-like/theme.cfg,
	client/gtk/data/themes/Makefile.am: Remove special handling of old
	default theme.
	* client/gtk/data/themes/*.png: Removed, because not used anymore.

2009-09-30  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.h: Add extra debug information.

2009-09-26  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/theme.c: Only add the default theme when no other theme
	has been added.
	* client/gtk/data/themes/FreeCIV-like/Makefile.am,
	client/gtk/data/themes/FreeCIV-like/gold.png,
	client/gtk/data/themes/Iceland.am,
	client/gtk/data/themes/Iceland/board.png,
	client/gtk/data/themes/Iceland/sea.png: Add and mention the images
	that are shared from the (old) default theme.
	* client/gtk/data/themes/Makefile.am: Mention the Classic theme.
	* client/gtk/data/themes/Classic/*: Added the Classic theme (the
	images are from client/gtk/data/themes) 

2009-09-22  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/game-resources.c, editor/gtk/game-devcards.c,
	editor/gtk/game-buildings.c, common/gtk/game-settings.c,
	client/gtk/admin-gtk.c, client/gtk/connect.c: Set sensible page
	increment and set page_size to zero for all GtkAdjustments, to avoid
	warnings on the console.
	* docs/pioneers-meta-server.6: Added all commandline options, updated
	the BUGS section.
	* meta-server/main.c: Write a pid file, based on patch #2813162,
	written by Bas Wijnen.

2009-09-16  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/theme.c, docs/pioneers.6: Scan for user themes in 
	$XDG_DATA_HOME/pioneers/themes, based on patch #1939885 written by
	Aaron (hasqldiesel@users.sourceforge.net)

2009-09-14  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/connect.c: Fixed a memory leak that was reported by
	cppcheck.

2009-09-13  Bas Wijnen <shevek@fmf.nl>
	* Makefile.am: Suppress GNU make specific warnings.

2009-09-06  Roland Clobus <rclobus@bigfoot.com>
	* common/network.c, common/network.h: Use all available protocols when
	connecting to a server. Fixes Debian bug #530032, Ubuntu bug #375745.
	* meta-server/main.c: Use a format string for the call to syslog.

2009-08-29  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/game-resources.c, editor/gtk/game-devcards.c,
	editor/gtk/game-resources.h, editor/gtk/game-buildings.c,
	editor/gtk/game-devcards.h, editor/gtk/game-buildings.h,
	common/gtk/game-rules.c, common/gtk/game-rules.h,
	common/gtk/game-settings.c, common/gtk/game-settings.h,
	common/gtk/metaserver.c, common/gtk/metaserver.h,
	common/gtk/select-game.c, common/gtk/select-game.h, configure.ac,
	client/gtk/plenty.c, client/gtk/resource-table.c,
	client/gtk/resource-table.h, client/gtk/player.c,
	client/gtk/quote-view.h, client/gtk/settingscreen.c, client/gtk/chat.c,
	client/gtk/gui.c, client/gtk/connect.c: Prepare for GTK3 by
	implementing more strict deprecation rules.
	* po/fr.po: Fixed a typo (thanks to Olivier Berger for reporting)

2009-08-27  Roland <rclobus@bigfoot.com>
	* client/gtk/gui.c, client/gtk/legend.c: Show legend dialog without
	scrollbars when it is shown as a separate window.
	* macros/gnome-autogen.sh: Synchronized with gnome-common, to add
	support for automake-1.10.
	* editor/gtk/editor.c, common/gtk/game-rules.c, common/gtk/theme.c,
	common/gtk/guimap.c, common/game.c, common/map.c, server/gtk/main.c,
	server/meta.c, server/turn.c, server/pregame.c, server/admin.c,
	server/buildutil.c, client/gtk/player.c, client/gtk/legend.c,
	client/gtk/trade.c, client/gtk/quote-view.c,
	client/gtk/settingscreen.c, client/gtk/gui.c, client/gtk/connect.c,
	client/common/client.c, client/ai/greedy.c, client/ai/ai.c:
	make reindent
	* common/gtk/metaserver.c: Reenable support for Gtk 2.6.
	* configure.ac, pioneers.nsi.in: Fixes for Windows.

2009-07-08  Steve Langasek <vorlon@debian.org>
	* server/main.c: If no game file is specified and there are more
	than 4 players, use the 5/6 player board by default.

2008-06-27  Bas Wijnen <shevek@fmf.nl>
	* docs/pioneers-editor.6, docs/Makefile.am: Add manual page for
	pioneers-editor.

2008-05-04  Roland Clobus <rclobus@bigfoot.com>
	* docs/pioneers-server-gtk.6, docs/pioneers-server-console.6,
	server/gtk/main.c, server/server.c, server/server.h, server/main.c,
	client/help/C/pioneers.xml: Use less memory for server-console. Add
	support for games in $XDG_DATA_HOME/pioneers.

2008-05-01  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.12.3

2008-05-01  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.12.2

2008-05-01  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c: The tournament minute has 60 seconds again, instead
	of only one. (Fix for 2008-03-24)
	* client/common/callback.c: Client send rejected quote again. (Fix for
	2008-04-23)
	* NEWS: Release notes for 0.12.2
	* client/ai/lobbybot.c: Mention 0.12.2

2008-04-27  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.12.2

2008-04-27  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.12.1

2008-04-27  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c, server/server.h: Added version 0.12.
	* client/gtk/data/splash.svg: Version 0.12.
	* docs/README.release: Added note for protocol changes.
	* configure.ac, README.subversion: Fix for previous change, the
	options are now 'IPv4' and 'unspecified'. IPv6 does not work, the name
	'localhost' is not a IPv6 name.
	* common/network.c: Remove debug code from previous commit.
	* NEWS: Release notes for 0.12.1
	* docs/README.release: Updated the release notes
	* client/ai/lobbybot.c: Mention 0.12.1

2008-04-23  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, README.subversion, common/network.c: Specify IPv4 or
	IPv6 for sockets.
	* server/turn.c, server/player.c, server/trade.c, server/server.h,
	server/pregame.c, client/common/client.c, client/common/callback.c,
	docs/server_states_trade.dot: Simplified the state machine for trade,
	this fixes a bug that could overflow the stack when a client did not
	acknowledge that the trade has ended.
	* configure.ac: Protocol to 0.12.1, due to the change in trade.
	* server/south_africa.game: New map, created by Petri Jooste
	<Petri.Jooste@nwu.ac.za>

2008-03-26  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/aboutbox.c: Add translator_credits.
	* String freeze for 0.11.4

2008-03-24  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c, server/server.h: Tournament timer improvements:
	Only start the timer on players, not viewers, reset the time when the
	last player left.

2008-03-23  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, autogen.sh: After running autoupdate, the minimum
	version for autoconf is 2.61, and intltool 0.35.
	* configure.ac, po/LINGUAS: Upgrade intltool to 0.35.
	* client/callback.h, client/gtk/offline.c, client/common/main.c,
	client/common/Makefile.am: Removed commandline argument to override
	the language.
	* client/common/i18n.c: No longer in use.
	* common/state.c: Removed compiler warning.
	* client/gtk/interface.c, client/gtk/player.c, client/gtk/audio.c,
	client/gtk/audio.h, client/gtk/chat.c, client/gtk/gui.c,
	client/gtk/Makefile.am, client/gtk/gui.h: Added silent mode, as
	requested by Mike Pater (SF #1655951)
	* common/gtk/metaserver.c, common/gtk/metaserver.h,
	common/gtk/Makefile.am, server/gtk/main.c, client/gtk/connect.c:
	Easier selection for metaservers (by using a combo box)
	* docs/pioneers-meta-server.6, meta-server/main.c: When -p is not
	specified, the metaserver will not be able to create games.
	* meta-server/main.c: Add tournament mode to games created on the
	metaserver.
	* configure.ac: No need to attempt to create MS icons when Gtk+ is not
	present.
	* editor/gtk/game-devcards.c: Remove some warnings when all warnings
	are turned on.
	* server/gtk/main.c: Use consistent capitalisation for Start/Stop
	Server.
	* client/help/C/pioneers.xml: Use menuchoice tags, update for the meta-
	server combo.

2008-03-12  Roland Clobus <rclobus@bigfoot.com>
	* server/gtk/main.c, server/player.c, server/server.c, server/server.h,
	server/main.c, server/admin.c, client/ai/ai.c: Make all names for the
	computer players unique.
	Based on a patch by chrysn@users.sourceforge.net

2008-02-13  Roland Clobus <rclobus@bigfoot.com>
	* server/turn.c, server/admin.c, server/admin.h: Added 'admin
	fix-dice' to fix the dice roll.
	* editor/gtk/pioneers-editor.desktop ->
	editor/gtk/pioneers-editor.desktop.in, editor/gtk/Makefile.am,
	configure.ac, server/gtk/pioneers-server.desktop ->
	server/gtk/pioneers-server.desktop.in, server/gtk/Makefile.am,
	Makefile.am, po/POTFILES.in, client/gtk/data/pioneers.desktop ->
	client/gtk/pioneers.desktop.in, client/gtk/data/Makefile.am,
	client/gtk/Makefile.am: Added i18n support for *.desktop files.
	pioneers.desktop had to be moved, to keep 'make distcheck' happy.
	* po/POTFILES.skip: Added the very old, unmaintained admin-gtk.c to
	the list of excluded files for i18n.
	* common/network.c: Only use AF_UNSPEC (instead of PF_UNSPEC too).

2008-01-22  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/Makefile.am: Create Yelp like output.
	* client/help/C/pioneers.xml: Add index to the FAQ entries.
	* common/state.c, common/state.h: More stack information for push and
	pop.
	* server/player.c: When reviving a player that was previously
	reconnecting, do not push an extra mde_pre_game, otherwise an assert
	will be triggered.
	* editor/gtk/editor.c, common/buildrec.h, common/map_query.c,
	common/gtk/guimap.c, common/game.c, common/map.c, common/map.h,
	common/buildrec.c, server/gtk/main.c, server/turn.c, server/trade.c,
	server/server.h, server/pregame.c, client/callback.h,
	client/gtk/interface.c, client/gtk/callbacks.c, client/gtk/frontend.h,
	client/gtk/quote-view.c, client/gtk/gui.c, client/common/client.c,
	client/common/build.c, client/common/setup.c, client/common/client.h,
	client/common/turn.c, client/common/robber.c, client/common/callback.c,
	client/common/player.c, client/ai/greedy.c, client/ai/ai.c:
	Refactoring of the map code. In the server code: use the map members of
	the hex/edge/node instead of passing a map pointer. In the client code:
	remove the static map object for the Gtk+ part, to fix a crash when
	running on OpenBSD.
	* server/player.c: When (re)connecting, reuse the disconnected players
	when there are no empty players slots available.

2007-12-25  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/game-rules.c, common/gtk/game-settings.c, common/game.c,
	common/state.c, common/network.c, server/gtk/main.c, server/meta.c,
	server/turn.c, server/player.c, server/server.c, server/main.c,
	client/gtk/resource-table.c, client/gtk/develop.c,
	client/gtk/monopoly.c, client/gtk/gui.c, client/gtk/connect.c,
	client/common/client.c, client/common/develop.c,
	client/common/player.c, client/ai/greedy.c, client/ai/lobbybot.c:
	Reactivate comments for translators that were deactivated by
	'make reindent'.

2007-12-16  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/game-resources.c, editor/gtk/game-devcards.c,
	editor/gtk/game-buildings.c, common/gtk/game-rules.c,
	common/gtk/gtkbugs.c, common/gtk/game-rules.h,
	common/gtk/game-settings.c, common/gtk/gtkbugs.h,
	common/gtk/select-game.c, server/gtk/main.c,
	client/gtk/resource-table.c, client/gtk/resource-table.h,
	client/gtk/resource.c, client/gtk/gui.c, client/gtk/connect.c:
	Added support for the new tooltip API of GTK+ 2.12
	
2007-11-22  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c: Don't attempt to buy a development card when the
	stock is empty.

2007-11-22  Roland Clobus <rclobus@bigfoot.com> and Bas Wijnen <shevek@fmf.nl>
	* The patches 2007-11-22 and 2007-09-16 fix CVE-2007-5933.
	(Both fixed bugs would cause a DoS by crashing the server)

2007-11-22  Bas Wijnen <shevek@fmf.nl>
	* common/state.c: Fix for an assert when a connection is broken before
	the state machine has been properly initialized.

2007-10-30  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/quote.c, client/gtk/legend.c, client/gtk/trade.c,
	client/gtk/offline.c, client/gtk/gui.c, client/gtk/gui.h: Use
	scrollbars where needed. The splash screen hides the chat.

2007-10-23  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/game-rules.c, common/gtk/game-rules.h, common/game.c,
	common/game.h, server/gtk/main.c, server/turn.c, server/server.h,
	client/gtk/settingscreen.c: Check for victory either at the end of the
	turn, or when a point is scored. Many thanks to Lalo Martins
	<lalo@users.sourceforge.net> for the original patch.

2007-10-14  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/pioneers-editor.desktop,
	server/gtk/pioneers-server.desktop, client/gtk/data/pioneers.desktop:
	Removed double menu entry (Reported by Jussi Schultink on launchpad.net)

2007-10-07  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.11.4

2007-10-07  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.11.3

2007-10-07  Roland Clobus <rclobus@bigfoot.com>
	* common/state.c: Purge cache when disconnecting.
	* server/player.c: Cached players must receive broadcasts.
	* common/network.c: Log when a connection has a time out.

2007-10-03  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, server/server.c: Use sigaction instead signal.

2007-09-16  Roland Clobus <rclobus@bigfoot.com>
	* common/network.h, common/state.c, common/network.c: The server could
	crash when a SIGPIPE was received.

2007-08-11  Roland Clobus <rclobus@bigfoot.com>
	* common/network.c: Added net_would_block and net_write_error to help
	porting the server to MS Windows (based on a patch by Keishi Suenaga).
	* server/player.c: When a player is still connecting, don't reuse the
	player number.

2007-08-08  Roland Clobus <rclobus@bigfoot.com>
	* getVersions.sh: Updated for SF
	
2007-08-05  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.11.3
	* docs/README.release: updated svn branch command.

2007-08-05  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.11.2

2007-08-05  Roland Clobus <rclobus@bigfoot.com>
	* server/robber.c: Do not use sm_send in the server, but player_send.
	* common/network.c: Added \n after a log message.
	* pioneers.spec.in: Corrected download location, changed packager name.
	* docs/README.release: Updated release script
	* README, NEWS, client/ai/lobbybot.c: Prepare for release 0.11.2

2007-08-05  Bas Wijnen <shevek@fmf.nl>
	* client/common/client.c: Fixed OK button in discard dialog

2007-08-04  Roland Clobus <rclobus@bigfoot.com>
	* common/map_query.c: Added checks against NULL pointers, based on
	the patch by ffaadd (#1767378), which could crash the server.

2007-08-01  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/pioneers.xml, client/help/C/images/quote.png,
	client/help/C/images/trade.png, client/help/C/images/server-create.png,
	client/help/C/images/plenty-dialog.png, client/help/C/images/sea.png,
	client/help/C/images/monopoly-dialog.png, client/help/C/images/map.png,
	client/help/C/images/pasture.png, client/help/C/images/field.png,
	client/help/C/images/desert.png,
	client/help/C/images/player-summary.png, client/help/C/images/hill.png,
	client/help/C/images/identity.png, client/help/C/images/brick.png,
	client/help/C/images/grain.png, client/help/C/images/actions.png,
	client/help/C/images/forest.png,
	client/help/C/images/gameover-dialog.png,
	client/help/C/images/join-private-dialog.png,
	client/help/C/images/discard-dialog.png,
	client/help/C/images/resources.png, client/help/C/images/client.png,
	client/help/C/images/wool.png, client/help/C/images/gold.png,
	client/help/C/images/ore.png, client/help/C/images/connect-dialog.png,
	client/help/C/images/servers-dialog.png,
	client/help/C/images/lumber.png, client/help/C/images/mountain.png,
	client/help/C/images/legend-dialog.png: Updated the manual
	* docs/README.release: Added a note about the manual

2007-07-29  Roland Clobus <rclobus@bigfoot.com>
	* pioneers.nsi.in: Added city_wall.png

2007-07-22  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Work version is 0.11.2
	* NEWS: Fixed a typo
	* client/common/client.c, client/common/gui.c: Fixed for gcc-2.95
	* client/gtk/name.c: make reindent

2007-07-22  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.11.1

2007-07-22  Roland Clobus <rclobus@bigfoot.com>
	* pioneers.spec.in: Updated. It works for openSUSE 10.2.
	* server/gtk/main.c: Cosmetic changes.
	* server/server.c, server/server.h, server/admin.c, server/admin.h:
	Added 'send-message', 'help', 'info' to the admin commands.
	The addition of 'send-message' is based on a patch by David Hall
	<hacking@gringer.dis.org.nz>
	* common/gtk/theme.c: The default theme is now 'Tiny'.
	* common/gtk/guimap.c: Use the full size for the map. The font size in
	the server was effectively always 1pt.
	* pioneers.nsi.in: Added Afrikaans and Japanese.
	* pioneers.nsi.in: Added style-*.png
	* client/ai/computer_names: Corrected spelling of 'Gödel'
	* README, NEWS: Updated for 0.11.1
	* client/gtk/data/splash.svg: Updated to 0.11
	* client/ai/lobbybot.c: Updated to 0.11

2007-07-21  Roland Clobus <rclobus@bigfoot.com>
	* server/server.h: Added robber undo in 0.11 change list.

2007-07-21  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/player-icon.c, common/gtk/player-icon.h,
	common/gtk/Makefile.am, server/player.c, server/server.h,
	server/pregame.c, client/callback.h, client/gtk/callbacks.c,
	client/gtk/name.c, client/gtk/frontend.h, client/gtk/data/Makefile.am,
	client/gtk/player.c, client/gtk/quote-view.c, client/gtk/chat.c,
	client/gtk/offline.c, client/gtk/connect.c, client/common/client.c,
	client/common/client.h, client/common/callback.c,
	client/common/player.c, client/ai/ai.c: Added a customizable player
	icon. Based on a patch by Giancarlo Capella <giancarlo@comm.cc>.

2007-07-21  Bas Wijnen <shevek@fmf.nl>
	* common/map.c, server/player.c, server/robber.c, server/server.h,
	client/callback.h, client/gtk/interface.c, client/gtk/callbacks.c,
	client/gtk/frontend.h, client/common/client.c, client/common/client.h,
	client/common/robber.c, client/common/callback.c, client/ai/greedy.c:
	Show the robber in the new place when choosing who to steal from.

2007-07-21  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, pioneers.nsi.in: Add minimum required Gtk+ version
	from configure.ac in the installer builder script.
	
2007-07-21  Bas Wijnen <shevek@fmf.nl>
	* ChangeLog, docs/README.game, common/gtk/gtkbugs.c, common/state.c,
	configure.ac, po/ChangeLog, client/gtk/quote.c,
	client/help/C/custom.xsl: Clean up whitespace.

2007-07-20  Roland Clobus<rclobus@bigfoot.com>
	* common/state.c, common/state.h, configure.ac, server/gold.c,
	server/resource.c, server/turn.c, server/player.c, server/develop.c,
	server/trade.c, server/discard.c, server/robber.c, server/server.h,
	server/pregame.c, server/buildutil.c, client/common/client.c:
	Updating the protocol to 0.11. All messages sent by the server are
	versioned. Based on a patch by Bas Wijnen <shevek@fmf.nl>.

2007-07-19  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c: gmap->area was unref'd too often.
	* client/callback.h, client/gtk/player.c: Cleanup of
	player->user_data.
	* server/gtk/main.c: Allow themes.

2007-06-05  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/gtkbugs.c: action_set_sensitive is still (Gtk+-2.10) not
	fixed, so the version check is disabled.
	* client/gtk/connect.c: Removed a debug message.
	
2007-05-13  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/game-parameters.h, editor/gtk/editor.c,
	editor/gtk/Makefile.am, editor/gtk/game-parameters.c,
	common/map-query.c, common/gtk/common_gtk.h,
	common/gtk/game-settings.c, common/gtk/game-settings.h,
	common/gtk/Makefile.am, common/gtk/commmon_gtk.c, common/game.c,
	common/map.c, common/game.h, common/map.h, server/gtk/main.c,
	client/gtk/connect.c: Added victory point check. Game rules are split
	from game settings.
	* editor/gtk/game-settings.c -> common/gtk/game-rules.c,
	editor/gtk/game-settings.h -> common/gtk/game-rules.h: Renamed
	* pioneers.spec.in: Sorted the language list, added af and ja.

2007-05-13  Brian Wellington <bwelling@xbill.org>
	* editor/gtk/game-buildings.c, common/map_query.c,
	common/gtk/guimap.c, common/gtk/guimap.h, common/cost.c,
	common/game.c, common/cost.h, common/state.c, common/map.h,
	common/buildrec.h, server/turn.c, server/discard.c, server/server.h,
	server/pregame.c, server/buildutil.c, client/callback.h,
	client/gtk/interface.c, client/gtk/frontend.c, client/gtk/frontend.h,
	client/gtk/data/Makefile.am, client/gtk/data/city_wall.png,
	client/gtk/player.c, client/gtk/legend.c, client/gtk/settingscreen.c,
	client/gtk/gui.c, client/gtk/identity.c, client/common/client.c,
	client/common/client.h, client/common/stock.c,
	client/common/callback.c, client/common/player.c: Added support for
	city walls (using 'extension' in the protocol)

2005-05-13  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c, server/server.h: Use 'extension' for broadcasts.
	
2007-05-08  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, common/gtk/guimap.c, common/gtk/select-game.c,
	common/gtk/guimap.h, common/gtk/select-game.h, server/gtk/main.c,
	client/gtk/gui.c: Map preview in the server.
	
2007-04-29  Brian Wellington <bwelling@xbill.org>
	* common/gtk/polygon.c, common/gtk/polygon.h, common/gtk/guimap.c:
	Add the poly_draw_with_border() function to draw bordered polygons.

2007-04-29  Brian Wellington <bwelling@xbill.org>
	* client/gtk/gui.c: Add support for NULL pointer for shortcuts.

2007-04-29  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c: Simplified code to handle better updates.

2007-04-29  Brian Wellington <bwelling@xbill.org>
	* client/gtk/gui.c: Add a workaround for gtk bug #434261 that
	  causes strings like (Fn) in toolbar labels to be mishandled.

2007-04-29  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c: Upgraded the code to 2.6, and allow for
	toolbuttons without shortcut keys.
	* common/network.c: Don't log the keepalive messages.

2007-04-28  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c, common/gtk/guimap.h, client/gtk/interface.c,
	client/gtk/frontend.c: Single click actions are set enabled with the
	same mechanism as the GtkActions.

2007-04-17  Roland Clobus <rclobus@bigfoot.com>
	* common/state.c, server/pregame.c: Disconnect during mode_pregame
	could crash the server.
	
2007-04-15  Bernd Ernesti <veega@users.sourceforge.net>
	* editor/gtk/editor.c, meta-server/main.c, server/gtk/main.c,
	server/main.c: #include <locale.h> where needed.

2007-04-09  Roland Clobus <rclobus@bigfoot.com>
	* pioneers.nsi.in: Added a better check for the Gtk+ runtime, and
	allow the installer to continue, even when no runtime is found.

2007-04-08  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Reorder the language codes (now alphabetical)
	
2007-03-04  Roland CLobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c, common/gtk/guimap.h, client/gtk/identify.c: Fix
	for #1589423. Sets a minimum size, to avoid drawing a polygon with
	only (0,0) as coordinates.
	
2007-02-18  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c: Fix for #1473765. Don't recycle player objects when
	a (re)connect is in progress.
	* common/game.c, common/game.h, common/state.h, common/cards.c,
	server/develop.c, client/callback.h, client/gtk/settingscreen.c,
	client/common/client.c, client/common/develop.c: Renamed
	STAT_UNIVERSITY enum.
	* client/gtk/develop.c: Cluster development cards of the same type.

2006-11-18  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/computer_names: Fixed a typo (present since 2000 :-)
	
2006-10-14  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c: Move the chat panel to the right or the bottom of
	the screen. Based on a patch by Rich Harkins <rich@worldsinfinite.com>
	which required a restart.
	* ChangeLog: Enabled a BOM, so the comment about utf-8 is no longer
	required.
	* configure.ac, server/gtk/main.c, server/server.c, server/server.h,
	server/main.c: Replaced alarm with g_timeout_add.
	* common/network.c: Added wrapper functions for reporting error
	messages.

2006-10-01  Rich Harkins <rich@worldsinfinite.com>
	* Makefile.am, server/gtk/main.c: Launch the client from the server.

2006-09-16  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Subversion repository is at 0.10.3.
	* server/gtk/Makefile.am, server/gtk/pioneers-server.rc: Add Windows
	icon for the server.

2006-09-16  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.10.2

2006-09-16  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, server/gtk/main.c, server/main.c,
	client/gtk/offline.c, client/ai/ai.c: Added --version.
	* common/network.h, common/network.c, meta-server/main.c,
	server/player.c, server/server.c, server/server.h, server/admin.c: Use
	net_closesocket to close a socket (Windows port closes sockets
	differently).
	* common/gtk/gtkbugs.c: Cannot press a button twice without moving the
	cursor out and in again. The workaround depends on the runtime version
	of Gtk+, not the version at compile time. (Refinement of the patch
	2006-09-03)
	* server/meta.c: Log when unknown messages are sent from the meta-
	server.
	* Makefile.am: Add 48x48 icons (for Windows XP, Thumbnail view).

2006-09-12  Stefan Walter <sw@gegenunendlich.de>
	* common/Makefile.am: Creation of version.h compatible with FreeBSD.

2006-09-12  Roland Clobus <rclobus@bigfoot.com>
	* server/meta.c, meta-server/main.c: Meta server disconnects
	unresponsive servers. Server shows a message when the metaserver
	disconnects.
	* client/gtk/interface.c: Don't change GUI state when a second quote
	is issued.
	* common/game.c: Return NULL pointer when game not found.

2006-09-10  Bas Wijnen <wijnen@debian.org>
	* common/game.c: Treat errors in files as end-of-file, and an
	incomplete line at the end as a complete line.

2006-09-10  LT-P <LT-P@LT-P.net>
	* server/iles.game, server/GuerreDe100ans.game: Added
	island-discovery-bonus.

2006-09-10  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, meta-server/main.c: Added glib commandline parsing,
	--debug, --syslog-debug, --version. Fixed a bug for the current number
	of players. Added the servername to the syslog output.
	* client/gtk/data/Makefile.am: Added splash.svg to the tarball.
	* common/state.c, server/player.c, server/trade.c, server/server.h,
	server/pregame.c: Reconnect during trade.

2006-09-07  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/Makefile.am: Add rule for splash.png

2006-09-03  Thomas Schürger <thomas@schuerger.com>
	* common/gtk/gtkbugs.c: Enabled workaround for toolbuttons that could
	not be pressed twice.

2006-09-03  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/Makefile.am, editor/gtk/Makefile.am: Remove the *.res
	files from the tarball (partly revert 2006-09-01)
	* Changed ChangeLog to utf8.

2006-09-02  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/splash.png: Removed, replaced by splash.svg
	* configure.ac, Makefile.am, client/gtk/Makefile.am,
	client/gtk/data/Makefile.am: Fix themedir for Windows.
	* pioneers.nsi.in, client/gtk/data/tick.png, client/gtk/data/cross.png:
	Images are no longer in use.
	* configure.ac: Nicer feedback from configure script when Gtk not
	present.

2006-09-01  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/Makefile.am, client/gtk/data/Makefile.am, Makefile.am:
	Add the resource files for Microsoft Windows to the tarball.
	
2006-08-31  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/splash.svg: Version 0.10 is shown now.
	* docs/README.release: What to do extra when the protocol changes.
	* README.Cygwin: Found more Cygwin packages.
	
2006-08-26  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Subversion repository is at 0.10.2.
	* docs/README.release: Added the command for tagging the repository.
	
2006-08-26  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.10.1

2006-08-26  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/lobbybot.c: Make it build with gcc-2.95 again.
	* server/gtk/main.c, server/meta.c: Changed reported hostname to
	overridden hostname. If it is left empty, the metaserver will do a 
	hostname lookup.
	* common/network.h: Include time.h too.
	* client/help/C/pioneers.xml: Rename AI -> computer player.
	* client/common/client.c, server/develop.c: Year of Plenty
	communicates with "plenty %R" instead of "receives %R".
	* client/gtk/interface.c: Disable single click cursor until all
	players have discarded or chosen gold.
	* common/network.c, common/network.h: Cleanup the timer when the
	session is closed.
	* client/help/C/pioneers.xml: Updated the FAQ.
	* server/conquest.game, server/conquest+ports.game: Added nosetup for
	the smaller islands.
	
2006-08-26  Bas Wijnen <shevek@fmf.nl>
	* common/network.h, common/state.c, common/state.h, common/network.c,
	server/player.c, server/admin.c: Send keepalive packets when
	connection is idle, and disconnect when no reply is received.
	* client/gtk/player.c: Don't beep for players which are seen during
	connecting.
	* client/gtk/trade.c, client/gtk/quote-view.c,
	client/gtk/quote-view.h: Show maritime trades only when they match the
	supply, or no supply is specified.

2006-08-21  Bas Wijnen <shevek@fmf.nl>
	* common/gtk/config-gnome.c: Added include file.
	* server/gold.c, client/callback.h, client/common/client.c,
	client/ai/greedy.c: Notify players when resources are not distributed
	due to empty bank.

2006-08-17  Roland Clobus <rclobus@bigfoot.com>
	* server/player.c: Use ERR as prefix when too many connections are
	made.
	* server/gtk/main.c, server/server.c, server/server.h, server/main.c,
	server/admin.c: No global GameParams object. Added --file to
	server-console.
	* docs/README.game, common/buildrec.h, common/map_query.c,
	common/game.c, common/game.h, common/map.h, common/buildrec.c,
	server/turn.c, server/conquest.game, server/conquest+ports.game,
	server/player.c, server/server.h, server/pregame.c,
	server/four-islands.game, server/buildutil.c, client/callback.h,
	client/gtk/callbacks.c, client/gtk/frontend.h, client/gtk/player.c,
	client/gtk/settingscreen.c, client/common/client.c,
	client/common/build.c, client/common/client.h, client/common/player.c:
	Added island-discovery-bonus keyword.
	
2006-08-17  Bas Wijnen <shevek@fmf.nl>
	* AUTHORS, editor/gtk/editor.c: Show full authorlist in editor's
	help->about, and add Brian to the full list.

2006-08-15  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/connect.c: Don't connect to a new game at the metaserver
	as a viewer.
	* common/network.h, common/log.c, common/network.c, README.subversion,
	configure.ac, server/gtk/main.c, server/main.c,
	client/gtk/callbacks.c, client/gtk/state.c, client/gtk/offline.c,
	client/gtk/gui.h, client/ai/ai.c: Added --debug for debug messages,
	instead of --enable-logging in configure.
	* Makefile.am: Added dependency for icons.
	* editor/gtk/Makefile.am, client/gtk/data/Makefile.am: Cleanup
	the *-icon.o files. (Enables 'make distcheck' on Cygwin)
	* common/gtk/aboutbox.c: Added homepage, and cleanup.
	* README.subversion, configure.ac: Added --without-help.
	* configure.ac, server/admin.c, client/gtk/player.c,
	common/gtk/config-gnome.c: Cleanup configure.ac.
	* Makefile.am: Remove trailing slash.
	
2006-08-14  Bas Wijnen <shevek@fmf.nl>
	* client/gtk/data/Makefile.am, editor/gtk/Makefile.am: Remove
	incorrect direct dependency on *.rc files by executables.

2006-08-14  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/Makefile.am, README.subversion, configure.ac,
	Makefile.am, client/gtk/data/Makefile.am, client/gtk/Makefile.am:
	Reduce the need for netpbm.
	* client/gtk/connect.c: Translate the data from the metaserver.
	* server/lobby.game: Tournament-time is not a keyword anymore.
	* client/gtk/interface.c: No build cursor during trade.
	* server/gtk/main.c, server/server.c, server/server.h, server/main.c,
	server/admin.c: Fix regression of random seating order dd 2006-08-10

2006-08-14  Bas Wijnen <shevek@fmf.nl>
	* client/callback.h, client/gtk/offline.h, client/common/client.c,
	client/common/main.c, client/ai/ai.h, client/ai/greedy.c,
	client/ai/ai/c: Make AI quit nicely instead of calling exit.  Also
	quit nicely if setup is impossible instead of crashing.

2006-08-11  Roland Clobus <rclobus@bigfoot.com>
	* client/common/client.c: Marked a string for translation.
	* client/gtk/interface.c: More robust gui_state changes.
	
2006-08-10  Roland Clobus <rclobus@bigfoot.com>
	* client/common/client.c: Don't say 'A is now A' in the client.
	* server/serer.c: Fix for a scope bug made 2006-08-05.
	* server/player.c, client/common/client.c: i18n for NOTE messages,
	close connection when a bad version is encountered, clearer message
	when entering a tournament game.
	* configure.ac: Protocol is now 0.10
	* common/game.c, common/game.h: Don't broadcast tournament-time.
	* docs/README.game: Information about *.game files
	* editor/gtk/editor.c, common/game.c, common/map.c, common/game.h,
	common/map.h, server/x.game, server/star.game, server/canyon.game,
	server/pond.game, server/seafarers.game, server/lorindol.game,
	server/seafarers-gold.game: Deserts need chit sequence numbers, chit
	length must be correct.
	* server/gtk/main.c, server/server.c, server/server.h: Replace global
	'random_order'.
	
2006-08-05  Roland Clobus <rclobus@bigfoot.com>
	* server/gtk/main.c, server/meta.c, server/server.c, server/server.h,
	server/main.c, server/admin.c: Replaced a variable of global scope
	with a variable of file scope to make -r implied when -m is specified.
	* common/gtk/guimap.c: Use gmap->area when it exists.
	* editor/gtk/editor.c, client/ai/lobbybot.c: Added translator comments.

2006-08-05  Bas Wijnen <shevek@fmf.nl>
	* client/gtk/connect.c: Avoid use of comma-operator.
	* client/ai/greedy.c: Fix possible infinite loop after playing
	monopoly card.
	* docs/README.states, docs/client_states.fig: Updated to new
	situation (the changes below, and changes which had been made before).
	* common/state.c, common/state.h, client/common/client.c,
	client/common/callback.c: Improved state handling.

2006-08-04  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/interface.c: Enable roll dice for the second game of the
	same instance of the client.
	* client/common/client.c: Don't show waiting for your turn for
	viewers.
	* client/ai/greedy.c: AI can trade lumber again.
	* server/turn.c: Unregister from the metaserver at game over.
	* server/coeur.game: Don't shuffle gold tiles.
	* client/gtk/gui.c: Settings used wrong variable.
	* README.subversion: Information about building from the subversion
	repository.
	* editor/gtk/editor.c, common/gtk/guimap.c, common/gtk/guimap.h,
	client/gtk/callbacks.c, client/gtk/gui.c, client/gtk/gui.h: Show
	nosetup nodes in the editor and in the client (for players only).
	* client/common/resource.c: Fix regression of 2006-07-27.
	* docs/README.release, client/callback.h, client/gtk/interface.c,
	client/gtk/callbacks.c, client/gtk/frontend.h, client/gtk/chat.c,
	client/common/client.c, client/common/client.h,
	client/common/Makefile.am, client/common/player.c,
	client/common/chat.c, client/ai/ai.h, client/ai/greedy.c,
	client/ai/Makefile.am, client/ai/ai.c, client/ai/lobbybot.c: Added
	robot for the lobby.
	* client/gtk/interface.c, client/gtk/frontend.h, client/gtk/discard.c,
	client/gtk/state.c, client/gtk/offline.c, client/gtk/gui.c: Leave a
	game without quitting the client.
	
2006-08-01  Bas Wijnen <shevek@fmf.nl>
	* configure.ac: Mention install root in notification.
	* configure.ac, Makefile.am: Let configure.ac not touch AM_*
	variables.

2006-07-29  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c: Added keyboard shortcuts to the editor
	* client/common/client.c: Allow a player to initiate trade when he has
	no resources
	
2006-07-27  Bas Wijnen <shevek@fmf.nl>
	* editor/gtk/editor.c, common/gtk/theme.c, common/gtk/select-game.c,
	common/game.c, common/map.c, common/game.h, common/state.c,
	common/log.c, common/map.h, common/state.h, common/network.c,
	meta-server/main.c, server/player.c, server/pregame.c,
	client/gtk/callbacks.c, client/gtk/player.c,
	client/gtk/settingscreen.c, client/gtk/state.c, client/gtk/gui.c,
	client/gtk/connect.c, client/common/develop.c, client/common/robber.c,
	client/common/client.c, client/common/client.h,
	client/common/resource.c, client/common/player.c, client/ai/ai.c: Use
	dynamic instead of static memory to allow arbitrary large strings in
	most situations.  Still use static strings for network traffic, to
	avoid denial of service opportunities.
	* server/gtk/main.c: Show all authors.

2006-07-27  Bas Wijnen <shevek@fmf.nl>
	* macros/Makefile.am, editor/gtk/Makefile.am,
	editor/gtk/pioneers-editor.rc, editor/Makefile.am, docs/Makefile.am,
	common/gtk/aboutbox.c, common/gtk/Makefile.am, common/Makefile.am,
	meta-server/Makefile.am, configure.ac, server/gtk/Makefile.am,
	server/pregame.c, server/Makefile.am, Makefile.am, autogen.sh,
	client/gtk/pioneers.rc, client/gtk/data/themes/Tiny/Makefile.am,
	client/gtk/data/themes/Iceland/Makefile.am,
	client/gtk/data/themes/FreeCIV-like/Makefile.am,
	client/gtk/data/themes/Wesnoth-like/Makefile.am,
	client/gtk/data/themes/Makefile.am, client/gtk/data/Makefile.am,
	client/gtk/offline.c, client/gtk/Makefile.am,
	client/common/Makefile.am, client/help/Makefile.am,
	client/ai/Makefile.am, client/Makefile.am: Move to a single-Makefile
	system.
	* server/pregame.c: Remove unused static variable.

2006-07-25  Roland Clobus <rclobus@bigfoot.com>
	* server/lobby.game: New, non-empty map
	* server/main.c: create a listening admin socket only when requested
	from the command line
	* client/gtk/player.c, client/gtk/gui.c, client/gtk/gui.h: Announce
	new players and viewers when they enter
	
2006-07-05  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, common/gtk/theme.c, common/gtk/config-gnome.c,
	common/game.c, common/state.c, common/network.c, server/gtk/main.c,
	client/gtk/offline.c, client/gtk/gui.c, client/common/client.c,
	client/common/player.c: Removed translation tags in g_error and
	g_warning
	* docs/README.release: Update steps for a release
	* server/lobby.game: Added an empty map, for the lobby
	* editor/gtk/editor.c, common/gtk/config-gnome.c, configure.ac,
	server/gtk/main.c, client/gtk/offline.c, client/gtk/gui.c,
	client/ai/ai.c: Removed Glib 2.6 #ifdef code
	
2006-06-23  Roland Clobus <rclobus@bigfoot.com>
	* getVersions.sh: View the versions in the various distributions
	
2006-06-06  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.9.64
	* Subversion commit date: 2006-06-19
	
2006-06-06  Roland Clobus <rclobus@bigfoot.com>
	* server/main.c: Allow games with more than 3 victory points, when
	started from the commandline
	* server/trade.c: Restored to 0.9.52 version
	* Subversion commit date: 2006-06-19
	
2006-05-30  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.9.63
	
2006-05-30  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, client/gtk/quote.c, client/gtk/offline.c,
	client/common/client.h, client/common/callback.c: Minimum requirement
	is Glib 2.6 and Gtk+ 2.6. Remove use of Gtk+ 2.8 icon. Fixed compiler
	warnings

2006-05-28  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.9.62
	
2006-05-28  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/interface.c, client/gtk/frontend.h, client/gtk/player.c,
	client/gtk/quote.c, client/gtk/trade.c, client/gtk/quote-view.c,
	client/gtk/quote-view.h: Rewrite of quote.c
	* server/trade.c: Throw away the quotes before ending the trade
	
2006-05-28  Bas Wijnen <shevek@fmf.nl>
	* client/callback.h, client/gtk/name.c, client/gtk/frontend.h,
	client/gtk/offline.c, client/gtk/connect.c, client/common/client.c,
	client/common/client.h, client/common/callback.c,
	client/common/player.c, client/ai/ai.c: Separate requested name and
	viewerness from actual values during the game, add commandline-option
	to select metaserver in gtk client.

2006-05-27  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c: Moved legend, game settings and dice histgram from
	help to game menu.
	* client/gtk/offline.c, client/gtk/gui.c: Fixed the help. When an
	error occurs, show it in the chat log.

2006-05-26  Bas Wijnen <shevek@fmf.nl>
	* common/network.c: Write logged escaped bytes as bytes, now words.
	* common/gtk/theme.c: Allow scaling scalable themes to 0.

2006-05-26  Roland CLobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, server/gtk/main.c, server/main.c, 
	client/gtk/offline.c, client/ai/ai.c: Quit when unknown commandline 
	options are passed
	* client/help/C/pioneers.xml: Describe all chat commands
	
2006-05-25  Bas Wijnen <shevek@fmf.nl>
	* common/state.c, common/state.h, server/player.c: Make server handle
	broken pipe correctly.

2006-05-25  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/common_gtk.c, common/log.c, common/log.h,
	client/common/chat.c:
	Better layout for the log to the console
	
2006-05-24  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Nicer feedback when something is not built
	
2006-05-23  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, server/gtk/main.c, server/main.c,
	client/gtk/offline.c: Updates comments for translators
	* client/common/client.c: Removed g_warning() text from translations
	
2006-05-21  Giancarlo Capella <giancarlo@comm.cc>
	* client/gtk/frontend.h, client/gtk/resource.c,
	client/gtk/data/grain.png, client/gtk/data/wool.png,
	client/gtk/data/ore.png, client/gtk/data/Makefile.am,
	client/gtk/data/lumber.png, client/gtk/data/brick.png,
	client/gtk/legend.c, client/gtk/gui.c, client/gtk/gui.h: Visual display
	of the resources in the resources panel and the legend

2006-05-20  Roland Clobus <rclobus@bigfoot.com>
	* common/quoteinfo.c, common/game.c, common/quoteinfo.h,
	client/callback.h, client/gtk/interface.c, client/gtk/plenty.c,
	client/gtk/frontend.h, client/gtk/gold.c, client/gtk/quote.c,
	client/gtk/legend.c, client/gtk/trade.c, client/gtk/discard.c,
	client/gtk/chat.c, client/common/client.c, client/common/client.h,
	client/common/resource.c, client/common/callback.c,
	client/common/player.c: Added const for resources
	* client/gtk/Makefile.am: Added quote-view.c and quote-view.h
	* client/gtk/trade.c, client/gtk/quote-view.c, client/gtk/quote-view.h:
	Moved code from trade.c to quote-view.c and replaced frames
	* client/gtk/player.c, client/gtk/discard.c: More descriptive asserts
	* client/gtk/resource-table.c, client/gtk/resource-table.h:
	New functions added for trade and quote
	* meta-server/main.c, client/gtk/gui.c: Signed->unsigned cleanup
	
2006-05-17  Bas Wijnen <shevek@fmf.nl>
	* client/ai/greedy.c: Fix for AI segfault.
	* client/gtk/interface.c: Allow reuse of client after winning by
	playing a soldier.

2006-05-14  Bas Wijnen <shevek@fmf.nl>
	* server/pregame.c, client/common/client.c: Fix reconnect procedure,
	add RSETUP state command.

2006-05-13  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/custom.xsl, client/help/C/pioneers.xml,
	client/help/C/Makefile.am: Manual updates. Manual conversion to html
	and htmlhelp added.
	
2006-05-09  Bas Wijnen <shevek@fmf.nl>
	* docs/pioneers-meta-server.6: Updated.

2006-05-02  Bas Wijnen <shevek@fmf.nl>
	* client/gtk/interface.c, client/gtk/plenty.c, client/gtk/frontend.h:
	Disable Ok button in Year of Plenty dialog when too few resources are
	selected.
	* server/pregame.c, client/callback.h, client/gtk/name.c,
	client/gtk/frontend.h, client/gtk/offline.c, client/gtk/connect.c,
	client/gtk/identity.c, client/common/client.c, client/common/client.h,
	client/common/callback.c, client/ai/ai.c: Allow players to connect as
	viewer.

2006-04-30  Roland Clobus <rclobus@bigfoot.com>
	* editor/gtk/editor.c, server/gtk/main.c, server/main.c, po/POTFILES.in,
	client/gtk/offline.c, client/ai/ai.c: Use GOptionContext for command
	line parsing
	* editor/gtk/editor.c: Make the last loaded/saved game persistent

2006-04-25  Roland Clobus <rclobus@bigfoot.com>
	* README.Cygwin: Updated for Subversion
	* client/gtk/gui.c: Message window as editable

2006-04-23  Roland Clobus <rclobus@bigfoot.com>
	* docs/README.release: Added a small guide for the steps needed to 
	make a release
	
2006-04-21  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/common_gtk.h, common/gtk/common_gtk.c,
	client/gtk/callbacks.c, client/gtk/frontend.h, client/gtk/player.c,
	client/gtk/trade.c, client/gtk/chat.c: Easier /beep
	* client/gtk/player.c: Make disconnected icon symmetrical.
	
2006-04-18  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c, common/gtk/common_gtk.c, common/cost.c,
	common/game.c, common/map.c, server/gtk/main.c, server/meta.c,
	server/server.c, client/gtk/interface.c, client/gtk/resource-table.c,
	client/gtk/frontend.c, client/gtk/name.c, client/gtk/gold.c,
	client/gtk/resource.c, client/gtk/player.c, client/gtk/develop.c,
	client/gtk/legend.c, client/gtk/discard.c, client/gtk/offline.c,
	client/gtk/gui.c, client/gtk/identity.c, client/gtk/histogram.c,
	client/common/develop.c, client/common/build.c, client/common/setup.c,
	client/common/client.c, client/common/stock.c, client/common/resource.c,
	client/common/turn.c, client/common/player.c, client/common/callback.c:
	Remove old-style function definition warnings.

2006-04-14  Roland CLobus <rclobus@bigfoot.com>
	* common/network.c: Add the time to the logged network traffic.
	
2006-04-09  Roland Clobus <rclobus@bigfoot.com>
	* Released version 0.9.61

2006-04-09  Bas Wijnen <shevek@fmf.nl>
	* client/callback.h, client/gtk/plenty.c, client/gtk/monopoly.c,
	client/common/client.c: If somehow the dialog was closed, show it again

2006-04-09  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/pioneers.xml, client/help/C/images/discards.png,
	client/help/C/images/place-robber.png, client/help/C/images/quote.png,
	client/help/C/images/trade.png, client/help/C/images/messages.png,
	client/help/C/images/plenty-dialog.png,
	client/help/C/images/monopoly-dialog.png,
	client/help/C/images/steal-from.png, client/help/C/images/map.png,
	client/help/C/images/chat.png,
	client/help/C/images/player-summary.png,
	client/help/C/images/identity.png, client/help/C/images/actions.png,
	client/help/C/images/gameover-dialog.png,
	client/help/C/images/join-private-dialog.png,
	client/help/C/images/discard-dialog.png,
	client/help/C/images/resources.png, client/help/C/images/client.png,
	client/help/C/images/status.png,
	client/help/C/images/servers-dialog.png,
	client/help/C/images/connect-dialog.png,
	client/help/C/images/develop-cards.png
	client/help/C/images/legend-dialog.png: Updated screenshots for 0.9.61
	* docs/pioneers.6, docs/pioneers-server-console.6,
	docs/pioneers-server-gtk.6: Updated the man pages
	* common/gtk/config-gnome.c: Fixed the regression of 0.9.23
	* server/admin.c: Fixed the assert when a connection is made to the
	admin interface

2006-04-08  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c: Disable the unused menu item 'Leave Game'
	
2006-04-06  Bas Wijnen <shevek@fmf.nl>
	* common/game.c: Remove compiler warnings.

2006-04-03  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c, common/gtk/guimap.h, client/gtk/interface.c,
	client/gtk/gui.c, client/gtk/gui.h: Implemented 'single click build'
	for the movement of ships. (Click anywhere to cancel)
	* client/gtk/gui.c: Always show the map after a (re)connect.
	* Makefile.am: let 'make restorepo' work with Subversion.
	* configure.ac, Makefile.am, macros/Makefile.am: add the macros
	subdirectory in the tarball (without the .svn directory)
	* client/common/player.c: Remove compiler warnings

2006-04-02  0.9.61 Bas Wijnen <shevek@fmf.nl>
	* server/gtk/main.c: Split interface for running and non-running
	state.
	* client/common/develop.c: Disallow road building if there's no place
	to build it.
	* client/ai/greedy.c: Do a proper check for roadbuilding.

2006-03-30  0.9.57 Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/pioneers.xml: Updated documentation. Corrected spelling
	to en_us.
	* client/callback.h, client/common/chat.c, client/common/client.h,
	client/common/player.c: Fixed a crash in the client when a /beep is
	sent when not all players are present yet.
	* server/meta.c, server/server.c, server/server.h: Unregister from the
	metaserver when the server stops.
	* client/gtk/gui.c: Activate the map page when trade tabs have been
	shown. Also hide the legend tab page after a connect (when turned off
	in the preferences).

2006-03-30 Samual Wright <sam@lykoszine.co.uk>
	* client/help/C/pioneers.xml: Fixed a typo

2006-03-30 Repository converted from cvs to svn

2006-03-14  0.9.56 Roland Clobus <rclobus@bigfoot.com>
	* server/pregame.c: Show disconnected players when reconnecting
	
2006-02-09  0.9.55 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, meta-server/README.protocol: New version for the meta-
	server
	* meta-server/main.c: Partly reverse the patch for 0.9.54, disable the
	'create' command globally, instead of per connection.
	
2006-02-08  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/.cvsignore, editor/gtk/.cvsignore: Ignore icons
	
2006-02-07  0.9.54 Roland Clobus <rclobus@bigfoot.com>
	* pioneers.nsi.in: Added Swedish translation to installer.
	* client/gtk/connect.c, client/gtk/gui.c, editor/gtk/editor.c,
	server/server.c, server/gtk/main.c: Initialize GError * to NULL
	* meta-server/main.c: Fixes crashes in the metaserver that did allow
	the creation of new servers even when the metaserver does not support
	it.
	* common/gtk/guimap.c (calc_edge_poly): Apply gravity to ships and
	bridges.

2006-02-04  0.9.53 Roland Clobus <rclobus@bigfoot.com>
	* server/main.c, server/player.c, server/server.c, server/server.h,
	server/turn.c, server/gtk/main.c: Fixed memory leaks, at game over the
	GTK server will enable its interface when all players have left.
	* server/trade.c: Fixed a memory leak (based on a patch by Bas Wijnen
	<shevek@fmf.nl>)
	* common/gtk/guimap.c (guimap_cursor_move): Implemented single click 
	build for ship/bridge situations
	* README.Cygwin, configure.ac, client/gtk/data/Makefile.am,
	editor/gtk/Makefile.am: The icons for Microsoft Windows executables 
	are generated using netpbm.
	* client/gtk/data/pioneers.ico, editor/gtk/pioneers-editor.ico:
	Removed, they are now generated from the corresponding SVG files.

2006-02-02  0.9.52 Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/callbacks.c (frontend_new_bank): Removed compiler warning.
	* autogen.sh: Require automake1.7 as minimum version.

2006-01-27  0.9.51 Stefan Walter <sw@gegenunendlich.de>
	* client/gtk/settingscreen.c: Patch for gcc-2.95

2006-01-26  0.9.50 Brian Wellington <bwelling@xbill.org>
	* pioneers.spec.in: Added Swedish translation

2006-01-25  0.9.49 Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/frontend.c, common/gtk/gtkbugs.c, common/gtk/gtkbugs.h:
	For Gtk+-2.6, don't disconnect the shortcut keys when the action is set
	to insensitive.
	* pioneers.nsi.in: Added Wesnoth-like theme
	* NEWS, README.Cygwin: Updated for the release
	
2006-01-22  0.9.48 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Scrollkeeper only built when present, and when libgnome
	is present. Protect script variables with ""
	* configure.ac: Added AC_CONFIG_AUX_DIR
	* pioneers.nsi.in: Check the presence of the Gtk+ runtime before
	installing.
	
2006-01-17  0.9.47 Bas Wijnen <shevek@fmf.nl>
	* (Almost) all files: Change FSF postal address, change my e-mail
	address, fixed copyright statements.
	* server/server.h, server/player.c (player_by_name): Make
	player_by_name a static function.

2006-01-15  0.9.46 Roland Clobus <rclobus@bigfoot.com>
	* client/common/chat.c, client/gtk/chat.c, client/gtk/connect.c,
	client/gtk/name.c, common/game.h, server/player.c, server/server.h:
	Limit the maximum length for the chat and player name.
	
2006-01-13  0.9.45 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Added Swedish translation, fixed locale dir
	* debian/control, debian/pioneers-client.install,
	debian/pioneers-client.menu, debian/pioneers-server-gtk.install,
	debian/pioneers-server-gtk.menu, debian/rules: Updated Debian files
	* debian/copyright: Updated download URL
	
2006-01-03  0.9.44 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, client/gtk/data/Makefile.am, editor/gtk/Makefile.am,
	server/gtk/Makefile.am: The svg renderer is called with width and
	height.
	* client/gtk/Makefile.am: Reverted Fink patch of 0.9.40
	* editor/gtk/Makefile.am: Patch for Fink
	
2006-01-02  0.9.43 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Build online help only when both libgnome and
	scrollkeeper are present.
	* macros/gnome-autogen.sh: Added bootstrap script from gnome-common
	2.12.0-1
	* macros/ChangeLog, macros/Makefile.am, macros/aclocal-include.m4,
	macros/autogen.sh, macros/compiler-flags.m4, macros/curses.m4,
	macros/gnome-bonobo-check.m4, macros/gnome-common.m4,
	macroos/gnome-cxx-check.m4, macros/gnome-fileutils.m4,
	macros/gnome-gettext.m4, macros/gnome-ghttp-check.m4,
	macros/gnome-gnorba-check.m4, macros/gnome-guile-checks.m4,
	macros/gnome-libgtop-check.m4, macros/gnome-objc-checks.m4,
	macros/gnome-orbit-check.m4, macros/gnome-print-check.m4,
	macros/gnome-pthread-check.m4, macros/gnome-support.m4,
	macros/gnome-undelfs.m4, macros/gnome-vfs.m4,
	macros/gnome-x-checks.m4, macros/gnome-xml-check.m4, macros/gnome.m4,
	macros/linger.m4, macros/macros.dep, macros/need-declaration.m4,
	macros/.cvsignore:
	Remove the old GNOME1 macros.
	* autogen.sh: Use the gnome-autogen.sh from the macros directory if
	gnome-common not installed.
	* client/gtk/data/gnome-pioneers.png: Removed, is replaced by
	pioneers.png

2006-01-01  0.9.42 Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/callbacks.c, client/gtk/frontend.h, client/gtk/gui.c,
	client/gtk/gui.h, client/gtk/histogram.c, client/gtk/histogram.h,
	client/gtk/legend.c, client/gtk/offline.c, client/gtk/settingscreen.c,
	client/gtk/trade.c, common/gtk/theme.c, common/gtk/theme.h: Update all
	images when the theme changes. Update the rules in the legend when a
	new game is started.

2005-12-30  Brian Wellington <bwelling@xbill.org>
	* Add theme based on Battle of Wesnoth artwork (patch from Phil Ezolt).

2005-12-30  0.9.41 Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/config-gnome.c (config_get_string, config_get_int):
	Set the default_used flag in all code paths.

2005-12-29  Stephen Jacob <sj@sjacob.org>
	* pioneers.spec.in: Added the new icons and desktop files

2005-12-25  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/guic, common/network.c, common/state.c, common/state.h,
	common/gtk/config-gnome.c, editor/gtk/editor.c, server/player.c,
	server/pregame.c, server/gtk/main.c: make reindent
	
2005-12-21  0.9.40  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, pioneers.nsi.in: Windows installer script.
	(nsis.sf.net)
	* client/gtk/Makefile.am, meta-server/Makefile.am: Added extra include
	for driver.o (needed for Fink port, based on the patch by Tristan
	Thiede)
	* configure.ac, client/gtk/data/Makefile.am, editor/gtk/Makefile.am,
	server/gtk/Makefile.am: Configurable SVG renderer.
	* .cvsignore: Ignore pioneers.nsi.
	* client/gt/data/pioneers.ico: Updated to match the icons of 0.9.38.
	* editor/gtk/Makefile.am, editor/gtk/pioneers-editor.ico,
	editor/gtk/pioneers-editor.rc: Windows icon for the editor.
	* NEWS: Updated for the release
	
2005-12-18  0.9.39  Roland Clobus <rclobus@bigfoot.com>
	* client/common/callback.c, client/gtk/interface.c: Fixed a crash when
	a robber could be placed in a game with more than six players.
	* common/network.h, common/state.c, common/state.h, server/player.c,
	server/pregame.c, server/server.h: Allow many connections to the
	server at once.

2005-12-11  0.9.38  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/Makefile.am, client/gtk/gui.c,
	client/gtk/data/Makefile.am, client/gtk/data/pioneers.desktop,
	editor/gtk/Makefile.am, editor/gtk/editor.c,
	editor/gtk/pioneers-editor.desktop, server/gtk/Makefile.am,
	server/gtk/main.c, server/gtk/pioneer-server.desktop: Use the new
	icons (automatically rendered from the svg files from 0.9.37)
	* client/gtk/data/.cvsignore, editor/gtk/.cvsignore,
	server/gtk/.cvsignore: Ignore the generated .png files

2005-12-05  0.9.37  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/pioneers.svg, editor/gtk/pioneers-editor.svg,
	server/gtk/pioneers-server.svg: Added icon files.

2005-11-23  0.9.36  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: No console window for graphical applications in MinGW
	port. 
	
2005-11-15  0.9.35  Roland Clobus <rclobus@bigfoot.com> [Windows native port]
	* rules.make: Removed, functionality moved to configure.ac
	* client/gtk/pioneers.rc, client/gtk/data/pioneers.ico: Windows icon.
	* Makefile.am, configure.ac, client/Makefile.am,
	client/ai/Makefile.am, client/common/Makefile.am,
	client/gtk/Makfile.am, client/gtk/data/Makefile.am,
	client/gtk/data/themes/Makefile.am,
	client/gtk/data/themes/FreeCIV-like/Makefile.am,
	client/gtk/data/themes/Iceland/Makefile.am,
	client/gtk/data/themes/Tiny/Makefile.am, client/help/Makefile.am,
	client/help/C/Makefile.am, common/Makefile.am, common/gtk/Makefile.am,
	docs/Makefile.am, editor/Makefile.am, editor/gtk/Makefile.am,
	meta-server/Makefile.am, server/Makefile.am, server/gtk/Makefile.am:
	Stop using rules.make, all is managed from configure.ac
	* client/gtk/gui.c: Don't use gtk_icon_source_set_filename anymore, it
	does not allow relative paths, as needed for Windows and klik.
	* configure.ac: Use pio-develop@lists.sourceforge.net as contact email
	address.
	
2005-11-14  Brian Wellington <bwelling@xbill.org>
	* editor/gtk/editor.c: After a 'save as', remember the filename.

2005-11-09  Brian Wellington <bwelling@xbill.org>
	* editor/gtk/editor.c: File|New resets/redraws the map. Use the 'Save
	as' icon. Don't show the robber in the editor.

2005-10-23  0.9.34  Bas Wijnen <shevek@fmf.nl>
	* client/common/callback.c: Removed some debug text.

2005-10-23  Roland Clobus <rclobus@bigfoot.com>
	* Makefile.am, configure.ac: Whether the client, server, metaserver
	or editor are built is controlled from the configure script.
	* Makefile.am, README.MinGW: Added README.Cygwin and README.MinGW to
	the distributed tarball.
	* configure.ac, client/common/i18n.c, common/network.c,
	common/network.h: The code can be configured and built from the MinGW
	environment. Use send and recv instead of write and read.

2005-10-02  0.9.33  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Enable debug, enable deprecation-check and enable
	logging were always active.

2005-10-02  0.9.32  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, client/gtk/offline.c, common/gtk/config-gnome.c,
	common/gtk/config-gnome.h, editor/gtk/editor.c, server/gtk/main.c:
	Added optional support for GLib-2.6 (g_key_file). For environments that
	cannot build the help, libgnome is no longer a build requirement.
	* client/callback.h, client/ai/greedy.c, client/common/setup.c,
	client/gtk/interface.c, common/map.h, common/map_query.c,
	common/gtk/guimap.h, server/robber.c: Replaced all casts to
	CheckFunc by functions with the correct prototype. This allows player
	of the PPC to play Pioneers again. Cleanup of unused arguments in the
	used functions.
	* configure.ac, common/network.c, meta-server/main.c: Replace the last
	uses of strerror by g_strerror.

2005-10-02  Bas Wijnen <shevek@fmf.nl>
	* client/ai/greedy.c: Do not trade if the wanted resource is not in
	the bank. (Fixes Debian bug #328880)

2005-09-25  0.9.31  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, rules.make, client/ai/Makefile.am,
	client/common/Makefile.am, client/gtk/Makefile.am, common/Makefile.am,
	common/gtk/Makefile.am, editor/gtk/Makefile.am,
	meta-server/Makefile.am, server/Makefile.am, server/gtk/Makefile.am:
	Moved $(debug_includes) from rules.make to configure.ac. There are now
	four new commandline options to ./configure. All four are per default
	enabled when --enable-maintainer-mode is given. The four are:
	--enable-warnings, --enable-debug, --enable-logging,
	--enable-deprecation-checks. This patch is based on a patch by Bas
	Wijnen.

2005-09-17  0.9.30  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/quote.c, common/gtk/config-gnome.c: Removed the
	definition of *_DISABLED_DEPRECATED to make the source build again

2005-09-17  Roland Clobus <rclobus@bigfoot.com>
	* README.Cygwin: Added gettext-devel as required package

2005-09-16  0.9.29  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c: Add #ifdef HAVE_HELP around static declaration
	* configure.ac, client/ai/Makefile.am, client/common/Makefile.am,
	common/Makefile.am, meta-server/Makefile.am, server/Makefile.am: Use
	GLib includes in Makefile.am where needed
	
2005-09-14  0.9.28  Bas Wijnen <shevek@fmf.nl>

	* client/gtk/frontend.c: Apply workaround for Gtk bug to action
	buttons.

2005-09-14  0.9.27  Bas Wijnen <shevek@fmf.nl>

	* editor/gtk/editor.c: Warn instead of crash when clearing nonexistent
	hex.  Set minimum map size to 1, not 2.  Set sensitivity of correct
	buttons when resize limits are hit.  Let ports disappear correctly.  
	* client/gtk/gold.c, client/gtk/discard.c: Reindented.

2005-09-13  0.9.26  Roland Clobus <rclobus@bigfoot.com>, based on the patch by
	Ferenc Bánhidi <banhidi@inf.elte.hu>
	* configure.ac, client/gtk/gui.c, editor/gtk/editor.c: Disable online
	help if it cannot be built
	* client/ai/ai.c (ai_start_game), client/common/i18n.c (change_nls),
	client/gtk/connect.c (meta_create_notify): Use glib functions
	* client/common/main.c (run_main), common/network.c, common/network.h,
	meta-server/main.c (main), server/main.c (main) serverk/gtk/main.c
	(main): Use new functions net_init and net_cleanup, as preparation for
	the Windows native port

2005-09-13  Bas Wijnen <shevek@fmf.rug.nl>
	* client/callback.h, client/ai/greedy.c, client/common/client.c,
	client/gtk/frontend.h, client/gtk/interface.c, client/gtk/plenty.c,
	client/gtk/resource-table.c, client/gtk/resource-table.h: Made
	function prototype with const bank
	* client/gtk/discard.c, client/gtk/gold.c: If somehow the dialog was
	closed, show it again

2005-09-13 Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/gtkbugs.c, common/gtk/gtkbugs.h, common/gtk/Makefile.am,
	client/gtk/discard.c, client/gtk/gold.c, client/gtk/player.c: Moved
	fix for bug in Gtk-2.6 to gtkbugs.c
	
2005-09-09  0.9.25  Ferenc Bánhidi <banhidi@inf.elte.hu>
	* configure.ac, client/common/i18n.c, po/hu.po: Added Hungarian
	translation

2005-09-09  Roland Clobus <rclobus@bigfoot.com>
	* client/common/client.c (mode_build_response): Remove debug code

2005-09-01  0.9.24  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/connect.c (meta_dlg_cb), client/gtk/frontend.c
	(gui_free), common/network.c (net_connect, net_free): Fixed memory
	leaks
	
2005-08-17  0.9.23  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/frontend.c (set_sensitive): Disable the hotkeys when the
	GtkAction is disabled
	
2005-08-14  0.9.22  Roland Clobus <rclobus@bigfoot.com.
	* editor/gtk/editor.c: Use GPOINTER_TO_INT instead of (gint) cast
	* client/gtk/interface.c: Fixed build cursor is shown for wrong player
	* client/common/client.c (setup_msg): Removed extra comma in setup
	message
	* client/gtk/settingscreen.c: Replaced the GtkFrame with GNOME style
	labels and indentation
	* client/common/resource.c (resource_format_type): Added support for
	showing numbers
	* client/gtk/legend.c: Replaced the GtkFrame with GNOME style labels
	and indentation, and use cost_* functions
	* client/callback.h, client/common/client.c, client/gtk/gui.c,
	client/gtk/interface.c: Enable the left pane for messages: road
	building, place the robber, move a ship

2005-08-14  Bas Wijnen <shevek@fmf.nl>
	* client/gtk/connect.c: Fixed buffer overrun
	* client/gtk/gui.c: Fix for crash at startup with toolbar hidden

2005-08-05  0.9.21  Stefan Walter <sw@gegenunendlich.de>
	* meta-server/main.c: Added missing #includes for FreeBSD
	
2005-08-01  0.9.20  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/player.c (player_build_summary): Add missing line in
	summary for Gtk+-2.6
	* common/gtk/aboutbox.c (aboutbox_display): Add close button to about
	dialog
	
2005-07-14  0.9.19  Roland Clobus <rclobus@bigfoot.com>
	* README.cygwin: Added instructions for building from CVS.
	* autogen.sh: Added automake-1.9
	* configure.ac, client/gtk/Makefile.am, client/gtk/frontend.c,
	client/gtk/frontend.h, client/gtk/gui.c, client/gtk/offline.c,
	common/gtk/Makefile.am, editor/gtk/Makefile.am,
	server/gtk/Makefile.am: use libgnome+gtk instead of libgnomeui
	* Makefile.am: Renamed indent make target to reindent
	
2005-07-09  0.9.18  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c: Single click build: when a ship and road can be
	built, a ship is chosen when the cursor is at sea, a road is chosen
	when the cursor is over land.
	
2005-07-07  Roland Clobus <rclobus@bigfoot.com>
	* client/common/gnocatan.c renamed to main.c
	* meta-server/gnocatan-meta-server.c renamed to main.c
	* server/server.c renamed to main.c
	* server/gnocatan-server.c renamed to admin.c, contains only admin
	code
	* server/gnocatan-server.h renamed to admin.h, contains only admin
	code
	* server/gtk/gnocatan-server-gtk.c renamed to main.c
	* server/server.c, server/server.h: moved server code from admin.c and
	admin.h to these files
	* client/common/Makefile.am, meta-server/Makefile.am, po/POTFILES.in,
	server/Makefile.am, server/gtk/Makefile.am: use the renamed files
	* pioneers.spec.in: Updated home page
	
2005-07-03  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/guimap.c, editor/gtk/editor.c: Use the Q_() macro for the
	short translatable strings
	
2005-07-02  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/pioneers.xml: Updated link to homepage
	* client/common/client.c: fixed the hello string (protocol change)
	
2005-06-29  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/pioneers-C.omf, client/help/C/pioneers.xml: 
	  updated help pages
	* docs/pioneers-meta-server.6, docs/pioneers-server-console.6, 
	  docs/pioneers-server-gtk.6, docs/pioneers.6, docs/pioneersai.6:
	  updated man pages
	* client/gtk/offline: use Pioneers settings
	* docs/README.states: fix use of "Gnocatan"
	* client/gtk/gameover.c: Last translatable string with Gnocatan.
	* README, README.Cygwin, client/ai/ai.c, common/network.c,
	  common/network.h, editor/gtk/editor.c, meta-server/README.protocol,
	  meta-server/gnocatan-meta-server.c, server/archipel_gold.game,
	  server/crane_island.game, server/gnocatan-server.c, server/pregame.c,
	  server/gtk/gnocatan-server-gtk.c: Use "Pioneers" in the README
	  files, renamed 'get_gnocatan_dir' to 'get_pioneers_dir', updated
	  protocol for the hello message, use settings for Pioneers.
	  
	* server/buildutil.c, server/develop.c, server/discard.c,
	  server/glib-driver.c, server/glib-driver.h, server/gnocatan-server.h,
	  server/gold.c, server/player.c, server/pregame.c, server/resource.c,
	  server/robber.c, server/server.h, server/trade.c, server/turn.c,
	  common/buildrec.c, common/buildrec.h, common/cards.c, common/cards.h,
	  common/common_glib.c, common/common_glib.h, common/cost.c,
	  common/cost.h, common/driver.c, common/driver.h, common/game.c,
	  common/game.h, common/log.c, common/log.h, common/map.c,
	  common/map.h, common/map_query.c, common/quoteinfo.c,
	  common/quoteinfo.h, common/state.c,
	  common/state.h, common/gtk/colors.c, common/gtk/colors.h,
	  common/gtk/common_gtk.c, common/gtk/common_gtk.h,
	  common/gtk/config-gnome.c, common/gtk/config-gnome.h,
	  common/gtk/game-settings.c, common/gtk/game-settings.h,
	  common/gtk/guimap.c, common/gtk/guimap.h, common/gtk/polygon.c,
	  common/gtk/polygon.h, common/gtk/select-game.c,
	  common/gtk/select-game.h, common/gtk/theme.c, common/gtk/theme.h,
	  client/gtk/admin-gtk.c, client/gtk/callbacks.c, client/gtk/chat.c,
	  client/gtk/develop.c, client/gtk/discard.c, client/gtk/frontend.c,
	  client/gtk/frontend.h, client/gtk/gameover.c, client/gtk/gold.c,
	  client/gtk/gui.h, client/gtk/histogram.c, client/gtk/histogram.h,
	  client/gtk/identity.c, client/gtk/interface.c, client/gtk/legend.c,
	  client/gtk/monopoly.c, client/gtk/name.c, client/gtk/player.c,
	  client/gtk/plenty.c, client/gtk/quote.c, client/gtk/resource-table.c,
	  client/gtk/resource-table.h, client/gtk/resource.c,
	  client/gtk/settingscreen.c, client/gtk/state.c, client/gtk/trade.c,
	  client/callback.h, client/ai/ai.h, client/ai/greedy.c,
	  client/common/build.c, client/common/callback.c,
	  client/common/chat.c, client/common/client.c, client/common/client.h,
	  client/common/develop.c, client/common/gnocatan.c,
	  client/common/i18n.c, client/common/player.c,
	  client/common/resource.c, client/common/robber.c,
	  client/common/setup.c, client/common/stock.c, client/common/turn.c: 
	  fix uses of the name "Gnocatan" in the header comments

2005-06-28  Roland Clobus <rclobus@bigfoot.com>
	* client/common/develop.c, client/gtk/player.c,
	client/gtk/settingscreen.c, editor/gtk/game-devcards.c: change the
	development card to 'Pioneer University'

2005-06-26  Steve Langasek <vorlon@debian.org>
	* client/gtk/connect.c, server/gtk/gnocatan-server-gtk.c:
	  Auto-migrate metaserver values from 'gnocatan.debian.net'
	  to 'pioneers.debian.net' (done in a pretty ugly, hard-coded
	  fashion, but this should be just a temporary hack)

2005-06-26  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/data/splash.svg, client/gtk/data/splash.png: Set name to
	Pioneers
	* client/gtk/gui.c: Use the correct splash image
	
2005-06-25  Steve Langasek <vorlon@debian.org>
	* autogen.sh: tested with automake-1.8, so allow the package to
	  be built using that version
	* macros/autogen.sh: fix broken references to configure.in
	  (should now be configure.ac).
	* Makefile.am: drop the dist hook for debian/, it doesn't belong
	  in the tarball
	* configure.ac, rules.make, client/Makefile.am,
	  client/ai/Makefile.am, client/common/Makefile.am,
	  client/gtk/Makefile.am, client/gtk/connect.c,
	  client/gtk/gui.c, client/gtk/data/Makefile.am,
	  client/gtk/data/themes/Makefile.am,
	  client/gtk/data/themes/FreeCIV-like/Makefile.am,
	  client/gtk/data/themes/Iceland/Makefile.am,
	  client/gtk/data/themes/Tiny/Makefile.am,
	  client/help/Makfile.am, client/help/C/Makefile.am,
	  common/Makefile.am, common/gtk/Makefile.am, editor/Makefile.am,
	  meta-server/gnocatan-meta-server.c, server/Makefile.am,
	  server/gnocatan-server-console.c, server/gnocatan-server.c,
	  server/gtk/Makefile.am, server/gtk/gnocatan-server-gtk.c: fix
	  uses of the name "Gnocatan" in the source
	* configure.ac: change the PACKAGE name to "pioneers"
	* configure.ac, client/help/C/gnocatan.xml,
	  meta-server/meta-report: change the default metaserver to
	  pioneers.debian.net
	* client/ai/Makefile.am, client/common/Makefile.am,
	  client/gtk/Makefile.am, common/Makefile.am,
	  common/gtk/Makefile.am, editor/gtk/Makefile.am,
	  meta-server/Makefile.am, server/Makefile.am,
	  server/gtk/Makefile.am: change the names of the binaries being
	  built
	* docs/Makefile.am, docs/pioneers.6, docs/pioneers-server-gtk.6,
	  docs/pioneers-server-console.6, docs/pioneersai.6,
	  docs/pioneers-meta-server.6: rename the manpages to match
	* rules.make, server/gnocatan-server-console.c: fix up all
	  embedded paths to binaries to use the new names
	* client/gtk/connect.c, client/gtk/gui.c, common/gtk/aboutbox.c,
	  editor/gtk/editor.c, meta-server/gnocatan-meta-server.c,
	  server/gtk/gnocatan-server-gtk.c: fix names embedded in the GUI
	* client/gtk/data/gnocatan.desktop,
	  server/gtk/gnocatan-server.desktop: fix both the display names
	  and the paths to the binaries
	* Makefile.am, configure.ac, pioneers.spec.in: fix up the RPM
	  packaging to match
	* client/gtk/data/pioneers.desktop, client/help/C/pioneers-C.omf,
	  client/gtk/data/gnome-pioneers.png, client/help/C/pioneers.xml,
	  server/gtk/pioneers-server.desktop, server/gtk/Makefile.am,
	  client/gtk/data/Makefile.am, client/help/C/Makefile.am,
	  client/gtk/gui.c, server/gtk/gnocatan-server-gtk.c: fix the
	  names of installed data files
	* rules.make, editor/gtk/Makefile.am, common/gtk/aboutbox.c,
	  client/ai/Makefile.am, client/gtk/Makefile.am,
	  client/gtk/data/Makefile.am, client/gtk/data/themes/Makefile.am,
	  client/gtk/data/themes/FreeCIV-like/Makefile.am,
	  client/gtk/data/themes/Iceland/Makefile.am,
	  client/gtk/data/themes/Tiny/Makefile.am, server/Makefile.am,
	  server/gtk/Makefile.am, common/gtk/Makefile.am: fix remaining
	  paths where data files are installed
	* configure.ac, rules.make, client/ai/ai.c,
	  client/gtk/connect.c, client/gtk/gui.c, client/gtk/offline.c,
	  common/network.c, common/network.h,
	  meta-server/gnocatan-meta-server.c, meta-server/meta-report,
	  server/gnocatan-server-console.c, server/gnocatan-server.c,
	  server/meta.c, server/server.c, server/gtk/gnocatan-server-gtk.c:
	  fix up all variables in the source, including environmental
	  variables; support using old env variable names as fallbacks.

2005-06-05  Brian Wellington <bwelling@xbill.org>
	* common/game.c, common/game.h, common/map.c, common/map.h,
	  editor/gtk/editor.c: Remove the chits field in the GameParams
	  structure.

2005-06-05  0.9.17  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Require GLib minimum version 2.4
	* common/log.h: Use glib/gi18n.h

2005-05-26  0.9.16  Roland Clobus <rclobus@bigfoot.com>
	* common/game.c, common/game.h: Constness for params_copy.
	* common/map.c (layout_chits), server/server.c (game_free),
	server/gtk/gnocatan-server-gtk.c (build_game_settings): Fixed memory
	leaks.
	* common/gtk/guimap.c: Implemented the todo in the single click
	building. The cursor will switch between node and edge, whichever is
	closest.
	
2005-05-25  Brian Wellington <bwelling@xbill.org>
	* client/common/client.c, server/pregame.c: Send the number
	of development cards that have been bought to connecting clients,
	so that the client's state is correct after a reconnect.

2005-05-22  Roland Clobus <rclobus@bigfoot.com>
	* apply 'make indent' again

2005-05-19  0.9.15  Roland Clobus <rclobus@bigfoot.com>
	* nearly all: replaced numElems and UNUSED macros by the GLib macros
	G_N_ELEMENTS and G_GNUC_UNUSED
	
2005-05-17  0.9.14  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c (resource_desire): Fixed a typo from 0.9.13

2005-05-16  0.9.13  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c (resource_desire): Don't consider resources that
	have no value (fixes monopoly deadlock)
	
2005-05-15  Brian Wellington <bwelling@xbill.org>
	* client/ai/greedy.c: Rework the AI's maritime trading code to
	reduce the number of pointless trades and increase the effectiveness
	of trades.

2005-05-15  0.9.12  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/common_gtk.c: Removed GTK compatibility code. It is not
	needed since 2.4 is required.
	* common/gtk/guimap.c: Moved comments back that were moved by a make
	indent, such that the translators see them again.
	
2005-05-01  0.9.11  Roland Clobus <rclobus@bigfoot.com>
	* server/gtk/gnocatan-server-gtk.c (main): Enabled translations in the
	menu.
	* editor/gtk/editor.c: Use GINT_TO_POINTER and GPOINTER_TO_INT
	* editor/gtk/editor.c, editor/gtk/game-buildings.c,
	editor/gtk/game-devcards.c: Enabled some translations.
	* client/gtk/settingsscreen.c: Fixed a string

2005-04-24  Brian Wellington <bwelling@xbill.org>
	* common/map.[ch]: Add map_add_hex().
	* client/gtk/gui.c, common/gtk/guimap.[ch]: Move map widget and
	event handling code to guimap.c

2005-04-24  Brian Wellington <bwelling@xbill.org>
	* common/gtk/guimap.[ch]: Add guimap_find_hex().

2005-04-20  Brian Wellington <bwelling@xbill.org>
	* client/ai/greedy.c: Fix a problem with the AI's monopoly card
	support.
	* client/gtk/guimap.[ch], client/gtk/Makefile.am,
	common/gtk/guimap.[ch], common/gtk/Makefile.am: Move map display
	code to common/gtk.

2005-04-21  0.9.10  Roland Clobus <rclobus@bigfoot.com>
	* client/callback.h, client/common/resource.c, common/buildrec.h,
	common/cost.c, common/cost.h, server/resource.c, server/server.h: Add
	const for function prototypes.
	* client/ai/greedy.c: Use cost_* functions

2005-04-20  Brian Wellington <bwelling@xbill.org>
	* client/gtk/frontend.h, client/gtk/gui.c, client/gtk/guimap.c,
	client/gtk/guimap.h, client/gtk/player.c, common/gtk/Makefile.am,
	common/gtk/colors.c, common/gtk/colors.h: Move non-client-specific
	code to common/gtk.

2005-04-20  0.9.9  Roland Clobus <rclobus@bigfoot.com>
	* rules.make, server/gnocatan-server-console.c: Add
	G_DISABLE_DEPRECATED, and replace the old functions.
	* server/gtk/gnocatan-server-gtk.c: Replace libgnomeui calls with
	libgnome and Gtk+ calls.
	* client/common/callback.c, client/gtk/gui.c, client/gtk/interface.c:
	No direct build of a city in the client. First a settlement has to be
	built.
	* common/network.c, meta-server/gnocatan-meta-server.c: Added code
	that will allow the tarball to be built under Cygwin. The client uses
	IPv4 functions, the server will not create listening sockets, and the
	metaserver will not create new games.

2005-04-19  Brian Wellington <bwelling@xbill.org>
	* configure.ac, Makefile.am, editor: Add gnocatan-editor.

2005-04-18  Brian Wellington <bwelling@xbill.org>
	* client/gtk/plenty.c: Remove duplicated and deprecated code
	by using the resource table widget.
	* server/gnocatan-server-console.c, server/player.c,
	server/server.c, server/server.h, server/gtk/gnocatan-server-gtk.c:
	Add the ability to disable AI chatting from gnocatan-server-gtk.
	* client/gtk/polygon.[ch], client/gtk/theme.[ch],
	client/gtk/Makefile.am, common/gtk/polygon.[ch],
	common/gtk/theme.[ch], common/gtk/Makefile.am: Move theme and polygon
	code from client/gtk to common/gtk.
	* client/ai/greedy.c: The AI can now play monopoly cards.

2005-04-17  Stephen Jacob <sj@sjacob.org>
	* client/callback.h, client/ai/greedy.c, client/common/callback.c,
	client/common/player.c, client/gtk/player.c: The AI now holds VP
	dev cards until it has enough points to win.

2005-04-14  Brian Wellington <bwelling@xbill.org>
	* common/game.c, server/pregame.c: Make params_write_file() create a
	valid game file.

2004-04-14  0.9.8  Roland Clobus <rclobus@bigfoot.com>
	* server/server.c (accept_connection): Used wrong file descriptor, bug
	was introduced in 0.9.6
	* common/game.c (params_copy), common/map.c (disconnect_hex),
	server/square.game: Fixed the core dump which resulted in the
	incomplete file. Added some descriptions of the errors.
	* client/ai/greedy.c (greedy_turn): Fix for bug introduced in 0.9.6.
	* client/ai/greedy.c (trade_desired, greedy_consider_quote): Let the
	AI accept free offers during trade.
	* common/map.c (layout_chits): Use at most one robber per map.
	* common/map.c (map_copy): Use robber and pirate hex from the copied
	map, not the original map.
	* configure.ac: Do not use Gtk+ for console-only applications.

2005-04-09  0.9.7  Daniel <dgun@umpire.com>
	* server/gnocatan-server.c: When duplicate game titles exist, a number
	is added to the title.

2005-04-09  Yusei <yusei@ragondux.com>
	* crane_island.game: Added a new map

2005-04-09  LT-P <LT-P@LT-P.net>
	* iles.game, coeur.game: Added new maps
	* Evil_square.game: Updated the map

2005-04-09  Blyx <blyx@apshram.net>
	* archipel_gold.game: Added a new map

2005-04-06  Stephen Jacob <sj@sjacob.org>
	* common/gtk/common-gtk.c: Change the text color of player 3's
	messages, since light gray on white is really hard to read.

2005-04-06  0.9.6 Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, common/network.c, common/network.h,
	meta-server/gnocatan-meta-server.c, server/gnocatan-server-console.c,
	server/gnocatan-server.c, server/gnocatan-server.h, server/meta.c,
	server/server.c, server/server.h, server/gtk/gnocatan-server-gtk.c:
	Removed global variables for serverhostname and port. Moved duplicate
	code of server and metaserver to common/network.c. All ports are now
	strings (service names), there are no conversions to integers left.
	Upgraded metaserver protocol to 1.2.
	* rules.make, client/gtk/connect.c, client/gtk/plenty.c,
	client/gtk/quote.c: Added GTK_DISABLE_DEPRECATED for developer-only
	builds. Marked the files that still use deprecated calls.

2005-04-03  Brian Wellington <bwelling@xbill.org>
	* configure.ac, common/Makefile.am, common/map.[ch],
	common/mt_rand.[ch], server/server.c: Remove the old random
	number generator.

2005-04-03  0.9.5  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c: AI can use gold (and prefer it) during setup.
	The nosetup nodes are honoured. Year of Plenty will only be played
	when the bank has at least 2 resources left. 

2005-04-02  Brian Wellington <bwelling@xbill.org>
	* client/gtk/gui.c, client/gtk/guimap.c, client/gtk/legend.c,
	client/gtk/offline.c, client/gtk/theme.c, client/gtk/theme.h: Cleanups
	to the theme code.
	* client/gtk/connect.c, meta-server/gnocatan-meta-server.c,
	server/server.c: Use g_spawn_async instead of open-coded fork()/exec().

2005-04-02  0.9.4  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c: When receiving gold, the AI must choose
	something, even when it has enough resources.
	
2005-03-31  Brian Wellington <bwelling@xbill.org>
	* client/ai/ai.c: The AI should not stay in a game if it is full.

2005-03-28  Brian Wellington <bwelling@xbill.org>
	* client/gtk/connect.c, client/gtk/gui.c, client/gtk/theme.c,
	client/gtk/theme.h, common/gtk/select-game.c,
	common/gtk/select-game.h: Replace deprecated GtkOptionMenus
	with GtkComboBoxes.

2005-03-28  0.9.3  Roland Clobus <rclobus@bigfoot.com>
	* Makefile.am: Added target 'restorepo', to make it easier to remove
	the changes to the *.po files when make distcheck has been used, but
	no new translations have been added.
	* client/gtk/data/splash.svg, client/gtk/data/splash.png: Updated
	splash screen image to version 0.9
	* configure.ac: Require Gtk+-2.4. Added checks, which 'autoscan' did
	recommend.

2005-03-26  0.9.2  Roland Clobus <rclobus@bigfoot.com>
	* client/callback.h, client/ai/greedy.c, client/common/client.c,
	client/common/client.h, client/common/player.c,
	client/common/resource.c, client/gtk/callbacks.c,
	client/gtk/connect.c, client/gtk/gui.c, client/gtk/gui.h,
	client/gtk/legend.c, client/gtk/settingscreen.c, client/gtk/trade.c,
	common/log.c, common/log.h, common/gtk/common_gtk.c: Made several
	gchar* arguments const gchar* argument.

2005-03-24  Brian Wellington <bwelling@xbill.org>
	* client/gtk/connect.c: Remove static buffers.

2005-03-23  Brian Wellington <bwelling@xbill.org>
	* client/ai/greedy.c: Add gold support to the AI.
	* server/player.c: The patch to enable random seating ordered
	caused gtk assertions when connecting to a full game.
	* Makefile.am, configure.ac, client/ai/Makefile.am, ai/: Remove
	the old AI; enable the new AI.

2005-03-23  0.9.1  Roland Clobus <rclobus@bigfoot.com>
	* New version numbering: only 3 digits. The first two match the
	protocol version, and the third is the build number.
	* client/gtk/frontend.h, client/gtk/offline.c, client/gtk/theme.h:
	Moved declaration of init_themes to theme.h
	* server/player.c: Version check to only two digits. Added message
	when version does not match.
	* client/common/client.c, common/game.c, common/game.h, common/map.c,
	common/map.h, server/pregame.c: Small protocol change, to avoid
	sending unused data. Added option to send secrets of the map.
	* client/ai/ai.c: Code cleanup to random_name. Randomizer needs to be
	initialized only once.
	* po/POTFILES.in: Added client/ai/ai.c
	* client/gtk/connect.c: Made metaserver redirects insensitive to
	buffer overflows.

2005-03-23  Bas Wijnen <shevek@fmf.nl>
	* client/common/client.c, server/gold.c, server/pregame.c: Fixed race
	condition for client after rolling dice.

2005-03-22  Brian Wellington <bwelling@xbill.org>
	* meta-server/gnocatan-meta-server.c: Removed compiler warnings when
	compiling with -pedantic.

2005-03-20  0.8.1.59  Roland Clobus <rclobus@bigfoot.com>
	* common/game.c: The automatic indent did break the sending of
	gameinfo.

2005-03-20  0.8.1.58  Roland Clobus <rclobus@bigfoot.com>
	* ALL: Applied 'make indent'
	
2005-03-20  0.8.1.57  Roland Clobus <rclobus@bigfoot.com>
	* server/gnocatan-server.c: Made random seating order the default.
	* server/gtk/gnocatan-server-gtk.c: Made random order setting
	persistent.
	* Makefile.am: Added 'make indent' target.

2005-03-16  Brian Wellington <bwelling@xbill.org>
	* common/game.c, common/game.h, server/meta.c, server/player.c,
	server/server.c, server/server.h: Move the register-server,
	server-port, and random-order fields from the GameParams object to
	the Game object.
	* client/gtk/resource-table.c (resource_table_new): Removed the use of
	a fixed-size buffer.

2005-03-14  0.8.1.56  Brian Wellington <bwelling@xbill.org>
	* common/gtk/aboutbox.c, common/gtk/aboutbox.h, common/gtk/Makefile.am,
	client/gtk/gui.c, server/gtk/gnocatan-server-gtk.c: Add common code for
	displaying about boxes; make the client and server use it.
	* common/game.c, common/game.h, server/gnocatan-server.c: Add
	params_load_file()/params_write_file() helper functions.
	* common/game.h, server/gnocatan-server.c, server/gnocatan-server.h,
	server/player.c, server/pregame.c, server/server.c, server/server.h,
	server/gtk/gnocatan-server-gtk.c: Add the ability to randomize
	seating order.
	* client/gtk/guimap.c, client/gtk/guimap.h, client/gtk/gui.c,
	client/gtk/gui.h, client/gtk/callbacks.c: When starting a new game,
	clear the highlighted chits, pointed out by Arjan Schrijver.

	Gnocatan is joined by a new developer: Brian Wellington

2005-03-12  0.8.1.55  Roland Clobus <rclobus@bigfoot.com>
	* configure.ac, added gnocatan.spec.in, removed gnocatan.spec: The
	spec is automatically generated and uses the current version.
	* ai/ai.c, client/ai/ai.c, client/gtk/connect.c, common/network.c,
	common/network.h, meta-server/Makefile.am,
	meta-server/gnocatan-meta-server.c, server/gnocatan-server-console.c,
	server/gnocatan-server.c, server/gnocatan-server.h, server/meta.c,
	server/server.c, server/server.h, server/gtk/gnocatan-server-gtk.c:
	More consistent use of the environment variables GNOCATAN_DIR,
	GNOCATAN_META_SERVER, GNOCATAN_SERVER_CONSOLE and
	GNOCATAN_SERVER_NAME. Moved common code to common/network.c.
	* docs/gnocatan-meta-server.6, docs/gnocatan-server-console.6,
	docs/gnocatan-server-gtk.6, docs/gnocatan.6, docs/gnocatanai.6: Added
	ENVIRONMENT section and FILES section. Added documentation of some new
	commandline options.
	* meta-server/gnocatan-meta-server.c (client_create_new_server): Use
	-m and -n commandline options instead of the environment variable. The
	server-console started from the metaserver will use the same hostname
	as the metaserver.
	* server/gnocatan-server-console.c (main): Correctly initialise
	hostname.
	
2005-03-12  Arjan Schrijver <arjan@anymore.nl>
	* meta-server/gnocatan-meta-server.c: Added commandline options to
	limit the portrange of the metaserver, and to set the hostname.

2005-03-02  0.8.1.54  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/interface.c: Reversal of the patch in 0.8.1.48, because
	it would set the client to the state turn when performing a maritime
	trade. Added a reset of the have_turn flag when game over is reached.

2005-03-02  Brian Wellington <bwelling@users.sourceforge.net>
	* client/gtk/interface.c: Disable the reject button when the trade was
	already rejected.

2005-02-05  0.8.1.53  Roland Clobus <rclobus@bigfoot.com>
	* server/gnocatan-server.c, meta-server/gnocatan-meta-server.c: Forgot
	the NULL termination of g_build_filename, pointed out by Brian
	Wellington.

2005-02-05  Brian Wellington <bwelling@users.sourceforge.net>
	* gnocatan.spec: Updated to version 0.8.1

2005-02-03  0.8.1.52  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c, server/gtk/gnocatan-server-gtk.c: Fix for crash in
	about dialog. Also reintroduces the version number.
	* client/gtk/gui.c, client/gtk/guimap.c, client/gtk/guimap.h,
	client/gtk/theme.c, client/gtk/theme.h,
	server/gtk/gnocatan-server-gtk.c: Theme.c rewrite, using
	g_build_filename instead of gnome_program_locate_file.
	* client/gtk/trade.c: Fixed a memory leak.
	* common/game.c, common/game.h, common/map.c,
	server/gnocatan-server.c, server/gnocatan-server.h: Server will not
	crash on invalid/unreadable games.
	* configure.ac, rules.make,
	client/gtk/connect.c, client/help/C/gnocatan.xml,
	client/help/C/images/connect-dialog.png,
	client/help/C/images/server-create.png,
	client/help/C/images/server-create.png,
	client/help/C/images/servers-dialog.png,
	meta-server/gnocatan-meta-server.c: Meta server protocol updated to
	1.1. New keyword: capability. When 'create games' is sent, the
	metaserver is capable of locally creating new game. Updated the
	documentation to reflect the change.
	* server/gtk/gnocatan-server-gtk.c(game_activate): Disabled the 'Add
	Computer Player' button when gnocatanai is not installed.
	
2005-01-25  0.8.1.51  Roland Clobus <rclobus@bigfoot.com>
	* common/gtk/common_gtk.c: Added stub for gtk_alignment_set_padding,
	allowing to code to build with Gtk+-2.0 and 2.2 again.
	* client/gtk/gold.c(gold_choose_player_must): Replaced the last Gtk+
	deprecated funcion call in this file.

2005-01-25  Stefan Walter <sw@gegenunendlich.de>
	* common/network.c, meta-server/gnocatan-meta-server.c,
	server/server.c: Restored the include files needed for FreeBSD that
	disappeared in 0.8.1.48
	
2005-01-23  0.8.1.50  Roland Clobus <rclobus@bigfoot.com>
	* client/common/client.c: Removed unused variables from
	recovery_info_t, does not show turn 0 anymore.
	* common/map.c: Added default case
	* common/state.c, common/state.h, server/gold.c, server/pregame.c,
	server/server.h: Fixed reconnect during distribution of gold. 
	* client/common/client.c, client/common/client.h,
	client/common/develop.c: Removed unused function road_building_begin.
	* client/gtk/gold.c, client/gtk/resource-table.c,
	client/gtk/resource-table.h: Replaced gtk_clist.
	* server/player.c, server/pregame.c, server/server.h: Server crashed
	when the player who is in the setup phase reconnected with another
	name.

2005-01-15  Roland Clobus <rclobus@bigfoot.com>
	* INSTALL, .cvsignore: Removed INSTALL from CVS. It is generated
	* README: Added information from the old INSTALL
	
2005-01-15  0.8.1.49  Daniel <dgun@umpire.com>
	* common/map.c, common/map.h: Patch #1100340: Added the option to mark
	a tile such that it will never be shuffled, by adding a + (plus) after
	the number in the .game file. All gold tiles will now be shuffled,
	unless they are marked.
	* server/henjes.game, server/seafarers-gold.game: Patch #1101870:
	Marked all gold tiles such that they will not be shuffled, when random
	map is turned on.

2005-01-09  0.8.1.48  Roland Clobus <rcobus@bigfoot.com>
	* common/buildrec.c, common/map.h, common/map_query.c: Bug #1094484:
	Disallow the building of a road during setup phase when the settlement
	cannot be built.
	* common/network.c, meta-server/gnocatan-meta-server.c: Minimal system
	include files.
	* server/buildutil.c, server/develop.c, server/discard.c,
	server/gold.c, server/meta.c, server/player.c, server/pregame.c,
	server/resource.c, server/robber.c, server/server.c, server/trade.c,
	server/turn.c: Minimal list of include files.
	* client/gtk/interface.c: Bug #1027642, Bug #942472: Player did not
	get a turn after the setup phase in a second game with the same
	client.
	* client/gtk/gui.c: Minor spelling change, to make text in about boxes
	of client and server the same.
	
2004-12-25  0.8.1.47  Etan Reisner <deryni@eden.rutgers.edu>
	* server/gtk/gnocatan-server-gtk.c, client/gtk/gui.c: Replaced GNOME
	about dialog with Gtk code.

2004-12-25  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/discard.c, client/gtk/resource.c, client/common/client.c:
	Removed usused variable
	* server/player.c: Removed unused code.
	* common/state.c, common/state.h: Added stack dump code.
	* server/player.c: Added stack names when restoring the disconnect
	player.

2004-12-21  0.8.1.46   Roland Clobus <rclobus@bigfoot.com>
	* configure.ac: Renamed configure.in to the more modern configure.ac
	* autogen.sh: Changed configure.in to configure.ac

2004-12-19  Etan Reisner <deryni@eden.rutgers.edu>
	* ai/client.c, common/gtk/select-game.c,
	meta-server/gnocatan-meta-server.c, server/gtk/gnocatan-server-gtk.c:
	Using g_strdup instead of strdup
	* client/common/callback.c, server/gnocatan-server-console.c: Removing
	unused/duplicate #include lines

004-12-03  0.8.1.45  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/resource-table.c, client/gtk/resource-table.h,
	client/gtk/Makefile.am: Added a simple way to add a selection for
	resources in the client.
	* client/gtk/frontend.c: Reenabled the workaround for a Gtk+ bug.
	* client/common/player.c: A leaving player is a normal message, not an
	error message.
	* client/common/client.c, client/gtk/interface.c, server/discard.c,
	server/pregame.c, server/server.h: Fixed reconnect in state DISCARD
	and YOUAREROBBER.
	* client/gtk/discard.c: Using the new resource-table widget, and
	removed deprecated gtk_clist.
	* client/gtk/frontend.h, client/gtk/player.c: Made player_create_icon
	accessible to other source files.
	* client/gtk/gui.c(gui_set_game_params): Initially the map pixmap was
	too small. (Debian bug #284063)

2004-11-28  0.8.1.44  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.h: Fix for the macro that would have bad side effects
	when used in if statements
	* client/common/client.c, server/pregame.c: Enable sending the bank by
	the server
	* client/gtk/gui.c(gui_highlight_chits),
	client/gtk/guimap.c(guimap_highlight_chits): Enable highlighted chits
	when reconnected.
	* client/gtk/monopoly.c(monopoly_create_dlg): Only show one dialog
	when reconnecting.
	* client/common/client.c, client/gtk/guimap.c: Fix for crash when
	reconnecting during RoadBuilding card that was played before a dice
	roll.
	* client/common/develop.c(develop_bought_turn): Development cards can
	be played when reconnected.
	* client/common/client.c, server/pregame.c: Dialog did not show when
	reconnecting when a Year of Plenty card has been played.

2004-11-21  0.8.1.43  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/offline.c(frontend_offline): Game|Connect incorrectly
	available when client is started with a commandline with server and
	port
	* client/gtk/guimap.c(guimap_cursor_move): Crash when leaving the map
	with a cursor active
	* client/gtk/chat.c, client/gtk/develop.c, client/gtk/discard.c,
	client/gtk/gold.c, client/gtk/gui.c, client/gtk/player.c,
	client/gtk/resource.c: Main screen consistent again, now without
	frames
	* client/common/callback.c, client/gtk/connect.c,
	client/gtk/develop.c, client/gtk/discard.c, client/gtk/frontend.c,
	client/gtk/frontend.h, client/gtk/gameover.c, client/gtk/gold.c,
	client/gtk/gui.c, client/gtk/gui.h, client/gtk/guimap.c,
	client/gtk/guimap.h, client/gtk/histogram.c, client/gtk/identity.c,
	client/gtk/legend.c, client/gtk/monopoly.c, client/gtk/offline.c,
	client/gtk/player.c, client/gtk/plenty.c, client/gtk/quote.c,
	client/gtk/resource.c, client/gtk/settingscreen.c, client/gtk/state.c,
	client/gtk/trade.c: Preparations for 'Leave Game', added some
	constness, chat disabled when offline, frontend_gui_register_* can
	handle more than one widget, removed toolbar hack (not needed anymore)
	* client/gtk/guimap.c: Removed compiler warnings when compiling with
	--pedantic
	* ai/client.c, ai/client.h: Removed dead code
	* client/common/client.c, common/common_glib.c, common/driver.h,
	common/state.c, common/state.h, common/gtk/common_gtk.c: Removed
	reference to widget from StateMachine. The code was moved to the gtk
	directory in 0.8.0
		
2004-11-12 Roland Clobus <rclobus@bigfoot.com>
	* Actually updated the build number to 0.8.1.42
	
2004-11-05  0.8.1.42  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/resource.c: Translation was not active
	* client/callback.h, client/ai/greedy.c, client/common/client.c,
	client/common/develop.c, client/gtk/frontend.h, common/cards.c,
	common/cards.h: More const in prototypes
	* client/gtk/develop.c: Rewrite without deprecated GTK calls
	* client/common/callbacks.c: Reset development cards when a new game
	starts

2004-10-27  0.8.1.41  Roland Clobus <rclobus@bigfoot.com>
	* client/common/client.c: Added dummy callsbacks to remove compiler
	warnings
	* common/common_glib.c, common/common_glib.h, common/driver.h,
	common/network.c, server/gnocatan-server.c, server/server.c: Using the
	new typedef InputFunc
	* rules.make: When compiling with --enable-debug,
	GNOME_DISABLE_DEPRECATED can be used
	* ai/ai.c, ai/client.c, ai/computer.c, ai/player.c, ai/resource.c,
	ai/trade.c: gnome.h previously included string.h, now we must do it
	ourselves
	* client/gtk/gui.c: Rewrite of Preference dialog. It uses
	instant-apply. Toolbar settings removed, because GNOME already saves
	it
	* client/common/chat.c, common/log.c, common/log.h,
	common/gtk/common_gtk.c: Chat color separate from use of color of
	messages
	* client/gtk/identity.c: Removed compiler warnings
	
2004-10-24  0.8.1.40  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c, client/gtk/gui.h, client/gtk/trade.c: Removed the
	second global variable map. (The other is client/common/client.[ch])
	* client/gtk/guimap.c, client/gtk/guimap.h, client/gtk/histogram.c:
	Reenabled the dots that indicate the probability (when enough space in
	the hex/chit is available)
	* client/common/callback.c(can_move_ship),
	common/buildrec.c(can_setup_settlement): Removed the compiler warnings
	about losing const-ness, introduced in 0.8.1.39 (It is still cheating:
	a temporary non-const pointer is used to temporarily modify the map)
	* common/common_glib.c, common/common_glib.h, common/driver.h: Removed
	compiler warning: ISO C forbids passing arg 2 of pointer to function
	between function pointer and `void *'

2004-10-17  0.8.1.39  Roland Clobus <rclobus@bigfoot.com>
	* common/map.h, common/map_query.c: Fixed longest road detection
	* client/gtk/monopoly.c: No longer uses deprecated calls. Removed
	frame
	* client/callback.h, client/common/build.c, client/common/client.h,
	client/common/resource.c, client/common/setup.c,
	client/gtk/frontend.h, client/gtk/gui.c, client/gtk/guimap.c,
	client/gtk/guimap.h, client/gtk/interface.c, common/buildrec.c,
	common/buildrec.h, common/map.h, common/map_query.c: Many pointers are
	now const
	* client/common/robber.c: Removed unused code
	* client/gtk/frontend.c, client/gtk/gameover.c, client/gtk/resource.c:
	Replaced deprecated calls
	* client/gtk/gui.c, client/gtk/guimap.c, client/gtk/guimap.h: Single
	click building
	* common/log.c, common/log.h, common/gtk/common_gtk.c,
	common/gtk/common_gtk.h: Log uses less memory
	* server/player.c: Fix for lost longest road on reconnect

2004-10-08  0.8.1.38  Roland Clobus <rclobus@bigfoot.com>
	* All *.c: Added #include "config.h"
	* configure.in, ai/ai.c, client/ai/ai.c, client/gtk/connect.c,
	client/gtk/offline.c, common/Makefile.am,
	meta-server/gnocatan-meta-server.c, server/gnocatan-server-console.c,
	server/gnocatan-server.c, server/gtk/gnocatan-server-gtk.c,
	server/meta.c, server/server.c: Moved contents of meta.h and port
	numbers to configure.in
	* common/meta.h: Replaced by contents in configure.in
	* client/callback.h, client/common/i18n.c, client/gtk/offline.c: Added
	commandline to gnocatan client
	* rules.make, client/common/resource.c, client/gtk/callbacks.c,
	client/gtk/gui.c, client/gtk/guimap.c, client/gtk/histogram.c,
	client/gtk/player.c, client/gtk/trade.c, common/game.c,
	common/network.c: Added -pedantic to --enable-debug, and resolving
	many warnings
	* client/gtk/develop.c, client/gtk/connect.c, client/gtk/discard.c,
	client/gtk/frontend.c, client/gtk/gameover.c, client/gtk/gold.c,
	client/gtk/monopoly.c, client/gtk/plenty.c, client/gtk/polygon.c,
	client/gtk/quote.c, client/gtk/settingscreen.c: Replace gnome.h
	includes with gtk and/or gdk
	* client/gtk/gui.c: Removed language setting in GUI. Override is now
	only possible with the normal environment variables, and the
	commandline
	* client/gtk/name.c: Added per default the current name
	* common/gtk/game-settings.c, common/gtk/common_gtk.c: Added some stub
	functions for compatibility with versions of Gtk before 2.4
	* client/help/C/gnocatan.xml: Added technical chapter
	* server/gnocatan-server.c, server/server.c, server/server.h: Enabled
	server-stop for administrator, added a few checks to admin interface

2004-10-01  0.8.1.37  Roland Clobus <rclobus@bigfoot.com>
	* client/help/C/gnocatan-C.omf: Added line with DTD to make xmllint
	happy.
	* ai/computer_names: moved to client/ai
	* server/gnocatan-server-gtk.c, server/gnocatan-server.desktop: moved
	to server/gtk
	* common/select-game.c, common/select-game.h, common/config-gnome.c,
	common/config-gnome.h, common/common_gtk.c, common/common_gtk.h,
	common/game-settings.c, common/game-settings.h: moved to common/gtk.
	All gtk related code is now in separate subdirectories.
	* server/gtk/.cvsignore, server/gtk/Makefile.am,
	common/gtk/.cvsignore, common/gtk/Makefile.am: Initial versions, based
	on the parent directories.
	* Makefile.am: Don't try to build ai, if no gnome found
	* ai/Makefile.am: Removed dependency on gtk libraries, installation
	of computer_names move to client/ai/Makefile.am
	* client/ai/Makefile.am: Now installs computer_names
	* configure.in, client/gtk/Makefile.am, common/Makefile.am, 
	server/.cvsignore, server/Makefile.am: Adjustment for the new
	directories.
	* common/.cvsignore: Removed gnocatan-path.h
	* po/ChangeLog: Add changes regarding the po directory will be loggged
	in po/ChangeLog, and not in this file.
	* configure.in, ai/Makefile.am, client/ai/Makefile.am, ai/ai.c: Added
	option to install new or old ai. Current default: old ai
	
2004-09-26  0.8.1.36  Roland Clobus <rclobus@bigfoot.com>
	* Makefile.am, autogen.sh, configure.in, omf.make, rules.make,
	xmldocs.make, ai/Makefile.am, client/Makefile.am,
	client/ai/Makefile.am, client/common/Makefile.am, common/Makefile.am,
	meta-server/Makefile.am, client/gtk/Makefile.am, server/Makefile.am,
	server/gnocatan-server-gtk.c: New autogen.sh script, with optional
	Gnome/Gtk and scrollkeeper.
	* ai/ai.c, client/ai/ai.h, meta-server/gnocatan-meta-server.c,
	server/gnocatan-server.h, server/server.c: Removed the need for the
	generated file gnocatan-path.h
	* client/callback.h, client/ai/ai.c, client/common/gnocatan.c,
	client/common/i18n.c, client/gtk/callbacks.c, client/gtk/offline.c:
	The new frontend_init uses the argc and argv, instead of set_callbacks
	* client/ai/greedy.c, client/common/resource.c: Removed unneeded Gnome
	dependency
	* .cvsignore, common/.cvsignore: updated for removed files
	* depcomp, install-sh, missing, mkinstalldirs, stamp.h.in,
	po/Makefile.in.in: Removed (autogenerated files)
	* common/gnocatan-path.h.in: Removed (replaced by rules.make)
	* intl/*, ABOUT-NLS: Removed (using glib-gettext instead)
	* macros/type_socklen_t.m4: Added check for struct socklen_t
	
2004-09-06  0.8.1.35  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/gui.c, client/gtk/gui.h: Made left pane resizable.
	* client/gtk/identity.c: Made identity panel resizable.
	* client/gtk/player.c: Player summary uses Gtk2 widget, is resizable.
	* client/gtk/resource.c(resource_build_panel): Resource panel
	resizable.
	
2004-09-03  Jeff Breidenbach  <jab@debian.org>

	* debian/changelog: sync Debian & upstream versioning.

2004-08-29  0.8.1.34  Roland Clobus <rclobus@bigfoot.com>
	* ai/client.c: Added global flag 'played_soldier_card' to fix stack
	overflow.
	* server/gnocatan-server-gtk.c(start_clicked_cb): Remembered game
	did start with wrong map.
	* client/common/resource.c(resource_modify), client/gtk/frontend.h:
	Argument contains absolute value, not a difference.
	* client/gtk/resource.c(resource_build_panel,
	frontend_resource_change): Fixed size of resource counter to 2
	positions.
	
2004-08-21  Jeff Breidenbach  <jab@debian.org>

	* debian/control: added yelp dependency for gnocatan-help
	* Released as Debian package, 0.8.1-6.
	
2004-08-07  0.8.1.33  Roland Clobus <rclobus@bigfoot.com>
	* common/game.c: changed server-port parameter to string, fixed memory
	leak in params_free.
	* server/gnocatan-server.c(start_server), server/gnocatan-server.h,
	server/server.c(server_startup), server/server.h: added const in the 
	parameters.
	* server/server.c, server/server.h: removed server_restart (not used).

2004-08-07  Claudio Fontana (sick_soul@users.sourceforge.net>
	* client/common/client.c: Removed deprecated lvalue casts.

2004-07-31  0.8.1.32  Roland Clobus <rclobus@bigfoot.com>
	* common/game-settings.c: more specific include files.
	* common/select-game.c (select_game_add), server/gnocatan-server-gtk.c
	(start_clicked_cb): Fixed bug that 'Default' game would be started
	instead of preselected game.
	* client/common/player.c, client/gtk/trade.c, common/game-settings.c,
	common/select-game.c, server/gnocatan-server-gtk.c, server/server.c:
	Added comments for translations.
	* common/game-settings.c(game_settings_init): Spin button right
	aligns, this code is disabled until the build requires Gtk2.4
	* po/POTFILES.in: enabled translation for common/game-settings and
	commong/select-game.
	* po/nl.po: Updated translations

2004-07-31  Hans Fugal <fugalh@users.sourceforge.net>
	* client/gtk/interface.c: Quick fix for 'Second click on reject trade
	crashes the server'.
	
2004-07-31  Giancarlo Capella <giancarlo@comm.cc>
	* po/it.po: Updated italian translation
	
2004-07-24  0.8.1.31  Roland Clobus <rclobus@bigfoot.com>
	* configure.in, client/common/i18n.c: Enabled italian in the UI, made
	some checks more strict.
	* ai/greedy.c, client/ai/greedy.c, client/common/chat.c, TODO:
	Enabled translated chats for the AI
	* client/gtk/legend.c, client/gtk/theme.c: Fixed display of tiles in
	the legend dialog/tabpage. (Foundation laid by Giancarlo Capella)
	Replaced deprecated function calls.
	* client/gtk/theme.c: Fixed crash on theme change before a game is
	started.
	* rules.make, client/gtk/gui.c, common/common_gtk.c: Enabled
	GDK_DISABLE_DEPRECATED check in --enable-debug mode, all deprecated 
	functions are replaced.
	* client/callback.h: Removed prototypes for static functions
	* client/common/callback.c(pirate_count_victims): Fixed small memory
	leak.
	* client/gtk/guimap.c, client/gtk/guimap.h, client/gtk/histogram.c:
	Dynamic scaling of the font in the chit, removed duplicate code
	* client/gtk/interface.c: Removed the need for some global variables.
	Fixed bug that a ship to steal from could not be selected.
	* client/gtk/polygon.c, client/gtk/polygon.h: Added some const
	correctness.
	* client/gtk/theme.c, client/gtk/theme.h: Port tiles are now always
	centered.
	
2004-07-24  Giancarlo Capella <giancarlo@comm.cc>
	* po/it.po: Added italian translation
	
2004-07-08  Jeff Breidenbach  <jab@debian.org>

	* Released as Debian package, 0.8.1-5.

2004-07-08  0.8.1.30  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/histogram.c: Added more margins, last dice roll is shown
	* ai/client.c, ai/greedy.c, client/ai/greedy.c, client/gtk/gui.c,
	common/game.c, common/game.h, server/develop.c,
	server/gnocatan-server-console.c, server/gnocatan-server-gtk.c,
	server/gnocatan-server.c, server/gnocatan-server.h, server/turn.c:
	Replaced all references to Exit with Quit
	* ai/greedy.c (score_hex_hurt_opponents), client/ai/greedy.c
	(score_hex_hurt_opponents): AI does not try to move the robber onto
	water
	* NEWS: Updated to reflect the release on SF
	* rules.make: removed GTK_ITEM_FACTORY define, it will no longer work
	with Gtk 2.4
	* po/nl.po: Updated some translations

2004-07-02  Jeff Breidenbach  <jab@debian.org>

	* Released as Debian package, 0.8.1-4.

2004-07-01  Roland Clobus <rclobus@bigfoot.com>
	* server/pregame.c, ai/client.c: Oops, forgot a ;
	
2004-06-29  0.8.1.29  Roland Clobus <rclobus@bigfoot.com>
	* ai/client.c, ai/trade.c, client/common/client.c,
	client/gtk/frontend.h, client/gtk/interface.c, client/gtk/quote.c,
	client/common/quoteinfo.c, common/quoteinfo.h, server/pregame.h:
	Various changes. quotelist_new and quotelist_delete changed prototypes
	to allow for checks on 'quote-leaks'.
	* ai/greedy.c (trade_desired), client/ai/greedy.c (trade_desired): Fix
	for AI losing resources during trade.
	* client/callback.h, client/gtk/identity.c, client/gtk/player.c:
	Removed unused color field, added player_or_viewer_color.
	* client/gtk/chat.c, client/gtk/gui.c: Added flag to indicate whether
	the focus can be grabbed.
	* client/gtk/trade.c: Gtk2 widgets for trade page. Redesign.
	* common/network.c: Removed an obsolete FIXME.
	* server/trade.c: More informative error messages. Duplicate quote is
	now a note, not an error.
	
2004-05-30 0.8.1.28  Roland Clobus <rclobus@bigfoot.com>
	* client/ai/greedy.c (greedy_year_of_plenty), ai/client.h
	(mode_year_of_plenty), ai/computer.h, ai/greedy.c
	(greedy_year_of_plenty): Fix year of plenty bug, AI will now always
	choose available resources
	
2004-05-26  Jeff Breidenbach  <jab@debian.org>

	* 0.8.1.27 Released as Debian package, 0.8.1-3.

2004-05-23 0.8.1.27  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/chat.c, client/gtk/connect.c, client/gtk/histogram.c,
	client/gtk/name.c, common/game-settings.c, common/select-game.c,
	server/gnocatan-server-gtk.c: Removed *_DISABLE_DEPRECATED defines to
	allow the code to build with Gtk 2.4.
	* client/gtk/frontend.c, common/common_gtk.c: Replaced casts to
	gpointer with more portable GINT_TO_POINTER.
	* server/gnocatan-server-gtk.c: Added #include <locale.h>, needed when
	building with gcc flag -O0.
	* po/nl.po: Added dutch translations.
	
2004-05-04  Roland Clobus <rclobus@bigfoot.com>
	* po/de.po, po/es.po, po/nl.po, po/fr.po, po/gnocatan.pot: Updated
	translation files to reflect current texts. (No changes to translated
	texts)

2004-04-25 0.8.1.26 Released as Debian package, 0.8.1-2

2004-04-25 0.8.1.26  Roland Clobus <rclobus@bigfoot.com>
	* client/common/build.c (build_add), client/common/client.c
	(mode_load_gameinfo), client/common/client.h (build_add),
	common/buildrec.h (struct BuildRec), server/pregame.c (mode_pre_game):
	Reconnect fix when something was built in the current turn.
	* common/game-settings.c, common/game-settings.h,
	common/select-game.c, common/select-game.h, common/Makefile.am: New
	Gtk widgets for server and client.
	* client/gtk/connect.c: New connection scheme.
	* client/gtk/frontend.h: Cleanup connect_get_port_str.
	* client/gtk/gui.c: Replaced some deprecated icons.
	* client/gtk/name.c: Replaced deprecated code.
	* client/gtk/offline.c: Moved code regarding settings to
	client/gtk/connect.c.
	* meta-server/gnocatan-meta-server.c (debug): Prototype fix.
	* server/gnocatan-server-gtk.c: Replaced deprecated code, added
	tooltips, used new widgets
	* server/player.c, server/server.h: Some cleanup.
	
2004-04-25 0.8.1.26  Tobias Jakobs <tobias.jakobs@web.de>
	* client/gtk/data/splash.png: New image (400x400 pixels)
	* client/gtk/data/splash.svg: Source for splash.png

2004-04-25 0.8.1.25  Bas Wijnen <b.wijnen@phys.rug.nl>

	* client/callback.h (struct callbacks), client/common/client.c
	(client_init, check_other_players), client/common/player.c
	(player_stole_from), client/ai/greedy.c (greedy_new_statistics,
	greedy_player_robbed, greedy_get_rolled_resources,
	greedy_played_develop, greedy_init): added and used new callbacks for
	ai chatting.
	* client/gtk/callbacks.c (frontend_error, frontend_set_callbacks): gtk
	client callback cleanup.

2004-03-28 0.8.1.24  Roland Clobus <rclobus@bigfoot.com>
	* ai/client.c (mode_play_develop_response), ai/develop.c
	(can_play_develop), client/common/client.c
	(mode_play_develop_response), client/common/develop.c
	(can_play_develop): Less stringent check if Road building development
	card can be played.
	* client/common/callback.c (road_building_can_finish)m
	client/common/client.c (mode_road_building): Road building
	can be aborted when nothing can be built anymore.
	* client/common/develop.c (develop_played): Out of resource is
	a warning instead of an error.
	
2004-03-23 0.8.1.23  Roland Clobus <rclobus@bigfoot.com>
	* client/gtk/state.c (route_gui_event): Added #ifdef DEBUG
	
2004-02-29 0.8.1.22  Roland Clobus <rclobus@bigfoot.com>
	* client/common.client.c (mode_load_gameinfo): Fixed textual error.
	* server/pregame.c (mode_pre_game): Fixed bugs for viewers with
	ID >= MAX_PLAYERS.
	* server/gnocatan-server-gtk.c (gui_player_change), server/gold.c
	(distribute_next, distribute_first), server/player.c (next_player_num,
	player_setup, player_free, player_archive, player_is_viewer),
	server/pregame.c (mode_pre_game), server/server.h, server/trade.c
	(trade_finish_domestic, process_call_domestic, trade_begin_domestic):
	new function player_is_viewer.
	* common/state.c (sm_pop): Fixed too relaxed assertion.
	* client/gtk/chat.c (chat_build_panel, chat_set_focus): Avoided
	selection of chat entry text on every gui update.

2004-02-28 0.8.1.21  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/common/client.c (client_init): added initialisation for init
	and new_bank
	* client/common/resource.c (resource_format_type): added 'nothing'
	when nothing is offered in a trade
	
2004-02-08 0.8.1.20  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/common/player.c, client/gtk/gameover.c, common/common_gtk.c,
	common/log.c, common/log.h: Removed MSG_NAMEANON, added prefixes to
	log_message_string_console.
	* client/common/develop.c: Removed selected_card_idx that was
	originally used for the gtk interface.
	* client/gtk/state.c, common/log.c, common/network.c,
	common/network.h, common/state.c: Renamed LOG defines to DEBUG. Made
	the log more readable.
	* client/callback.h, client/common/client.c, client/gtk/callbacks.c,
	client/gtk/frontend.h, client/gtk/player.c, client/common/player.c:
	Added rename for viewers, viewers are shown in Player Summary again.
	* client/callback.h, client/common/callback.c, client/common/client.c,
	client/common/client.h, client/common/player.c,
	client/common/resource.c, client/gtk/callbacks.c: Added support in the
	client to count the resources in the bank.
	* client/gtk/player.c: Added plurals for several development cards.
	
2004-02-08 0.8.1.19  Bas Wijnen <b.wijnen@phys.rug.nl>, Roland Clobus <rclobus@bigfoot.com>

	* client/common/client.c (mode_road_building): Changed interpretation
	of argument of callbacks.roadbuilding to facilitate AI programs.

2004-02-08 0.8.1.18  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/callback.h, client/common/callback.c, common/state.c,
	common/state.h: Added cb_disconnect and sm_close
	
2004-02-06 0.8.1.17  Roland Clobus <rclobus@bigfoot.com>

	* client/gtk/player.c (player_show_connected_at_row): Fixed bug
	displaying random line below player icon.

2004-01-26 0.8.1.16  Roland Clobus <rclobus@bigfoot.com>

	* server/server.c (game_server_start): Show random seed in the server.

2004-01-25 0.8.1.15  Bas Wijnen <b.wijnen@phys.rug.nl>
	* common/state.c, common/state.h: Added a stackdump when overflow
	occurs.
	* client/common/client.c, common/state.c, common/state.h: Added
	sm_push_noenter, sm_pop_noenter, sm_goto_noenter, needed for the AI.
	* client/gtk/histogram.c: Added enter after last line

2004-01-15  Jeff Breidenbach  <jab@debian.org>

	* doc/Makefile.am, doc/gnocatan-meta-server.6,
	debian/gnocatan-meta-server.files: Added metaserver manpage.
	
2004-01-11 0.8.1.14  Roland Clobus <rclobus@bigfoot.com>

	* client/callback.h, client/common/client.c, client/common/turn.c,
	client/gtk/callbacks.c: renamed callbacks.dice to
	callbacks.rolled_dice.
	* client/gtk/callbacks.c, client/gtk/frontend.h,
	client/gtk/interface.c: renamed frontend_dice to frontend_rolled_dice.
	* client/gtk/callbacks.c (frontend_init_game): added histogram_init.
	* client/gtk/guimap.c, client/gtk/guimap.h: add color lightblue.
	* client/gtk/histogram.c, client/gtk/histogram.h: complete rewrite of
	the histogram diagram. Now fully scalable.
	* client/common/resource.c (resource_format_num): support "no
	resources" situation.

2004-01-11 0.8.1.13  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/callback.h, client/common/client.c, client/gtk/callbacks.c,
	client/gtk/frontend.c, client/gtk/ftontend.h, client/gtk/trade.c:
	Fixes bug with maritime trade
	* client/common/callback.c, client/gtk/offline.c: Fix for unknown host
	bug
	* ai/client.c: AI can handle auto-discard
	* configure.in, client/Makefile.am, client/callback.h,
	client/common/callback.c, client/ai/Makefile.am, client/ai/ai.c,
	client/ai/ai.h, client/ai/greedy.c: Added first version of the AI in
	the new structure.
	
2004-01-02 0.8.1.12  Roland Clobus <rclobus@bigfoot.com>

	* client/callback.h (struct callbacks), client/common/client.c
	(mode_start, mode_load_game, mode_load_gameinfo, mode_start_response),
	client/common/client.h, client/common/player.c (player_reset,
	player_reset_statistic), client/gtk/callbacks.c (frontend_init_game,
	forntend_start_game), client/gtk/frontend.h, client/gtk/player.c
	(player_clear_summary): Fix bug #866431: Play several games with same
	client.
	* client/gtk/callbacks.c (frontend_start_game), client/gtk/frontend.h,
	client/gtk/identity.c (top level, draw_building_and_count,
	expose_identity_area_cb, identity_draw, identity_set_dice,
	identity_build_panel, identity_reset): Fixed bug #824624: Polygons in
	identity panel disappear under dice.

2004-01-02 0.8.1.12  Bas Wijnen <b.wijnen@phys.rug.nl>

	* configure.in, Makefile.am, ai/Makefile.am, client/Makefile.am,
	client/common/Makefile.am, client/gtk/Makefile.am,
	client/gtk/data/Makefile.am, client/gtk/data/themes/Makefile.am,
	client/gtk/data/themes/FreeCIV-like/Makefile.am,
	client/gtk/data/themes/Iceland/Makefile.am,
	client/gtk/data/themes/Tiny/Makefile.am, client/help/Makefile.am,
	client/help/C/Makefile.am, common/Makefile.am, docs/Makefile.am,
	macros/Makefile.am, meta-server/Makefile.am, server/Makefile.am,
	rules.make (new file): Added support for --enable-debug to autogen.sh.
	* common/network.c, client/gtk/state.c: Give debugging output when
	--enable-debug is specified.

2004-01-02 0.8.1.11  Bas Wijnen <b.wijnen@phys.rug.nl>
	
	* common/Makefile.am, common/Makefile.am, common/authors.h: 
	Moved authors.h from client/common to common
	* client/common/i18n.c, client/common/gnocatan.c, client/common/i18n.h:
	Removed i18n.h and merged into client/callback.h
	* client/gtk/Makefile.am, client/gtk/frontend.h, client/gtk/gui.c:
	Removed directories in #include statements
	* client/Makefile.am, client/common/Makefile.am, client/callback.h:
	Moved callback.h from client/common to client
	
2004-01-02 0.8.1.10  Roland Clobus <rclobus@bigfoot.com>

	* client/gtk/legend.c (legend_create_dlg): The legend dialog now has a
	close button, like the other dialogs.
	* client/gtk/quote.c (top level, quote_build_page): The translation
	now works.
	* client/gtk/settingscreen.c (top level, add_setting_val,
	settings_create_dlg): Shuffled the boxed around in game settings
	dialog, for better layout, numbers (where possible) right aligned.
	* po/de.po, po/es.po, po/fr.po, po/nl.po, po/gnocatan.pot:
	Translations modified for the new string 'Reject Domestic Trade'.
	(still marked fuzzy, because I'm not a native speaker.)

2004-01-01 0.8.1.9  Bas Wijnen <b.wijnen@phys.rug.nl>
	* (nearly) all files: Removed compiler warnings when compiling with
	-Wall -W -Wpointer-arith -Wcast-qual -Wno-sign-compare
	-Waggregate-return -Wstrict-prototypes -Wmissing-prototypes
	-Wmissing-declarations -Wredundant-decls -Wnested-externs
	-Wwrite-strings.
	* client/common/modes.h: Removed
	
2003-12-30 0.8.1.8  Bas Wijnen <b.wijnen@phys.rug.nl>

	* client/common/build.c, client/common/callback.h,
	* client/common/client.c, client/common/setup.c,
	* client/gtk/frontend.h, client/gtk/interface.c: Removed dependency on
	BuildRec, modified prototype of callbacks.setup.

2003-12-29 0.8.1.7  Bas Wijnen <b.wijnen@phys.rug.nl>

	* client/common/build.c (build_move), client/common/callback.h
	* (top level, struct callbacks), client/common/client.c (top level,
	* client_init, mode_domestic_trade), client/gtk/callbacks.c
	* (frontend_trade, frontend_set_callbacks), client/gtk/trade.c
	* (trade_update, trade_perform_maritime, trade_perform_domestic): Fixed
	bug #863901: maritime quote doesn't disappear when resources are no
	longer available.
	* client/common/client.c (mode_discard, mode_domestic_trade),
	* client/common/player.c (player_build_add, player_build_remove): Code
	cleanup.
	* Added can_play_any_develop, get_devel_deck, get_bank, get_map,
	* callbacks.error, frontend_error: Preparation for new AI structure.
	* cb_place_robber, client_start, frontend_init: Changed prototype.

2003-12-28 0.8.1.6  Roland Clobus <rclobus@bigfoot.com>

	* client/common/player.c (player_has_quit): Fix for (null) receives...
	(Bug #865870).
	* clinet/gtk/player.c (calc_statistic_row): Fix for viewers.
	* client/gtk/name.c (name_create_dlg): Remove scrolling from name
	change dialog.

2003-12-25  Jeff Breidenbach  <jab@debian.org>

	* docs/Makefile.am: registered gnocatanai manpage

2003-12-21 0.8.1.5  Roland Clobus <rclobus@bigfoot.com>

	* po/nl.po: Improved translation.

2003-12-21 0.8.1.4  Bas Wijnen <b.wijnen@phys.rug.nl>

	* client/gtk/interface.c (frontend_discard_remove),
	client/gtk/discard.c (discard_player_did): Removed warning at
	automatic discard.

2003-12-21 0.8.1.3  Roland Clobus <rclobus@bigfoot.com>

	* ai/client.c, ai/greedy.c, ai/trade.c, client/common/callback.c,
	client/common/client.h, client/common/gnocatan.c,
	client/common/player.c, client/gtk/frontend.h, client/gtk/gui.c,
	client/gtk/player.c, common/game.c, server/gold.c, server/player.c,
	server/pregame.c, server/turn.c: Code cleanup.

2003-12-21 0.8.1.2  Roland Clobus <rclobus@bigfoot.com>

	* client/gtk/guimap.c (guimap_draw_hex): Fixed bug #230252; draw
	complete hex, not only robber/pirate area.

2003-12-21 0.8.1.1  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/common/callback.h: Added comments
	* client/common/callback.h, client/common/client.c (client_start),
	* client/common/gnocatan.c, client/gtk/callbacks.c,
	* client/gtk/frontend.h, client/gtk/offline.c: Changes to frontend
	initialisation

2003-12-21 0.8.1.1  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/common/Makefile.am: Generalized file generation for
	authors.h.
	* client/gtk/develop.c: Removed debugging statements.
	* client/gtk/interface.c (global, frontend_discard_remove,
	place_robber, frontend_robber): Fixed state bug (#863836).

2003-12-20  Bas Wijnen <b.wijnen@phys.rug.nl> and Roland Clobus
<rclobus@bigfoot.com>
	* theme/*/Makefile.am: Added Makefile.am in all directories
	* client/gtk/data/Makefile.am, client/gtk/theme.c,
	* client/gtk/guimap.c: renamed images directory to themes
	directory. splash.png moved to pixmap directory
	* po/fr.po, po/de.po: removed some obvious wrong fuzzy translations

2003-12-17  Roland Clobus <rclobus@bigfoot.com>
	* client/common/i18n.c, po/fr.po: Added french translation by Arnaud MALON
	<moko@geumeuleu.com>
	* client/common/i18n.c, client/gtk/gui.c: The untranslated language
	strings will be converted to UTF-8.

2003-12-16  Bas Wijnen <b.wijnen@phys.rug.nl>
	* All files except ai: Added proper copyright notice.
	* client/admin-gtk.c, client/build.c, client/client.c,
	client/client.h, client/chat.c, client/connect.c, client/develop.c,
	client/discard.c, gameover.c, gnocatan.c, gold.c, gui.c, gui.h,
	guimap.c, guimap.h, histogram.c, histogram.h, i18n.c, i18n.h,
	identity.c, legend.c, monopoly.c, name.c, player.c, player.h,
	plenty.c, polygon.c, polygon.h, quote.c, resource.c, road_building.c,
	robber.c, setup.c, settingscreen.c, stock.c, theme.c, theme.h,
	trade.c, turn.c: removed.
	* client/common/authors.h, client/common/build.c,
	client/common/callback.c, client/common/callback.h,
	client/common/chat.c, client/common/client.c, client/common/client.h,
	client/common/develop.c, client/common/gnocatan.c,
	client/common/i18n.c, client/common/i18n.h, client/common/modes.h,
	client/common/player.c, client/common/resource.c,
	client/common/robber.c, client/common/setup.c, client/common/stock.c,
	client/common/turn.c, client/gtk/admin-gtk.c, client/gtk/frontend.h,
	client/gtk/gui.h, client/gtk/guimap.h, client/gtk/histogram.h,
	client/gtk/polygon.h, client/gtk/theme.h, client/gtk/callbacks.c,
	client/gtk/chat.c, client/gtk/connect.c, client/gtk/develop.c,
	client/gtk/discard.c, client/gtk/frontend.c, client/gtk/gameover.c,
	client/gtk/gold.c, client/gtk/gui.c, client/gtk/guimap.c,
	client/gtk/histogram.c, client/gtk/identity.c, client/gtk/interface.c,
	client/gtk/legend.c, client/gtk/monopoly.c, client/gtk/name.c,
	client/gtk/offline.c, client/gtk/plenty.c, client/gtk/polygon.c,
	client/gtk/player.c, client/gtk/quote.c, client/gtk/resource.c,
	client/gtk/settingscreen.c, client/gtk/state.c, client/gtk/theme.c,
	client/gtk/trade.c: Added.
	Separated gui from network in client as a preparation to other
	clients, including the AI.

2003-12-02  Roland Clobus <rclobus@bigfoot.com>
	* client/gui.c, client/guimap.c: When applying a new theme, the tiles
	were not scaled correctly.
	* legend.c: When showing the legend tabpage, the client would crash when
	a scaled theme was active.
	* client/theme.c: the extra colors of the tile for gold were not
	correctly used.
	* client/theme.c: the board tile in the theme is never scaled, but
	tiled.
	* client/theme.h: the size of arrays in the struct MapTheme was
	defined by digits, not by constants in variable names.

2003-12-02  Roland Clobus <rclobus@bigfoot.com>
	* seafarers.game, seafarers-gold.game: removed unknown keyword.
	* Cube.game, Another_swimming_in_the_wall.game, Evil_square.game,

2003-12-06  Roland Clobus <rclobus@bigfoot.com>
	* client/client.c, client/player.c, common/common-gtk.c,
	* common/driver.h, common/game.c, common/state.c, common/state.h,
	* server/buildutil.c, server/glib-driver.c, server/glib-driver.h,
	* server/gnocatan-server-console.c, server/gnocatan-server-gtk.c,
	* server/gold.c, server/player.c, server/pregame.c, server/server.c,
	* server/server.h, server/turn.c: Fixed reconnect (excluding gold),
	client does not crash when added lots of viewers, some variable
	declarations moved for gcc-2.95 compatibility, replace the clist
	widget in server-gtk, removed calls to player_name, fixed server
	crash when reconnecting, server now keeps the current player by
	number, not by name.

2003-12-02  Roland Clobus <rclobus@bigfoot.com>
	* seafarers.game, seafarers-gold.game: removed unknown keyword.
	* Cube.game, Another_swimming_in_the_wall.game, Evil_square.game,

2003-12-11  Bas Wijnen <b.wijnen@phys.rug.nl>

	* server/trade.c: Fixed bug #848386, state stack overflow.  Allow
	asking for free resources in server.

2003-12-10  Roland Clobus <rclobus@bigfoot.com>
	* ai/greedy.c: Fixed AI to build only on land.
	* common/map_query.c: Fixed AI placing robber in water.

2003-12-05  Bas Wijnen <b.wijnen@phys.rug.nl>
	* common/build_rec.h, common/cards.h, common/common_gtk.h,
	common/cost.h: Added some #include statements
	* common/network.h, common/state.h: Removed the comma after the last
	value in the enum.
	
2003-12-02  Roland Clobus <rclobus@bigfoot.com>
	* seafarers.game, seafarers-gold.game: removed unknown keyword.
	* Cube.game, Another_swimming_in_the_wall.game, Evil_square.game,
	GuerreDe100ans.game, Mini_another_swimming_pool_in_the_wall.game:
	Added games by LT-P <LT-P@LT-P.net>
	* henjes.game: Added game by Robert Henjes <robert.henjes@web.de>
	* lorindol.game: Added game by Martin Brotzeller
	<lorindol@cip.informatik.uni-wuerzburg.de>
	* server/Makefile.am: changed to add the new games
	* server/gnocatan-server-gtk.c: raised the limit for victory points

2003-11-16  Roland Clobus <rclobus@bigfoot.com>
	* client/gui.c: Reduced startup window size for smaller displays.
	* client/player.c (player_build_add), server/pregame.c
	(send_gameinfo): Fixed bridges.

2003-11-05  Roland Clobus <rclobus@bigfoot.com>
	* server/gnocatan-server-gtk.c: Fixed bug 816848
	
2003-11-05  Roland Clobus <rclobus@bigfoot.com>
	* client/chat.c, client/player.c, common/log.c, common/log.h: Bug
	#826894: First message is not time stamped.
	
2003-11-05  Roland Clobus <rclobus@bigfoot.com>
	* ai/client.c, server/player.c, server/server.c: Refuse connection
	when a game is over.
	* common/game.c, common/game.h, server/gnocatan-server-gtk.c,
	server/server.c, server/server.h: Repaired -x option, implemented
	rudimentary restart.
	* client/Makefile.am, common/Makefile.am, */config-gnome.c,
	*/config-gnome.h: Moved config-gnome.* from client/ to common/
	* server/gnocatan-server-gtk.c: Added save settings.
	* server/gnocatan-server.c, server/gnocatan-server.h: Ordered the
	names of the games.

2003-10-29  Roman Hodek  <roman@hodek.net>

	* po/de.po: removed fuzzy tags, cared for two untranslated msgs,
	made some items sound better in German.
	* ai/monopoly.c (monopoly_player), client/monopoly.c
	(monopoly_create_dlg): joined the two messages for better
	translations, needed a tmp string for that.

2003-10-28  Roman Hodek  <roman@hodek.net>

	* server/gnocatan-server-console.c (main): New option -n to set
	hostname reported to metaserver (analogous field in GTK server).
	* meta-server/README.protocol: updated

2003-10-26  Jeff Breidenbach  <jab@debian.org>

	* docs/gnocatan*.6: added gnocatanai man page

2003-10-25  Roman Hodek  <roman@hodek.net>

	* server/meta.c (meta_send_details): send PROTOCOL_VERSION, not
	program VERSION.
	* meta-server/README.protocol: new file

2003-10-25  Roland Clobus <rclobus@bigfoot.com>
	* gnocatan.spec: Applied patch 829404 by Daniel Jensen
	* client/gui.c: Removed compiler warning introduced at 2003-10-19

2003-10-24  Jeff Breidenbach  <jab@debian.org>

	* debian/*: More scrollkeeper packaging fixes.

2003-10-20  Jeff Breidenbach  <jab@debian.org>

	* debian/rules, debian/control: Better scrollkeeper-ing.

2003-10-19  Roland Clobus <rclobus@bigfoot.com>
	* client/gui.c: Added word wrap to client messages window.

2003-10-17  Roland Clobus <rclobus@bigfoot.com>
	* ai/player.c, client/player.c, po/de.po, po/es.po, po/gnocatan.pot:
	Updated german translations.

2003-10-17  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/client.c, client/player.c, client/player.h: Fixed reconnect
	bug.
	* common/network.c, server/gnocatan-server.c: Fixed broken pipe bug.

2003-10-17  Bas Wijnen <b.wijnen@phys.rug.nl>
	* po/de.po, po/es.po, po/gnocatan.pot: Updated.
	* server/gnocatan-server-gtk.c: Improved code.
	* server/gnocatan-server.c: Ignored broken pipe.

2003-10-15  Bas Wijnen <b.wijnen@phys.rug.nl>

2003-10-14  Jason Long <jlong@messiah.edu>
	* INSTALL: removed note about requiring the Gnome prefix.
	* client/gui.c, server/gnocatan-server-gtk.c: replace gnome_pixmap_file
	with gnome_program_locate_file, which uses the application-specific
 	pixmap directory instead of Gnome's pixmap directory.
 	* server/Makefile.am: make DATADIR available to gnocatan-server-gtk.
	* client/trade.c: Fixed reconnect bug.
	* po/de.po, po/es.po, po/gnocatan.pot: Updated.
	* server/conquest+ports.game, server/conquest.game,
	server/four-islands.game, server/seafarers-gold.game,
	server/seafarers.game, server/x.game: Added pirate.

2003-10-15  Bas Wijnen <b.wijnen@phys.rug.nl>
	* README: Changed version number.
	* client/player.c: bugfix.
	* po/de.po, po/es.po, po/gnocatan.pot: updated.

2003-10-15  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c: Use new disconnect protocol.
	* client/build.c: Fixed ship move undo bug.
	* server/gold.c, server/robber.c, server/trade.c: Fixed viewer bugs.
	* po/de.po, po/es.po, po/gnocatan.pot: Updated.

2003-10-13  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/client.c, server/pregame.c: Added pirate position to
	reconnect info.
	* common/game.c, server/player.c, server/pregame.c, server/server.h:
	Bugfixes.
	* common/game.c, server/player.c, server/pregame.c: Bugfixes.

2003-10-12  Roland Clobus <rclobus@bigfoot.com>
	* client/admin_gtk.c, client/connect.c, common/network.c,
	common/network.h, common/state.c, meta-server/gnocatan-meta-server.c,
	server/gnocatan-server.c, server/meta.c: Changed net_free to NULLify
	the session, changed the metaserver connection dialog, fixed bug
	#717982, added metaserver redirections without port-number.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* AUTHORS: Added my name.
	* Makefile.am: Fixed make distcheck bug.
	* po/de.po, po/es.po, po/gnocatan.pot: Updated.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c, client/client.c: Fixed version conflict bug.
	* po/de.po, po/es.po, po/gnocatan.pot: Updated.

2003-10-10  Jason Long <jlong@messiah.edu>
	* Removed client/help/C/images/*.gif client/help/C/gnocatan.sgml,
	client/help/C/topic.dat; added xmldocs.make, omf.make,
	client/help/C/gnocatan.xml, client/help/C/gnocatan-C.omf,
	client/help/C/legal.xml, client/help/C/images/*.png; changed
	client/help/C/Makefile.am, Makefile.am, client/Makefile.am,
	client/gnocatan.c: bring Gnocatan help system up to Gnome2 standards.

2003-10-04  Roland Clobus <rclobus@bigfoot.com>
	* client/client.c,client/config-gnome.c,client/config-gnome.h,
	client/connect.c,client/gui.c,client/i18n.c: Settings dialog uses
	config-gnome.c. Removed French and Italian, due to unavailable
	translations. 

2003-10-04  Roland Clobus <rclobus@bigfoot.com>
	* client/gui.c,server/gnocatan-server-gtk.c: The application icons are
	now shown.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* common/game.c, common/map.c, common/map.h, common/map_query.c: Added
	support for nodes where setup is not allowed.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/client.c, client/player.c, client/player.h, common/game.h,
	server/server.h: Added arbitrary point tokens.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/identity.c, client/player.c, client/player.h,
	server/player.c, server/pregame.c: Finished viewer support.
	* common/map_query.c: Fixed bug with pirate.

2003-10-12  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/develop.c, server/player.c, server/server.h: Allowed multiple
	development cards of the same type.
	* client/client.c, server/discard.c, server/gold.c, server/robber.c,
	server/server.c, server/player.c, server/pregame.c, server/server.h,
	server/turn.c: Added support for viewers and disconnected players.
	* server/develop.c, server/player.c, server/pregame.c,
	server/resource.c, server/robber.c, server/turn.c: Cleanup.

2003-10-12  Jeff Breidenbach  <jab@debian.org>

	* debian/control, debian/changelog: prepare for 0.8.0 package

2003-10-11  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/greedy.c, client/client.c, client/client.h, client/guimap.c,
	client/robber.c, common/map.c, common/map.h, common/map_query.c,
	server/robber.c: Prepared client for pirates, bugfixes.
	* client/build.c, client/client.c. client/guimap.c, client/robber.c,
	client/turn.c, common/map.h, common/map_query.c, server/buildutil.c,
	server/robber.c server/server.h server/turn.c: Completed pirates in
	server and client.  Bugfixes.
	* common/log.c: Code cleanup.
	* server/gnocatan-server-gtk.c: Used message window for log.

2003-10-10  Bas Wijnen <b.wijnen@phys.rug.nl>
	* common/game.c, common/game.h, common/map.c, common/map.h,
	common/map_query.c, server/robber.c, server/turn.c: prepared server
	for pirates.

2003-10-10  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c: Fixed AI naming bug.
	* client/gui.c: Made code nicer, fixed bugs.
	* client/robber.c: Fixed language bug.
	* client/theme.c: Made code nicer, fixed scaling bugs.

2003-10-03  Roland Clobus <rclobus@bigfoot.com>
	* client/gold.c: Cosmetic change for the Choose Gold dialog.

2003-10-03  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/player.c: Bugfix.
	* server/buildutil.c: Fixed bug #817465.
	* server/gold.c: Removed debugging statement.
	* client/gui.c: Inserted startsize patch (fixes bug #722641).

2003-10-03  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/player.c: Bugfix.

2003-10-01  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c, client/client.c, server/player.c, server/pregame.c,
	server/server.c, server/server.h: Changed protocol for sending initial
	player name.
	* ai/client.c, client/client.c, server/player.c: Added extensions to
	protocol, to allow future features without needing a minor version
	change (which would break compatibility).

2003-09-30  Bas Wijnen <b.wijnen@phys.rug.nl>
	* many files, didn't record which: Fixed const<->non-const warnings
	introduced by previous 2 patches.
	* client/theme.c: Bugfixes in scaling tiles.
	* client/guimap.c: Improved code.
	* client/gui.c: Fixed settings update bug.

2003-08-17  Jason Long  <jasonlong@users.sourceforge.net>
	* client/admin-gtk.c, client/connect.c, client/discard.c,
	client/gameover.c, client/gui.c, client/histogram.c,
	client/legend.c, client/monopoly.c, client/name.c,
	client/plenty.c, client/settingscreen.c: use GtkDialog
	instead of deprecated GnomeDialog

2003-08-17  Jason Long  <jasonlong@users.sourceforge.net>
	* configure.in: remove references to macros directory and
	add checks for Gnome2
	* client/Makefile.am, common/Makefile.am, server/Makefile.am,
	ai/Makefile.am, meta-server/Makefile.am:
	use GNOME2_CFLAGS and GNOME2_LIBS or GLIB2_LIBS for INCLUDES
	and LDADD
	* client/connect.c: don't destroy cserver_dlg a second time
	* client/gui.c (gui_draw_hex, gui_draw_edge, gui_highlight_chits,
	expose_map_cb), client/guimap.c (redraw_node): fixed some
	drawing issues (Gnocatan was trying to draw to the backing
	store before it was created)
	* client/gui.c (build_messages_panel), common/common_gtk.c,
	server/gnocatan-server-gtk.c (build_interface): use
	GtkTextView instead of deprecated GtkText
	* client/gui.c (register_gnocatan_pixmaps): use GtkIconFactory
	instead of deprecated gnome_stock_pixmap_register
	* client/guimap.c (guimap_terrain), client/theme.c: use
	GdkPixbuf instead of Imlib
	* client/config-gnome.c, client/gui.c, client/i18n.c,
	client/identity.c, server/gnocatan-server-gtk.c: miscellaneous
	changes for Gnome2

2003-09-29  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c, client/client.c, server/turn.c: made ship move back
	more logical in protocol.
	* server/buildutil.c, server/buildutil.c: bugfixes.
	* common/map_query.c: Made query more general.

2003-09-29  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/buildutil.c, server/server.h, server/turn.c: Fixed longest
	road bug.
	* ai/client.h: Fixed bug.
	* client/client.c, server/buildutil.c, server/develop.c,
	server/pregame.c, server/server.h, server/turn.c: Changed undo protocol
	to let the server do the thinking.
	* server/turn.c: Fixed bug #698611

2003-09-28  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/gnocatan-server-gtk.c: Fixed UI bug in sevens rule.

2003-09-28  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/ai.c, ai/client.h, ai/greedy.c: Chat when aborting a game with
	gold.  Function is not actually implemented yet.
	* client/client.c, client/client.h, client/gold.c: Fixed bugs in
	gold and changed some states from goto to push/pop.
	* common/buildrec.h: Preparing to fix longest road undo bug.
	* common/map_query.c, server/buildutil.c: Fixed longest road bug.
	* server/develop.c, server/discard.c, server/gold.c, server/player.c,
	server/pregame.c, server/robber.c, server/server.h, server/trade.c,
	server/turn.c: Fixed bugs and changed most states from goto to
	push/pop.
	* docs/server_states.fig, docs/client_states.fig, docs/README.states:
	New files documenting the (new) state model of server and client.

2003-09-26  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c, ai/computer.h, ai/greedy.c: AI crashed when there
	was gold in the game.  Now it exits gracefully.

2003-08-15  Roland Clobus <rclobus@bigfoot.com>
	* common/Makefile.am, meta-server/Makefile.am, po/Makefile.in.in: 
	'make distcheck' aborted with an error.  Removed reference to
	non-existing po/Changelog and updated the generation of
	common/gnocatan-path.h
	* po/de.po, po/es.po, po/gnocatan.pot: Changed automatically (line
	numbers in comments) by make distcheck.

2003-09-25  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/greedy.c: Fixed bug.
	* server/player.c, client/player.c, client/client.c: Fixed bug.
	* common/map_query.c, server/gold.c: Fixed incorrect C.

2003-08-15  Yusei <yusei@ragondux.com>
	* server/player.c: fixed a bug with anonymous players that caused the
	first player to get their turn.

2003-08-15  Roland Clobus <rclobus@bigfoot.com>
	* client/legend.c: fixed text-display for gold in legend-dialog

2003-09-25  Bas Wijnen <b.wijnen@phys.rug.nl>
	* ai/client.c: Let ai prefer 2:1 trade.

2003-08-18  Roland Clobus  <rclobus@bigfoot.com>
	* client/client.c, server/resource.c, ai/client.c, ai/greedy.c,
	ai/client.h: Fixed bug 652707. The ai now correctly handles the
	out-of-resource-card situation. Also the client is fixed. As a side
	effect, I enabled the 2:1 trade for the AI.  Applied with minor
	changes by Bas Wijnen.
	
2003-09-25  Bas Wijnen <b.wijnen@phys.rug.nl>
	* po/de.po: Fixed a translation.

2003-08-14  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/gold.c, client/gold.c: fixed bug that gold was not taken out
	of the bank.  Added support for giving out gold during setup.  Fixed
	display of gold choosing dialog (update bank etc).

2003-08-14  Bas Wijnen <b.wijnen@phys.rug.nl>
	* server/pregame.c server/gold.c server/server.h: gold is now also
	given out in setup phase.

2003-08-14  Bas Wijnen <b.wijnen@phys.rug.nl>
	* client/themes/Iceland/theme.cfg: Made the Iceland theme use its gold
	tile.

2003-08-14  Yusei <yusei@ragondux.com>
	* new file client/ship_move.c; common/game.c, client/gui.c,
	client/Makefile.am, common/common_gtk.c: Fixed truncated long lines
	from server, added a ship move icon, added possibility to make message
	window a fifo.

2003-08-09  Roland Clobus  <rclobus@bigfoot.com>
	* client/player.c: Keep showing the names and scores of disconnected
	players. Now you can see the scores of the other players at the end
	of the game.
	
2003-08-03  Roland Clobus  <rclobus@bigfoot.com>
	* client/client.c, client/client.h, client/develop.c, client/player.c,
	client/player.h, client/resource.c: Fixed bug 600765. The client can
	now play several consecutive games, restart is not needed anymore.

2003-08-02  Bas Wijnen  <b.wijnen@phys.rug.nl>

	* new files client/gold.c, client/gold.png, server/gold.c,
	server/seafarers-gold.game; configure.in, client/Makefile.am,
	client/admin-gtk.c, client/client.c, client/client.h, client/gui.c,
	client/gui.h, client/guimap.c, client/legend.c, client/resource.c,
	client/theme.c, client/theme.h, common/map.c, common/map.h,
	common/network.h, po/Makefile.in.in, server/Makefile.am,
	server/glib-driver.c, server/gnocatan-server.c, server/player.c,
	server/pregame.c, server/resource.c, server/server.h, server/turn.c: 
	Some bugfixes, added support for gold terrain.  Set version to 0.8.0
	due to changes in the protocol.

2003-07-26  Bas Wijnen  <b.wijnen@phys.rug.nl>

	* ai/client.c, ai/player.c, ai/player.h, client/build.c,
	client/client.c, client/client.h, client/gui.c, client/guimap.c,
	client/player.c, client/player.h, client/turn.c, common/buildrec.c,
	common/map.h, common/map_query.c, common/state.c, server/buildutil.c,
	server/server.h, server/turn.c: Added sailing of ships.

	* Fixed bug that ships may disappear on reconnect.

2003-07-19  Bas Wijnen  <b.wijnen@phys.rug.nl>

	* ai/greedy.c: Fixed ai building bug 772865
	
	* server/gnocatan-server-gtk.c, server/meta.c, server/server.h:
	Added "Send hostname" for metaserver to allow masqueraded hosts to
	show correctly (they need a forwarded port).

	* server/player.c, server/pregame.c: Fixed bug 770314.

	* common/map_query.c: New longest road algorithm, fixes bugs
	  #762927 and #774107.

2003-07-04  Bas Wijnen  <b.wijnen@phys.rug.nl>

	* client/gui.c: Added hotkey support for standard actions

2003-05-31  Jeff Breidenbach  <jab@debian.org>

	* Security fixes courtesy of Bas Wijnen

2003-02-21  Jeff Breidenbach  <jab@debian.org>

	* debian/rules: Adjusted .deb build rules to Steve's suggestion.
	  Allows debuild to run from pristine CVS checkout while still
	  allowing debian/ tweakers to avoid some build latency.

2003-02-14  Andy Heroff  <aheroff@ameritech.net>

	* server/player.c: Fixed several GList usage issues in player
	  reconnection code. Need to always store the return value from
	  an append or remove, also don't need to allocate a list node
	  when the GList pointer is NULL. NULL is considered the empty
	  list value.

	* server/turn.c: Check for NULL player when trying to hand out
	  resources after a roll. We can run into this if a player drops
	  and a roll occurs while he is disconnected. Fixes bug 621358,
	  but creates bug 686956.

2003-02-13  Andy Heroff  <aheroff@ameritech.net>

	* Batch fix of bugs 205475, 480328, 482336, 482744. Cleaned up
	  compiler warnings.

	* ai/ai.c: Removed goto. Added warning when the computer names file
	  can't be found.

	* server/gnocatan-server-console.c: Added printing of usage
	  information if attempt to start server returns FALSE.

	* server/gnocatan-server.c: Added missing CR to log message. Changed
	  g_error call to g_critical call when game params are not found to
	  prevent server from exiting at that point, also allowing the call
	  to return FALSE in that case.

2003-02-11  Andy Heroff  <aheroff@ameritech.net>

	* server/trade.c: Fixed SF bug 660814 regarding server crash during
	  trading. Wrong quote list nodes were being deleted when a new
	  quote was issued which removed a request for a resource for which
	  there was already a quote on the table.

2003-01-24  Steve Langasek  <vorlon@debian.org>

	* client/settingscreen.c, po/gnocatan.pot, po/de.po: fix misspelling.

	* po/es.po: translation improvements.  Although only 60% of the
	  gettext strings are translated, the game is now almost
	  completely playable in Spanish.

	* debian/rules: tweak Debian build script so that we can skip
	  certain developer-only tasks, and so we don't end up with an
	  extra changelog in the directory.

2003-01-23  Steve Langasek  <vorlon@debian.org>

	* client/connect.c, common/meta.h: automatically upgrade the
	  metaserver setting to one that works if the old metaserver is
	  saved in the client settings.

2003-01-21  Steve Langasek  <vorlon@debian.org>

	* client/client.h, client/resource.c, client/monopoly.c,
	  client/player.c: use caller-provided buffer for
	  resource_cards(), to eliminate the previous kludge :)

2003-01-21  Roman Hodek  <roman@hodek.net>

	* po/de.po: Fixed a few German translations after Steves changes
	below.

	* client/resource.c (resource_cards): let it use two alternating
	static buffers, because this function is sometimes called twice as
	function argument.

2003-01-21  Steve Langasek  <vorlon@debian.org>
	* client/client.c, client/client.h, client/player.c,
	  client/resource.c, client/trade.c: extensive reworking of
	  string handling for better i18n support.  The code still needs
	  some work to not depend on English-style plural rules, but the
	  game should now be sanely translatable to a wide range of
	  languages.

	* po/de.po, po/es.po, po/gnocatan.pot: update the Spanish and
	  German translations in accordance with the above.

2003-01-19  Roman Hodek  <roman@hodek.net>

	* po/gnocatan.pot: rebuilt

	* po/de.po, po/es.po: updated from new .pot; de is fixed already
	(not many changes...), es still needs more translations
	
	* ai/greedy.c: AI chat spelling fixes by Tril <tril@tunes.org>

	* client/trade.c (is_domestic_trade_allowed): patch by Tril
	<tril@tunes.org>: allow trade even if nobody has the resource in
	question, in case somebody wants to give away for free :)

	* gnocatan.spec: applied patch by Daniel Jensen
	<jensend@iname.com>, adding manpages and fixing images (release 3)

2003-01-16  Steve Langasek  <vorlon@debian.org>
	* common/meta.h, meta-server/meta-report: change to using
	  gnocatan.debian.net as the default metaserver instead of
	  the defunct term1.dccs.com.au.

2003-01-15  Jeff Breidenbach  <jab@debian.org>

	* themes.c: incorporate string terminator patch from Hal Eisen

2003-01-15  Steve Langasek  <vorlon@debian.org>
	* gnocatan.spec: RPM packaging updates from Daniel Jensen

2003-01-14  Steve Langasek  <vorlon@debian.org>
	* client/Makefile.am: add an explicit dependency on authors.h to
	  make sure it's generated when we need it.

2003-01-12  Jeff Breidenbach  <jab@debian.org>

	* AUTHORS: adjust my email

2003-01-12  Steve Langasek  <vorlon@debian.org>
	* ai/Makefile.am: don't link GNOME libs for a binary that has
	  no gui.

2003-01-11  Steve Langasek  <vorlon@debian.org>
	* client/Makefile.am, client/guimap.c, client/theme.c,
	  debian/rules: further refine the placement of image files.

	* configure.in, ai/client.c, ai/develop.c, ai/player.c,
	  ai/resource.c, client/chat.c, client/client.c,
	  client/develop.c, client/player.c, client/resource.c,
	  client/settingscreen.c, po/de.po, po/es.po, po/gnocatan.pot:
	  Gettext enhancements: don't construct strings by
	  concatenation, don't mark strings for translation with _N()
	  that are non-translatable (such as '%s').
	  Add Spanish to the list of supported languages and begin
	  localizing.
	  Revert accidental breakage of the de.po file.

	* server/Makefile.am, server/gnocatan-server-gtk.c:
	  fix the directory lookup for game themes

2003-01-10  Steve Langasek  <vorlon@debian.org>
	* docs/Makefile.am, docs/gnocatan.6, docs/gnocatan-server-gtk.6,
	  docs/gnocatan-server-console.6, Makefile.am, configure.in,
	  docs/.cvsignore, debian/gnocatan-server-console.files,
	  debian/gnocatan-server-gtk.files, debian/rules: add 
	  preliminary manpages.	  

	* debian/gnocatan-server-console.undocumented, 
	  debian/gnocatan-server-gtk.undocumented,
	  debian/gnocatan-client.undocumented:
	  Not undocumented anymore.

2003-01-09  Steve Langasek  <vorlon@debian.org>
	* AUTHORS, client/Makefile.am, client/gui.c, po/gnocatan.pot,
	  po/de.po: bring the AUTHORS file up-to-date, and autogenerate
	  the about box list from this file.	  

	* client/Makefile.am: s/pixmap_DATA/image_DATA/, to please
	  automake.

2003-01-08  Steve Langasek  <vorlon@debian.org>

	* client/theme.c: use a more portable variadic macro
	  syntax, to address OS X concerns

	* server/gnocatan-server.desktop, server/Makefile.am: add a
	  GNOME desktop entry for the GTK server, so it's easier to
	  start from the menu.

	* ai/Makefile.am, client/Makefile.am, common/gnocatan-path.h.in,
	  server/Makefile.am, debian/dirs, debian/gnocatan-ai.files,
	  debian/gnocatan-server-data.files, debian/rules, gnocatan.spec,
	  server/gnocatan-server.c: move /usr/share/gnocatan to
	  /usr/share/games/gnocatan, per the FHS; move
	  things-that-are-not-pixmaps out of /usr/share/pixmaps.

2003-01-01  Jeff Breidenbach  <jab@debian.org>

	* debian/gnocatan-meta-server.init: privilige reduction

	* debian/control: adjust dependencies, add co-maintainers.

	* debian/changelong: prepare for upload to Debian

2002-12-25  Roman Hodek  <roman@hodek.net>

	* configure.in: Some changes to make it work with autoconf2.50 and
	automake-1.7.
	Set version to 0.7.1.90 [internal snapshot]

	* depcomp, po/ChangeLog: new

	* acconfig.h: removed obsolete file

	* Makefile.am (distclean-local): remove some more stuff

	* gnocatan.spec: applied patch by Brian Wellington

	* client/player.c (player_has_quit): remove player also from
	internal list for a more meaningful message on reconnection.

	* server/player.c, server/pregame.c, server/server.h: remove
	redundant is_game_full variable and replace by
	game->num_players == game->params->num_players
	
	* server/player.c (player_revive): send an explicit note to
	players that a reconnection has happened

	* server/player.c (player_set_name): explicitly tell if name was
	already in use and so why one is 'anonymous'

2002-07-22  Roman Hodek  <roman@hodek.net>

	* client/Makefile.am (install-data-hook): fix silly thinko.

2002-07-21  Roman Hodek  <roman@hodek.net>

	* 0.7.1 released!!
	
	* debian/changelog, gnocatan.spec: bump version number to 0.7.1.
	
	* client/gui.c (menu_settings_cb): use GTK_EXPAND attribute in x
	dir (looks better). Delay signal_connect calls for language
	buttons to avoid gtk assertion failures.

	* client/Makefile.am: omit CVS dirs for theme file installing and
	exporting

	* client/help/C/Makefile.am: $(DESTDIR) was missing

2002-07-09  Roman Hodek  <roman@hodek.net>

	* ai/greedy.c: Introduce better, situation-related chat messages.

	* ai/client.c (client_chat): obey chatty parameter, call
	computer_funcs.chat() with occasion parameters

	* ai/client.c: added hooks for client_chat()

	* ai/client.h, ai/computer: changed prototypes for client_chat()
	et al.

	* po/de.po: updated	
	
2002-07-06  Jeff Breidenbach  <jeff@jab.org>

	* debian/rules: package upstream changelog, readme

2002-07-06  Roman Hodek  <roman@hodek.net>

	* theme.c, theme.h: new files for theme handling

	* client/Makefile.am: added theme.[ch], added hook for installing
	theme data

	* client/gnocatan.c: call init_themes()

	* client/gui.c (menu_settings_cb, settings_apply_cb): new option
	menu to select theme added to setting dialog

	* client/guimap.c: in many places replace hardcoded pixmaps/colors
	by what's defined in current theme

	* client/guimap.h: New parameter 'terrain' for draw_dice_roll().

	* client/histogram.c: pass new parameter to draw_dice_roll().

	* po/de.po: updated

2002-06-19  Jeff Breidenbach  <jeff@jab.org>

	* debian/rules: adapt to non-temporary Makefile.in files

2002-06-17  Roman Hodek  <roman@hodek.net>

	* ai/ai.c (main): result of getopt must be stored in an int.

	* client/connect.c (connect_create_dlg): saved_meta_server must be
	strdup-ped if coming from env or fixed str.

2002-06-12  Jeff Breidenbach  <jab@debian.org>

	* debian/control: package description tweaks 

2002-06-09  Roman Hodek  <roman@hodek.net>

	* ai/greedy.c (greedy_consider_quote, trade_desired), ai/trade.c,
	ai/client.c: new functions to make AI respond to trade requests;
	maybe not really clever yet, but at least a start.
	Again removed some unnecessary printf()s.

	* ai/greedy.c (best_road_to_road_spot): don't set up roads on sea.
	
	* ai/client.c (mode_year_of_plenty): send plenty selection _after_
	receiving what is in bank to avoid protocol error.

	* client/client.c (mode_game_over): accept all messages in
	mode_game_over to avoid error messages.

	* client/monopoly.c: added #include "config.h" before gnome.h to
	make gettext work

	* common/state.c (sm_pop_all_and_goto): new func to avoid
	undefined state after sm_pop_all().

	* client/client.c (check_other_players): when receiving game won
	message, use sm_pop_all_and_goto(), otherwise it can happen that
	the NET_CLOSE event is already received during processing of the
	sm_goto() and the state is undefined and an assertion fails.

	* server/gnocatan-server.c (cfg_set_*): check for params != NULL.

2002-06-07  Jeff Breidenbach  <jab@debian.org>

	* debian/contol: merge debian packaging update

2002-06-06  Roman Hodek  <roman@hodek.net>

	* configure.in, acconfig.h: export ALL_LINGUAS to config.h

	* client/i18n.[ch]: new files for language setting handling
	handles available languages, initializing NLS from saved setting
	or environment, and changing language

	* client/Makefile.am: added i18n.[ch]

	* client/gnocatan.c (main): call init_nls() instead of doing stuff
	itself

	* client/gui.c: make settings dialog have separate pages, now that
	the number of setting grows...
	new page for language setting (TODO: dynamic GUI switch!)

	* po/de.po: updated

2002-06-03  Roman Hodek  <roman@hodek.net>

	* client/gui.c (splash_build_page): use a viewport widget around
	the splash pixmap to avoid it is drawn over the tab area if space
	is too small for it.

	* po/.cvsignore, intl/.cvsignore: new

2002-06-02  Roman Hodek  <roman@hodek.net>

	* configure.in: bumped version to 0.7.1 (prelim.), enabled NLS

	* client/chat.c (chat_set_focus): new function to grab focus for
	chat entry window (to not have to type on it all the time...)
	client/client.c: call chat_set_focus in various places

	* everywhere: run gettextize to create po/ subdir, change
	configure.in and Makefiles for gettext, created German
	translation, add more _() marks in a bunch of places, include
	config.h where needed before gnome.h

	* ai/client.c: one more exit fix, remove some unnecessary printfs.

	* ai/*.c: started to prepare AI player for domestic trade
	
	* client/histogram.c: Force histogram_dlg and table to NULL if
	dialog is closed. 

	* maintained */.cvsignore
	
2002-05-31  Roman Hodek  <roman@hodek.net>

	* meta-server/gnocatan-meta-server.c (client_create_new_server): 
	revert -m localhost to -r

2002-05-28  Andy Heroff  <aheroff@ameritech.net>

	* client/chat.c: Fixed parsing of /me command in chat.

2002-05-27  Roman Hodek  <roman@hodek.net>

	* 0.7.0 released!!
	
	* configure.in, gnocatan.spec, debian/changelog: bumped version to
	0.7.0.

	* server/pregame.c, ai/greedy.c, common/map_query.c: catched a
	bunch of NULL pointer accesses revealed by 'The Pond' that isn't
	totally surrounded by sea.

	* INSTALL, README: modernized a bit

	* server/Makefile.am: added $(includedir) to INCLUDES so that
	gdk_imlib.h is found in all cases.

2002-05-24  Roman Hodek  <roman@hodek.net>

	* configure.in: set default prefix to output of gnome-config
	--prefix (if available)

	* common/Makefile.am: new rule to generate gnocatan-path.h from
	gnocatan-path.h.in with datadir and bindir substituted

2002-05-23  Roman Hodek  <roman@hodek.net>

	* client/histogram.c: if new value is registered, update the
	graph; this revealed that the drawing worked only by incident, the
	curve area overlayed the bars... solution was to draw bars and
	curve in the same expose callback.

	* common/common_gtk.c (check_gtk_widget): Work around a GTK bug:
	if mouse is inside a toolbar button that becomes sensitive (e.g.
	the "Roll Dice" button), you had to move out and in the mouse
	before you could click.

	* server/gnocatan-server-console.c (main): added new option -m to
	set metaserver name

	* server/gnocatan-server-gtk.c (build_interface): added new field
	for metaserver name

	* server/meta.c: make name of metaserver to connect to a global var

	* client/connect.c (create_server_dlg): remove "start server"
	button in create server dialog, and use standard OK/Cancel buttons
	instead. (I finally found out how to do this :)

2002-05-22  Roman Hodek  <roman@hodek.net>

	* client/gui.c: new option to show legend as a page besides the
	map (someone with lack of screen space for the dialog suggested
	that)

	* client/legend.c (legend_create_content): separated out from
	legend_create_dialog so legend page can use same code

	* client/gui.c: two new checkboxes in the settings dialog to
	disable use of colors in the message window and player summary.

	* common/common_gtk.c (log_set_func_message_color_enable): new
	interface to en/disable colors in message window
	(message_window_log_message_string): if msg_colors is false, use
	black

	* client/player.c (player_modify_statistic): obey
	color_summary_enabled

2002-05-21  Roman Hodek  <roman@hodek.net>

	* client/help/C/gnocatan.sgml: Updated with respect to recent
	developments/changes, updated some images to match current
	looking.

	* meta-server/gnocatan-meta-server.c (client_create_new_server):
	Pass full hostname to created servers in environment. Otherwise
	the server will register to the metaserver as running on
	"localhost" and it won't be reachable from outside.

	* debian/gnocatan-ai.menu: Fix typo ('-' too much again)

	* debian/gnocatan-meta-server.conffiles: init.d files is a conffile

2002-05-20  Jeff Breidenbach  <jab@debian.org>

	* Fix splash screen packaging bug.

2002-05-20  Roman Hodek  <roman@hodek.net>

	* client/gui.[ch], client/client.c: on startup show a splash
	screen that disappears on the first connect. Image contributed by
	Tobias Jakobs.
	
	* client/gui.c (help_about_cb): collected more names from
	the ChangeLog and added them to the about box.

	* client/histogram.c: paint chips as x axis labelling like on map;
	probability is a triangle rather Gaussian!! fix drawing.

	* client/guimap.c (display_hex): separate out drawing of dice chip
	into draw_dice_roll (needed by histogram also now).

	* ai/client.c (global_filter): if net connection was close, print
	message and exit.
	
	* client/client.c (global_filter): likewise, but set status to
	offline.

	* client/histogram.c: added y axis labelling, draw normal
	distribution

	* server/server.c (new_computer_player): close inherited fd's, use
	_exit normally to avoid GTK atexit procedures running.

	* deian/gnocatan-ai.menu: fix typo

2002-05-19  Roman Hodek  <roman@hodek.net>

	* Release 0.6.99 here as beta for 0.7.0.
	
	* client/connect.c (build_create_interface): new spin for number
	of ai players.

	* ai/ai.c (random_name): don't open computer_names in rw mode;
	added srand to avoid rather likely case that two ai players
	started closely together choose the same name.

	* server/player.c: made tournament mode work;
	Added PB_SILENT mode for player_broadcast.

	* server/server.c (new_computer_player): new argument 'server'
	(for completeness), simplify a bit, start a second child to avoid
	zombies

	* server/gnocatan-server-console.c: new -c option to start a
	number of computer players

	* meta-server/gnocatan-meta-server.c (client_create_new_server):
	parse number of ai players and pass it on to server

	* ai/Makefile.am: remove admin-gtk stuff, obviously copied from
	client/Makefile.am

	* Makefile.am (dist-hook): added spec file, autogen.sh, and debian
	files to dist tarball

	* server/Makefile.am: added new games

	* common/Makefile.am: added gnocatan-path.h

	* client/help/C/Makefile.am (dist-hook): add images to dist tarball

	* gnocatan.spec: best-effort try to implement same sub packages
	scheme as for Debian, but untested
	
	* debian/control: added Recommends: gnocatan-ai to both server
	packages, as they can start ai clients

2002-05-16  Roman Hodek  <roman@hodek.net>

	* client/chat.c (chat_parser): Fix /me.

	* meta-server/gnocatan-meta-server.c (client_create_new_server): 
	Emit an syslog error message if server cannot be exec-ed.

	* Make everything compile also with -Werror.
	
	* debian subdir:
	New package layout:
	- merge -data into -client, data are too small to justify a
	separate Arch: all package
	- split -server into -server-gtk, -server-console (much less
	dependencies!), and -server-data (common stuff)
	- new -meta-server and -ai packages
	A few debian/rules cleanups.

2002-05-13  Roman Hodek  <roman@hodek.net>

	* client/connect.c (show_waiting_box, close_waiting_box): new
	dialog box indicating the we're waiting for an answer from a meta-
	server
	add net functions for querying metaserver about game types and
	creating a new server
	(meta_notify): parse welcome line for protocol version, send own
	version, parse proto 1.0 data
	(create_server_dlg): new dialog for creating a new game server via
	metaserver
	(create_meta_dlg): add proto 1.0 data (victory points, sevens
	rule) and a button to create a new server (if proto >= 1.0)

	* client/client.c: implemented server notes (not used yet).

	* client/chat.c: implemented IRC-compatible /me.
	
	* ai/ai.c: use gnocatan-path.h

	* server/player.c (check_versions): ignore rightmost number (after
	final '.') because patchlevel changes shouldn't make protocol
	incompatible, otherwise simplify
	(mode_bad_version, mode_game_full): send ERR to client
	(mode_global): call start_timeout

	* server/server.c (game_server_start): pass Game* to
	meta_send_details
	implemented timeout to exit server after some time without
	players.
	
	* server/server.h (struct Game): add client_version
	(prototypes): pass Game* to meta_send_details

	* server/gnocatan-server.h: use gnocatan-path.h

	* server/meta.c (meta_send_details): send proto 1.0 data if server
	can take it, need Game* as argument for current number of players
	(meta_event): parse welcome message for version, send own version
	generally pass Game* instead of GameParams* to meta_send_details

	* server/gnocatan-server.c (cfg_set_timeout): new

	* server/gnocatan-server-console.c (main): new options -k (kill
	server after some with no players), -T (terrain type),
	remove unneeded optarg for -r
	(usage): clean up

	* meta-server/gnocatan-meta-server.c (struct Client): add
	protocol_{major,minor}
	(client_list_servers): send more data for proto 1.0 clients
	(client_list_types): new function to list available game types
	(client_create_new_server): new function to start a game server on
	client request
	(try_make_server_complete): cope with proto 0 clients
	(client_process_line): process proto 1.0 requests and version info
	coming from client
	(select_loop): call new reap_children to get rid of zombie servers
	(setup_accept_sock): loop over addrinfos to not miss the IPv4 one :)
	(setmyhostname): new, hostname needed when starting a server
	(general): undefine LOG
	(general): do some logging via syslog

	* meta-server/meta-report: New calling syntax:
	meta-report [request [server [protocol]]]
	defaults: request=client, server=$GNOCATAN_META_SERVER, protocol=1.0

	* meta-server/Makefile.am: also include from common/

	* common/network.c:
	(write_ready, net_write): protect against closed sessions.
	PF_UNSPEC cleaner than AF_UNSPEC.
	Undefine LOG.

	* configure.in: introduce META_PROTOCOL_VERSION,
	  bump version to 0.6.99 (beta for 0.7.0)
	
	* acconfig.h: added META_PROTOCOL_VERSION

2002-05-06  Roman Hodek  <roman@hodek.net>

	* ai/greedy.c, ai/client.h: Fix "no prototype for foobar" warnings
	by introducing some statics and a new prototype.

	* Merged in latest Debian version (0.6.1-6), including:
	   - IPv6 support by using getaddrinfo()
	   - my connect dialog changes that add a new field for naming the
	     metaserver to contact

	* Added new games in server/, contributed by <piman@sacredchao.net>:
	  canyon.game conquest.game  pond.game square.game star.game x.game
	  And one extended by me to have ports:
	  conquest+ports.game 
	
2002-03-10  Steve Langasek <vorlon@dodds.net>

	* clean up the SGML handling so that it matches the behavior of 
	  the Debian tools (which everyone seems to be using).

2002-03-10  Andy Heroff <aheroff@ameritech.net>

	* Modified call to execv, as per SF bug 482743.

2002-03-10  Steve Langasek <vorlon@dodds.net>

	* Begin cleaning up the source to make it usable again.
	* Bump the protocol version, since, well, that's what you're 
	  supposed to do when you change the bloody protocol.

2001-05-29  David Fallon <davef@tetsubo.com>

	* Added Geoff Hanson's <gwhizz@usa.net> reconnect patch. The short version
		of how this works is when someone disconnects, instead of the usual
		cleanup, player_archive is called which saves the names of the
		disconnected individuals. On all connects, the player name is
		searched for to see if this is a player that has been archived,
		and if so, the player_revive function is called to bring them back.
		There's also a new gameinfo struct that is used to pass the game
		state back to the client. Note, if we ever have a gnocatan
		tournament, we'll have some security problems, but that's okay as
		there's no other security anyways. 
	* Changed client/build.c, client.c, client.h, develop.c, player.c, player.h
	* Changed server/develop.c, discard.c, player.c, pregame.c, robber.c,
		server.h, trade.c, turn.c

2001-03-09  Matt Waggoner  <matt@waggoner.com>

	* One of the official rule variants for Settlers of Catan is
	to disallow rolling a 7 on the first two rounds.  This has been
	added as a feature of gnocatan, as well as an additional variant:
	always reroll 7s.  These are accessed from the console server
	with the "-R n" parameter (n = 0 is normal, n = 1 is no 7s on first
	2 turns, and n = 2 is reroll all 7s), and via radio buttons in
	the GTK+ server.

2001-03-06  Matt Waggoner  <matt@waggoner.com>

	* Changed some more chat text colors; added a color for the
	beep message.

2001-03-03  Dave Cole <dave@dccs.com.au>

	* client/client.c: Fixed bad explanation in comment.

2001-03-02  Matt Waggoner  <matt@waggoner.com>

	* client/connect.c: fixed a minor bug with the server MRU list.

2001-03-01  Matt Waggoner  <matt@waggoner.com>

	* client/connect.c and client/client.c: Changed the server MRU
	list so that it also handles the user name, not just the server
	and port values.

2001-03-01  Dave Cole <dave@dccs.com.au>

	* common/state.c (sm_vnformat): Caught a segfault which appeared
	to be a buffer overrun in sm_vnformat().  Added code to actaully
	limit formatting to buffer length and abort if overrun to allow
	real bug to be found.

2001-02-28  David Falllon  <davef@getacard.com>

	* Changed client/client.h, client/gui.h, client/gnocatan.c
		to fix misc. compiler warnings. :) It offended my sensibilities.

2001-02-28  Matt Waggoner  <matt@waggoner.com>

	* Changed client/connect.c and client/client.c to add a "Recent
		Servers" drop-box to the connection dialog.  It saves the last
		100 servers connected to, moving the most recently used one
		to the top of the list.  There's not currently any way to
		delete an entry from the list, but you can manually edit your
		~/.gnome/gnocatan file if you feel so inclined.  Only servers
		that you actually successfully connect to, will be added to
		the MRU list.
		
2001-02-27  Matt Waggoner  <matt@waggoner.com>

	* Changed client/gui.c to have the Game > Settings dialog box
		include an option regarding whether or not each user's chat
		text appears in their text color.  Added a global config var
		to client/gui.h and appropriate checking code to client/chat.c.

2001-02-23  Matt Waggoner  <matt@waggoner.com>

	* Changed client/chat.c to intercept chat text that begins with a
		slash.  This could be the start of a general-purpose slash-command
		syntax.  The only command that is intercepted now is /beep NAME,
		where NAME is a name of one of the players in the game.  If you are
		the player whose name is NAME, a beep sound is generated; otherwise,
		it is ignored.  The purpose of this command is for players to be 
		able to get someone's attention.
	* Changed client/histogram.c to include number of times each value
		was rolled, percentage of the time each value was rolled, and
		text labels along the left side.

2001-02-22  David Fallon  <davef@tetsubo.com>

	* Added walrusmonkey's port background patch. (SF Patch #103768)
		I like this patch... One change might be to make the port icons
		a little larger, but all in all, the more I use it, the more I
		prefer it over the old tiles.

	* client/guimap.c: Changes how the port background rendering works. I
		changed the radius from 13 to 15 and the x/y offsets to make the
		circle a bit bigger (so the "type" is easier to figure out) and
		the 2:1/3:1 be centered. (in addition to the raw patch)

2001-02-22  Matt Waggoner  <matt@waggoner.com>

	* Added a chat window message when someone wins.
		In shiny purple!

2001-02-16  David Fallon  <davef@tetsubo.com>

	* Added Jeff Breidenbach's <jeff@alum.mit.edu> histogram patch.
		(SF Patch # 103459, 103460, 103461)

	* client/Makefile.am: Added histogram.[ch] to sources
	* client/histogram.c: Added the file - it handles the dice recording
		and the actual histogram dialog generation
	* client/histogram.h: Added the file - heade file for histogram.c
	* client/gui.c - Added help_histogram_cb function, added "Dice Histogram"
		menu option to the Help menu.
	* client/turn.c - Added call to "dice_histogram" function to record
		dice rolls for the histogram generation.

2001-02-16  Matt Waggoner  <matt@waggoner.com>

	* A whole bunch of changes to various files, implementing
		multiple message colors (i.e. resource gain messages are
		now blue), chat messages are in the player's color,
		a timestamp before each message in the window, and the
		player summary box has each line in a different color
		now!  

		Also note that because SourceForge is broken at the moment,
		I was not able to make these commits using my regular account
		(dirtside), which is why they show up under dfallon.
		
		List of files changed:
	* common/log.h: added several new MSG_* defines and a global
		log_timestamp variable
	* common/log.c: added a timestamp to each log message
	* common/common_gtk.c: added many new colors and associated
		those colors with the new MSG types defined in log.h
	* client/develop.c: changed several MSG_INFO to MSG_DEVCARD
	* client/player.h: changed the definition of the statistics struct
		to contain a pointer to a GdkColor object
	* client/player.c: added several new color types, associated those
		colors with items in the statistics array, made the statistic
		update function use the colors, and also changed many many
		MSG_INFO messages to various other MSG types
	* client/resource.c: changed MSG_INFO to MSG_RESOURCE
	* client/turn.c: changed MSG_INFO to MSG_DICE

2001-02-16  David Fallon  <davef@tetsubo.com>

	* client/build.c: Fixed SF Bug #108981

2000-09-03  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/gnocatan-server.menu: Fix Debian bug #70831

2000-09-18  Andy Heroff  <aheroff@mediaone.net>

	* server/5-6-player.game: Set default number of players to 5.

	* server/buildutil.c: Fixed bug where any edge build (road, ship
	  bridge) would count against total number of roads.

2000-09-03  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/copyright: Added link to Gnocatan website

2000-08-26  Andy Heroff  <aheroff@mediaone.net>

	* Version 0.6.1 released!

	* configure.in: Version update to 0.6.1.

	* server/develop.c: In Road Building dev card code, modified code
	  so that when RB is complete, edges build during process are
	  removed from the build list. Affects ability to trade.

	* server/trade.c: In domestic trade code, added check for valid
	  trade conditions (No trade before the roll, and if strict trade is
	  active, no trade after building or buying a dev card).

	* client/help/C/gnocatan.sgml: Started to update help code. This is
	  by no means a finished product.

2000-08-25  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/control, debian/changelog: preparation for point release

2000-08-24  Daniel Kobras <kobras@tat.physik.uni-tuebingen.de>

	* configure.in: Fix handling of 'PROTOCOL_VERSION' so it shows
	up as a string in config.h, not as an int.

2000-08-21  Andy Heroff <aheroff@mediaone.net>

	* client/settingscreen.c: Modified justifications. Added i8n calls
	  to all text.

2000-08-21  Steve Langasek <vorlon@dodds.net>

	* server/player.c, client/client.c, acconfig.h, configure.in:
	Use a distinct protocol version number for client-server
	negotiation, so that versions of the client and server that behave
	compatibly will be able to connect to one another.

2000-08-18  Andy Heroff <aheroff@mediaone.net>

	* client/settingscreen.c, client/gui.c, client/client.h,
	  client/Makefile.am: Added file. Added game settings screen.

2000-08-06  Jeff Breidenbach <jeff@alum.mit.edu>

	* debian/control: Tweak build dependencies (Debian bug #68516)

2000-08-01  Andy Heroff  <aheroff@mediaone.net>

	* client/gui.c: Quick change to VP target text to make less
	  ambiguous.

	* server/turn.c: Added debug for 'too-many' error. In the future,
	  all errors should be unique in some way (An identifier after the
	  description) so we can track the source of bugs.

2000-07-31  Andy Heroff  <aheroff@mediaone.net>

	* client/gui.c: Fixed resize bug once and for all. Added VP target
	  listing in the status bar.

2000-07-30  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/rules: Explicitly clean client/help/C/gnocatan to
	fix Debian bug #67287 (problem with the debian build of
	gnocatan-help). This is a non-beautiful solution.

2000-07-19  Bibek Sahu  <scorpio@dodds.net>

	* client/client.c, client/config-gnome.c, client/config-gnome.h,
	  client/connect.c, client/gnocatan.c, client/gui.c: Abstracted
	  getting/setting configuration values to be platform-agnostic. 
	  Still based on gnome-config, though; perhaps we want to stratify
	  the 'config path' into its various components?

2000-07-17  Andy Heroff  <aheroff@mediaone.net>

	* server/turn.c, server/develop.c, server/server.h: Fixed bug in
	  which the server would not check for a player victory after a
	  road building card had been played.

2000-07-09  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/control: First pass at Build-Depends: field. (presumably
	useful for the Debian autobuilders.)

2000-07-08  Andy Heroff  <aheroff@mediaone.net>

	* client/gui.c: Changed notebook tabs from left to top to fix the
	  client resizing bug seen going in and out of trade.

2000-06-23  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/README.debian: removed as recommended by
	http://www.debian.org/doc/maint-guide/ch-dother.html#s-readme

2000-06-21  Andy Heroff <aheroff@mediaone.net>

	* server/player.c: Fixed a bug where a player with an older client
	  that doesn't report its version would have a player number of 0.

2000-06-19  Jeff Breidenbach  <jeff@alum.mit.edu>

	* debian/control, debian/changelog: update maintainer name,
	version numbers for debian packages.

2000-06-19  Dave Cole <dave@dccs.com.au>

	* client/connect.c (connect_create_dlg): Removed code which forced
	uppercase first character on gnome config player name.
	
2000-06-18  Andy Heroff <aheroff@mediaone.net>

	* Version 0.6.0 released for general consumption!

	* client/player.c: Added a couple clauses for BUILD_BRIDGE to remove
	  compile time warnings.

2000-06-18  Bibek Sahu <scorpio@dodds.net>

	* configure.in, client/Makefile.am, client/gui.c: Made network
	  administration code optional in client.

	* server/gnocatan-server.[ch]: Code cleanups to remove warnings. 
	  Also changed some comments in gnocatan-server.h to make section
	  breaks stand out more.

2000-06-18  Andy Heroff <aheroff@mediaone.net>

	* debian/control, debian/rules, debian/gnocatan-server.undocumented,
	  debian/gnocatan-client.undocumented: Applied patches submitted by
	  Jeff Breidenbach to bring Debian build files up to compliance for
	  submission to the Debian release group. We're going to be a part
	  of the official distro! Yay!

	* server/STATES, server/player.c, server/server.h, client/client.c:
	  Added version checking to the connect sequence. Also added
	  connection error messages.

2000-06-15  Steve Langasek <vorlon@dodds.net>

	* gnocatan.spec: cleaned up RedHat build to not include files twice.

2000-06-15  Andy Heroff <aheroff@mediaone.net>

	* Bumped version again to 0.5.6, just in case, to prepare for
	  another package release, mostly to get Gnocatan in the Debian
	  distro.

2000-06-12  Andy Heroff <aheroff@mediaone.net>

	* debian/gnocatan-server.files: Applied patch from Aaron Denney
	  that fixes build problems with the Debian packages.

2000-06-08  Bibek Sahu <scorpio@dodds.net>

	* common/network.c: changed net_write() to queue data on in-progress
	connections.  The queueing logic was already there; just fixed that
	bit of logic.

	* client/admin-gtk.c: made the system clean up after a failed
	admin connection (same code as closing an admin connection).

2000-06-07  Steve Langasek <vorlon@dodds.net>

	* common/game.h: Removed redundant 'VERSION' define in header.
	We have config.h, let's start using it.

2000-06-07  Dave Cole <dave@dccs.com.au>

	* client/legend.c (legend_create_dlg): Fixed segfault
	dereferencing NULL game_params before game connection established.
	
2000-06-06  Andy Heroff <aheroff@mediaone.net>

	* Changed version number to 0.5.5 to prevent CVS users from using
	  incompatible versions.

2000-06-06  Roderick Schertler <roderick@argon.org>

	* client/resource.c: add a 'total' field to your list of resources.

2000-06-04  Steve Langasek <vorlon@dodds.net>

	* server/into-the-desert.map, server/greater-catan.map:
	Removed old-style .map files; these have been obsoleted by the
	.game files.

2000-06-01  Steve Langasek <vorlon@dodds.net>

	* gnocatan.spec: RPM layout fixed up to conform with the rest
	of Gnome packages.

2000-05-30  Bibek Sahu <scorpio@dodds.net>

	* server/gnocatan-server.c: Fixed a minor bug where the game was no
	longer being set to the first one loaded.

2000-05-30  Steve Langasek <vorlon@dodds.net>

	* acconfig.h, configure.in, common/map.[ch], server/server.c:
	Added support for new glib g_rand functions.  Untested.

2000-05-28  Dave Cole <dave@dccs.com.au>

	* client/client.c (mode_start): Goto mode_offline after
	sm_pop_all(), prevents stack underflow.
	
2000-05-28  Bibek Sahu <scorpio@dodds.net>
	* client/Makefile.am client/gui.c client/gui.h client/admin-gtk.c
	server/gnocatan-server.c: Added a basic network administration 
	interface (stole the interface from the gtk server).  Needs work.

2000-05-27  Steve Langasek <vorlon@dodds.net>

	* common/map.c, server/server.c: Converted common/map.c to use the
	Mersenne Twister PRNG; further tweaks in g_rand() (non)support.

	* server/mt_rand.[ch], server/Makefile.am, common/mt_rand.[ch],
	common/Makefile.am: Moved Mersenne Twister to the common/ subdir,
	as it's needed elsewhere.

2000-05-27  Andy Heroff <aheroff@mediaone.net>

	* client/gui.c: Added total functionality to what is in the settings
	  dialog. What's there works. More settings will be added as needed.

	* server/.cvsignore: Readded gnocatan-server to the ignore list for
	  now for those with dirty build directories. Will remove later.

2000-05-27  Bibek Sahu <scorpio@dodds.net>

	* server/gnocatan-server.c: added a little debugging output.  Will
	be useful soon for network configuration.

	* server/Makefile.am, server/gnocatan-server.c,
	server/gnocatan-server.h, server/gnocatan-server-gtk.c,
	server/gnocatan-server-console.c: Made as much code as possible
	common between the two servers.  Added rudimentary network
	administration functions.

	* server/server.c: separated networking code from player connection
	code so I could use it elsewhere w/o having to rewrite it.

	* server/Makefile.am: removed line where console server was being
	linked against common gtk code.

2000-05-27  Steve Langasek <vorlon@dodds.net>

	* server/server.c, server/mt_rand.[ch], server/Makefile.am,
	configure.in: Switched to using the Mersenne Twister for our
	PRNG; should give better dice rolls.

2000-05-25  Steve Langasek <vorlon@dodds.net>

	* configure.in, acconfig.h: Set up for the use of glib's grand()
	function as a better PRNG.

	* client/client.c: Squashed that nasty robber bug.  If it comes
	back to life, we know it's a roach.

2000-05-22  Andy Heroff <aheroff@mediaone.net>

	* server/buildutils.c: Removed longest road debug define to prevent
	spamming the server's console. The debug code is still in there.

	* client/gui.c: Built a settings dialog. It only has one setting,
	and it doesn't work yet. That's next.

2000-05-22  Roderick Schertler <roderick@argon.org>

	* client/player.c: Added player's total victory points to the stat
	window

	* common/network.c: Fixed name resolution code to honor hostnames
	that begin with a digit

2000-05-18  Steve Langasek <vorlon@dodds.net>

	* server/gnocatan-server-console.c: Plugged in getopt() support so
	that the user has (some) control over the game settings in the
	console server.  Documentation later.

2000-05-17  Bibek Sahu <scorpio@dodds.net>

	* server/gnocatan-server-console.c: removed game_list_item_t
	structure.  The params structure stores a title, so just use that
	instead.  Original filename is not all that relevant; if it becomes
	relevant, we can add it to GameParams later.  Also added a function
	to lookup parameters by title.  Changed hash table to store/lookup
	by string, rather than pointer address.

2000-05-17  Bibek Sahu <scorpio@dodds.net>

	* server/gnocatan-server-console.c: filled in global variables, and 
	added a function to stuff all the game types in a hash.  This will
	be relevant later when it can be changed over the network.
	----> Made the console-only server work. :-)

2000-05-17  Steve Langasek <vorlon@dodds.net>

	* common/driver.c, server/glib-driver.c: Finished moving glib
	driver to the common/ subdirectory.

	* common/common_gtk.c: Removed gdk-dependent input functions.

	* server/gnocatan-server-console.c: Moved some initialization code
	for the console server's UI driver into the main loop.

	* server/server.h: Polished the include list to eliminate redundancies.

	* common/Makefile.am: Added common_glib.c, common_glib.h to file list.

	* common/common_glib.[ch]:  Added generic glib driver for common
	code.

	* common/driver.h: Fixed prototypes within the UI driver to use
	guint in place of gint.

	* common/common_gtk.h: Changed __common_gui_h to __common_gtk_h.

	* server/glib-driver.c: Used the G_PRIORITY_DEFAULT define in
	place of constant as argument.

2000-05-17  Bibek Sahu <scorpio@dodds.net>

	* server/Makefile.am: Added glib-driver.c and glib-driver.h, which
	are used by the console server.

	* server/glib-driver.[ch]: Functions necessary for the console
	server.
	
	* server/gnocatan-server-console.c: Added some muscle to the
	skeleton: Implemented some of the stuff necessary for a console
	server.

	* server/server.h: Added some headers that it depended on, so it
	didn't scream at me when I tried to include it just for the Player
	structure.

2000-05-17  Bibek Sahu <scorpio@dodds.net>

	* configure.in: added GLIB configuration.

	* common/common_gtk.c, common/driver.h: Added hooks for input
	read/write callbacks and [server] player update callbacks.
	Actually put the input read/write callbacks into
	common/common_gtk.c.
	
	* common/network.c, server/server.c: Switched to using driver's
	input read/write callbacks.

	* server/server.c, server/player.c: Switched to using driver's
	player update callbacks.

	* server/Makefile.am: Added preliminary files for gui-less server.
	
	* server/gnocatan-server.c: Connect the server player-update
	functions.
	
	* server/gnocatan-server-console.c: Preliminary skeleton code for
	gui-less server.
	
2000-05-15  Steve Langasek <vorlon@dodds.net>

	* client/connect.c: Set reasonable defaults for the connect dialog
	if there isn't a saved config (shuts up GTK, too).

	* common/Makefile.am, client/Makefile.am, server/Makefile.am:
	Changed library name from libgnocatan_gui.a to libgnocatan_gtk.a,
	allowing for the possibility of multiple front-ends

2000-05-13  Bibek Sahu <scorpio@dodds.net>

	* common/driver.[ch], client/gnocatan.c, server/gnocatan-server.c:
	Moved the global driver definition to driver.c, and added a function
	set_ui_driver( UIDriver* ).  Moved logging into the driver
	structure.  Note that the gtk driver starts by logging to the
	console and must be told to move that to a window later on.

2000-05-12  Steve Langasek <vorlon@dodds.net>

	* common/common_gtk.c, common/state.c: Pulled all GTK-specific code
	out of state.c, moving it to common_gtk.c.

	* client/gnocatan.c, server/gnocatan-server.c: Changed main() loops
	to initialize an appropriate UIDriver.

	* common/state.h: Exported [inc,dec]_use_count() so that they're
	available to the interface drivers.

	* common/driver.h, common/game.h, common/state.h: Fixed some
	header files so that they automatically include headers on which
	they depend, instead of expecting the c file to take care of it all.

	* common/driver.h, common_gtk.h: Began creating the structure for
	independent interface drivers (GTK, console).

2000-05-12  Bibek Sahu <scorpio@dodds.net>

	* common/common_gui.[ch], common/common_gtk.[ch]: Renamed
	common/common_gui.[ch] -> common/common_gtk.[ch] per Steve's
	request.  More appropriate, considering its function.

2000-05-12  Steve Langasek <vorlon@dodds.net>

	* common/state.[ch], server/buildutil.c, server/develop.c,
	server/discard.c, server/meta.c, server/player.c, server/pregame.c,
	server/resource.c, server/robber.c, server/server.c, server/trade.c,
	server/turn.c:  Made the 'widget' within the StateMachine an opaque
	pointer, so that code that depends on the StateMachine is not bound
	to any one GUI.

	* configure.in, meta-server/gnocatan-meta-server.c:
	Included autoconf fix for cross-platform getopt support

2000-05-12  Bibek Sahu <scorpio@dodds.net>

	* Moved the common gui stuff into a separate library, so a non-gui 
	program won't depend on the gui functions.

2000-05-12  Dave Cole <dave@dccs.com.au>

	* client/client.c, common/state.c, common/state.h,
	server/develop.c, server/discard.c, server/player.c,
	server/pregame.c, server/robber.c, server/trade.c, server/turn.c:
	Removed all of the sm_resp_{ok,err,handler}() API from the state
	machine.  Simplified each entry on the state stack down to a
	single StateFunc.  Modified client state machine to use simplified
	state machine API.

	* client/client.c, client/trade.c, client/turn.c: Fixed (untested)
	bug where could not trade after playing road building card before
	rolling dice.  Altered is_maritime_trade_allowed() to look at the
	strict_trade flag.

2000-05-12  Bibek Sahu <scorpio@dodds.net>

	* Completely rewrote logging setup.  It's now very modular in
	design, and the main logging stuff does not depend on gtk/gnome
	(which is the reason it was done).  Most files that did logging were
	moderately modified -- the following functions were converted:
		log_error(...) -> log_message( MSG_ERROR, ... )
		log_info(...) -> log_message( MSG_INFO, ... )
		log_color(...) -> log_message( MSG_CHAT, ... )
	
	* The client's initialization sequence now logs to the console until
	all the windows are set up, then switches logging to the message
	window.  This is step 1 on the road to a server that doesn't require
	a gui...

2000-05-11  Dave Cole <dave@dccs.com.au>

	* client/client.c, common/state.[ch]: Removed all of the resphook
	from the state machine API code and replaced it with some wrappers
	to sm_resp_{ok,err,handler}() in client.c.  First stage in
	reducing the client state machine complexity.  Moved a lot of code
	around in client.c in an effort to partition the functionality so
	the stack overflow bug can be found.
	
2000-05-10  Steve Langasek <vorlon@dodds.net>

	* common/buildrec.c, common/cards.c, common/cost.c, common/game.c,
	common/map.c, common/map_query.c, common/network.c, common/quoteinfo.c,
	common/state.c, server/buildutil.c, server/develop.c, server/discard.c,
	server/meta.c, server/player.c, server/pregame.c, server/resource.c,
	server/robber.c, server/server.c, server/trade.c, server/turn.c:
	Removed <gnome.h> includes where they aren't necessary, to ease the
	transition to a gui-less or gtk-only server.

	* common/log.h: Internationalization definitions handled internally,
	so we don't have to include <gnome.h> to get them.

2000-05-08  Dave Cole <dave@dccs.com.au>

	* common/map.h: Changed the visited attribute in Edge and Node to
	gint for new longest road algorithm.

	* common/map_query.c: Implemented new longest road algorithm which
	can handle edge cycles.
	
	* server/develop.c: Fixed "ERR wrong-plenty" bug.  Was using
	variable before it received a value in resource_available().
	
2000-05-07  Andy Heroff <aheroff@mediaone.net>

	* common/log.c, common/log.h: Added log to console if use_console
	  boolean is set by call to log_set_use_console_bool().

2000-05-07  Dave Cole <dave@dccs.com.au>

	* common/cost.c: Fixed cost of bridges.

	* client/legend.c: Show cost of ships and bridges when
	appropriate.
	
	* client/setup.c: Check num_build_type[] in setup_can_build_*().
	
2000-05-06  Dave Cole <dave@dccs.com.au>

	* client/Makefile.am: Added bridge.png, removed ship_building.c

	* gnocatan.spec, debian/gnocatan-server.files,
	server/four-islands.game: Added basic Seafarers game and
	bridge.png.

	* client/road.png: Rotated road bitmap to match drawing in
	identity panel.

	* client/bridge.png: Added bridge bitmap.

	* client/build.c, client/stock.c, client/turn.c,
	client/identity.c: Added bridge support.

	* client/client.c: Added bridge support.  Fixed setup statusbar
	prompts.  Merged road/ship/bridge setup code.  Fixed road building
